/*
SQLyog Ultimate v9.63 
MySQL - 5.1.59-community : Database - dhis2_v2
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
/*Table structure for table `attribute` */

DROP TABLE IF EXISTS `attribute`;

CREATE TABLE `attribute` (
  `attributeid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `valueType` varchar(255) NOT NULL,
  `mandatory` tinyint(1) NOT NULL,
  `dataElementAttribute` tinyint(1) NOT NULL,
  `dataElementGroupAttribute` tinyint(1) DEFAULT NULL,
  `indicatorAttribute` tinyint(1) NOT NULL,
  `indicatorGroupAttribute` tinyint(1) DEFAULT NULL,
  `dataSetAttribute` tinyint(1) DEFAULT NULL,
  `organisationUnitAttribute` tinyint(1) NOT NULL,
  `organisationUnitGroupAttribute` tinyint(1) DEFAULT NULL,
  `organisationUnitGroupSetAttribute` tinyint(1) DEFAULT NULL,
  `userAttribute` tinyint(1) NOT NULL,
  `userGroupAttribute` tinyint(1) DEFAULT NULL,
  `programAttribute` tinyint(1) DEFAULT NULL,
  `programStageAttribute` tinyint(1) DEFAULT NULL,
  `trackedEntityAttribute` tinyint(1) DEFAULT NULL,
  `trackedEntityAttributeAttribute` tinyint(1) DEFAULT NULL,
  `categoryOptionAttribute` tinyint(1) DEFAULT NULL,
  `categoryOptionGroupAttribute` tinyint(1) DEFAULT NULL,
  `sortOrder` int(11) DEFAULT NULL,
  `optionsetid` int(11) DEFAULT NULL,
  PRIMARY KEY (`attributeid`),
  UNIQUE KEY `UK_hpwum0iq12fs4ej5d0tgy6wsn` (`name`),
  UNIQUE KEY `UK_9mqbhximifdn1n8ru52lan3fw` (`uid`),
  UNIQUE KEY `UK_1774shfid1uaopl9tu8am19fq` (`code`),
  KEY `fk_attribute_optionsetid` (`optionsetid`),
  CONSTRAINT `fk_attribute_optionsetid` FOREIGN KEY (`optionsetid`) REFERENCES `optionset` (`optionsetid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `attribute` */

/*Table structure for table `attributevalue` */

DROP TABLE IF EXISTS `attributevalue`;

CREATE TABLE `attributevalue` (
  `attributevalueid` int(11) NOT NULL AUTO_INCREMENT,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `value` longtext,
  `attributeid` int(11) NOT NULL,
  PRIMARY KEY (`attributevalueid`),
  KEY `fk_attributevalue_attributeid` (`attributeid`),
  CONSTRAINT `fk_attributevalue_attributeid` FOREIGN KEY (`attributeid`) REFERENCES `attribute` (`attributeid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `attributevalue` */

/*Table structure for table `caseaggregationcondition` */

DROP TABLE IF EXISTS `caseaggregationcondition`;

CREATE TABLE `caseaggregationcondition` (
  `caseaggregationconditionid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `operator` varchar(255) NOT NULL,
  `aggregationExpression` varchar(255) NOT NULL,
  `aggregationDataElementid` int(11) DEFAULT NULL,
  `optionComboid` int(11) DEFAULT NULL,
  `deSum` int(11) DEFAULT NULL,
  PRIMARY KEY (`caseaggregationconditionid`),
  UNIQUE KEY `UK_reg868y2sf1u7nqeedx44sl9c` (`name`),
  UNIQUE KEY `UK_toc5okc2yqhceyw6jg3rk36lo` (`uid`),
  UNIQUE KEY `UK_snvmtdujf8utme36jqx2g1dwe` (`code`),
  KEY `fk_caseaggregationcondition_dataelement` (`aggregationDataElementid`),
  KEY `fk_caseaggregationcondition_categoryoptioncomboid` (`optionComboid`),
  KEY `fk_caseaggregationcondition_deSum` (`deSum`),
  CONSTRAINT `fk_caseaggregationcondition_deSum` FOREIGN KEY (`deSum`) REFERENCES `dataelement` (`dataelementid`),
  CONSTRAINT `fk_caseaggregationcondition_categoryoptioncomboid` FOREIGN KEY (`optionComboid`) REFERENCES `categoryoptioncombo` (`categoryoptioncomboid`),
  CONSTRAINT `fk_caseaggregationcondition_dataelement` FOREIGN KEY (`aggregationDataElementid`) REFERENCES `dataelement` (`dataelementid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `caseaggregationcondition` */

/*Table structure for table `categories_categoryoptions` */

DROP TABLE IF EXISTS `categories_categoryoptions`;

CREATE TABLE `categories_categoryoptions` (
  `categoryoptionid` int(11) NOT NULL,
  `categoryid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`categoryid`,`sort_order`),
  KEY `fk_categories_categoryoptions_categoryid` (`categoryid`),
  KEY `fk_category_categoryoptionid` (`categoryoptionid`),
  CONSTRAINT `fk_category_categoryoptionid` FOREIGN KEY (`categoryoptionid`) REFERENCES `dataelementcategoryoption` (`categoryoptionid`),
  CONSTRAINT `fk_categories_categoryoptions_categoryid` FOREIGN KEY (`categoryid`) REFERENCES `dataelementcategory` (`categoryid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `categories_categoryoptions` */

insert  into `categories_categoryoptions`(`categoryoptionid`,`categoryid`,`sort_order`) values (1,1,1);

/*Table structure for table `categorycombo` */

DROP TABLE IF EXISTS `categorycombo`;

CREATE TABLE `categorycombo` (
  `categorycomboid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `datadimensiontype` varchar(255) DEFAULT NULL,
  `skiptotal` tinyint(1) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `publicAccess` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`categorycomboid`),
  UNIQUE KEY `UK_h97pko7n41oky8pfptkflp8l6` (`name`),
  UNIQUE KEY `UK_dlhi39gmt2e0dun73f04w7w7u` (`uid`),
  UNIQUE KEY `UK_3a4ee92kxafw85hsopq4qle47` (`code`),
  KEY `fk_categorycombo_userid` (`userid`),
  CONSTRAINT `fk_categorycombo_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

/*Data for the table `categorycombo` */

insert  into `categorycombo`(`categorycomboid`,`uid`,`code`,`created`,`lastUpdated`,`name`,`datadimensiontype`,`skiptotal`,`userid`,`publicAccess`) values (1,'EONtrDTrGjD',NULL,'2015-10-30 19:02:55','2015-10-30 19:02:55','default','DISAGGREGATION',0,NULL,'--------');

/*Table structure for table `categorycombos_categories` */

DROP TABLE IF EXISTS `categorycombos_categories`;

CREATE TABLE `categorycombos_categories` (
  `categorycomboid` int(11) NOT NULL,
  `categoryid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`categorycomboid`,`sort_order`),
  KEY `fk_categorycombo_categoryid` (`categoryid`),
  KEY `fk_categorycombos_categories_categorycomboid` (`categorycomboid`),
  CONSTRAINT `fk_categorycombos_categories_categorycomboid` FOREIGN KEY (`categorycomboid`) REFERENCES `categorycombo` (`categorycomboid`),
  CONSTRAINT `fk_categorycombo_categoryid` FOREIGN KEY (`categoryid`) REFERENCES `dataelementcategory` (`categoryid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `categorycombos_categories` */

insert  into `categorycombos_categories`(`categorycomboid`,`categoryid`,`sort_order`) values (1,1,1);

/*Table structure for table `categorycombos_optioncombos` */

DROP TABLE IF EXISTS `categorycombos_optioncombos`;

CREATE TABLE `categorycombos_optioncombos` (
  `categoryoptioncomboid` int(11) NOT NULL,
  `categorycomboid` int(11) NOT NULL,
  PRIMARY KEY (`categoryoptioncomboid`),
  KEY `fk_categorycombo_categoryoptioncomboid` (`categoryoptioncomboid`),
  KEY `fk_categorycombos_optioncombos_categorycomboid` (`categorycomboid`),
  CONSTRAINT `fk_categorycombos_optioncombos_categorycomboid` FOREIGN KEY (`categorycomboid`) REFERENCES `categorycombo` (`categorycomboid`),
  CONSTRAINT `fk_categorycombo_categoryoptioncomboid` FOREIGN KEY (`categoryoptioncomboid`) REFERENCES `categoryoptioncombo` (`categoryoptioncomboid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `categorycombos_optioncombos` */

insert  into `categorycombos_optioncombos`(`categoryoptioncomboid`,`categorycomboid`) values (1,1);

/*Table structure for table `categorycombousergroupaccesses` */

DROP TABLE IF EXISTS `categorycombousergroupaccesses`;

CREATE TABLE `categorycombousergroupaccesses` (
  `categorycomboid` int(11) NOT NULL,
  `usergroupaccessid` int(11) NOT NULL,
  PRIMARY KEY (`categorycomboid`,`usergroupaccessid`),
  UNIQUE KEY `UK_p95o4dnytx8vxb7yugxlu2hhf` (`usergroupaccessid`),
  KEY `FK_p95o4dnytx8vxb7yugxlu2hhf` (`usergroupaccessid`),
  KEY `FK_84l0gr1y8gnprsgxs3031v00i` (`categorycomboid`),
  CONSTRAINT `FK_84l0gr1y8gnprsgxs3031v00i` FOREIGN KEY (`categorycomboid`) REFERENCES `categorycombo` (`categorycomboid`),
  CONSTRAINT `FK_p95o4dnytx8vxb7yugxlu2hhf` FOREIGN KEY (`usergroupaccessid`) REFERENCES `usergroupaccess` (`usergroupaccessid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `categorycombousergroupaccesses` */

/*Table structure for table `categorydimension` */

DROP TABLE IF EXISTS `categorydimension`;

CREATE TABLE `categorydimension` (
  `categorydimensionid` int(11) NOT NULL AUTO_INCREMENT,
  `categoryid` int(11) DEFAULT NULL,
  PRIMARY KEY (`categorydimensionid`),
  KEY `fk_categorydimension_category` (`categoryid`),
  CONSTRAINT `fk_categorydimension_category` FOREIGN KEY (`categoryid`) REFERENCES `dataelementcategory` (`categoryid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `categorydimension` */

/*Table structure for table `categorydimension_items` */

DROP TABLE IF EXISTS `categorydimension_items`;

CREATE TABLE `categorydimension_items` (
  `categorydimensionid` int(11) NOT NULL,
  `categoryoptionid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`categorydimensionid`,`sort_order`),
  KEY `fk_categorydimension_items_categoryoptionid` (`categoryoptionid`),
  KEY `fk_categorydimension_items_categorydimensionid` (`categorydimensionid`),
  CONSTRAINT `fk_categorydimension_items_categorydimensionid` FOREIGN KEY (`categorydimensionid`) REFERENCES `categorydimension` (`categorydimensionid`),
  CONSTRAINT `fk_categorydimension_items_categoryoptionid` FOREIGN KEY (`categoryoptionid`) REFERENCES `dataelementcategoryoption` (`categoryoptionid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `categorydimension_items` */

/*Table structure for table `categoryoption_organisationunits` */

DROP TABLE IF EXISTS `categoryoption_organisationunits`;

CREATE TABLE `categoryoption_organisationunits` (
  `categoryoptionid` int(11) NOT NULL,
  `organisationunitid` int(11) NOT NULL,
  PRIMARY KEY (`categoryoptionid`,`organisationunitid`),
  KEY `fk_categoryoption_organisationunits_organisationunitid` (`organisationunitid`),
  KEY `fk_categoryoption_organisationunits_categoryoptionid` (`categoryoptionid`),
  CONSTRAINT `fk_categoryoption_organisationunits_categoryoptionid` FOREIGN KEY (`categoryoptionid`) REFERENCES `dataelementcategoryoption` (`categoryoptionid`),
  CONSTRAINT `fk_categoryoption_organisationunits_organisationunitid` FOREIGN KEY (`organisationunitid`) REFERENCES `organisationunit` (`organisationunitid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `categoryoption_organisationunits` */

/*Table structure for table `categoryoptioncombo` */

DROP TABLE IF EXISTS `categoryoptioncombo`;

CREATE TABLE `categoryoptioncombo` (
  `categoryoptioncomboid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `ignoreapproval` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`categoryoptioncomboid`),
  UNIQUE KEY `UK_qki43s9vdndg15c9tyv718u1j` (`uid`),
  UNIQUE KEY `UK_60p9gh2un0pb7l9tctfd4o3b3` (`code`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

/*Data for the table `categoryoptioncombo` */

insert  into `categoryoptioncombo`(`categoryoptioncomboid`,`uid`,`code`,`created`,`lastUpdated`,`name`,`ignoreapproval`) values (1,'Rn2xgz5wKxx',NULL,'2015-10-30 19:02:55','2015-10-30 19:02:55','default',0);

/*Table structure for table `categoryoptioncombos_categoryoptions` */

DROP TABLE IF EXISTS `categoryoptioncombos_categoryoptions`;

CREATE TABLE `categoryoptioncombos_categoryoptions` (
  `categoryoptioncomboid` int(11) NOT NULL,
  `categoryoptionid` int(11) NOT NULL,
  PRIMARY KEY (`categoryoptioncomboid`,`categoryoptionid`),
  KEY `fk_categoryoptioncombos_categoryoptions_categoryoptionid` (`categoryoptionid`),
  KEY `fk_categoryoption_categoryoptioncomboid` (`categoryoptioncomboid`),
  CONSTRAINT `fk_categoryoption_categoryoptioncomboid` FOREIGN KEY (`categoryoptioncomboid`) REFERENCES `categoryoptioncombo` (`categoryoptioncomboid`),
  CONSTRAINT `fk_categoryoptioncombos_categoryoptions_categoryoptionid` FOREIGN KEY (`categoryoptionid`) REFERENCES `dataelementcategoryoption` (`categoryoptionid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `categoryoptioncombos_categoryoptions` */

insert  into `categoryoptioncombos_categoryoptions`(`categoryoptioncomboid`,`categoryoptionid`) values (1,1);

/*Table structure for table `categoryoptiongroup` */

DROP TABLE IF EXISTS `categoryoptiongroup`;

CREATE TABLE `categoryoptiongroup` (
  `categoryoptiongroupid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `shortname` varchar(50) NOT NULL,
  `datadimensiontype` varchar(255) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `publicAccess` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`categoryoptiongroupid`),
  UNIQUE KEY `UK_j9oya1t1tvj8yn5h8fega4ltr` (`name`),
  UNIQUE KEY `UK_lrnagoy2wi83nwmataolh7t6d` (`shortname`),
  UNIQUE KEY `UK_ol8n7oq6clgxvqjedlpn85aqo` (`uid`),
  UNIQUE KEY `UK_ge3y4pf6qlne9p7rfmhlvg941` (`code`),
  KEY `fk_categoryoptiongroup_userid` (`userid`),
  CONSTRAINT `fk_categoryoptiongroup_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `categoryoptiongroup` */

/*Table structure for table `categoryoptiongroupattributevalues` */

DROP TABLE IF EXISTS `categoryoptiongroupattributevalues`;

CREATE TABLE `categoryoptiongroupattributevalues` (
  `categoryoptiongroupid` int(11) NOT NULL,
  `attributevalueid` int(11) NOT NULL,
  PRIMARY KEY (`categoryoptiongroupid`,`attributevalueid`),
  UNIQUE KEY `UK_287ampe6pn4aepyn14hv71907` (`attributevalueid`),
  KEY `FK_287ampe6pn4aepyn14hv71907` (`attributevalueid`),
  KEY `FK_3ebjdp5gqlb90il4grn8u8xg5` (`categoryoptiongroupid`),
  CONSTRAINT `FK_3ebjdp5gqlb90il4grn8u8xg5` FOREIGN KEY (`categoryoptiongroupid`) REFERENCES `categoryoptiongroup` (`categoryoptiongroupid`),
  CONSTRAINT `FK_287ampe6pn4aepyn14hv71907` FOREIGN KEY (`attributevalueid`) REFERENCES `attributevalue` (`attributevalueid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `categoryoptiongroupattributevalues` */

/*Table structure for table `categoryoptiongroupmembers` */

DROP TABLE IF EXISTS `categoryoptiongroupmembers`;

CREATE TABLE `categoryoptiongroupmembers` (
  `categoryoptionid` int(11) NOT NULL,
  `categoryoptiongroupid` int(11) NOT NULL,
  PRIMARY KEY (`categoryoptiongroupid`,`categoryoptionid`),
  KEY `fk_categoryoptiongroupmembers_categoryoptionid` (`categoryoptiongroupid`),
  KEY `fk_categoryoptiongroupmembers_categoryoptiongroupid` (`categoryoptionid`),
  CONSTRAINT `fk_categoryoptiongroupmembers_categoryoptiongroupid` FOREIGN KEY (`categoryoptionid`) REFERENCES `dataelementcategoryoption` (`categoryoptionid`),
  CONSTRAINT `fk_categoryoptiongroupmembers_categoryoptionid` FOREIGN KEY (`categoryoptiongroupid`) REFERENCES `categoryoptiongroup` (`categoryoptiongroupid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `categoryoptiongroupmembers` */

/*Table structure for table `categoryoptiongroupset` */

DROP TABLE IF EXISTS `categoryoptiongroupset`;

CREATE TABLE `categoryoptiongroupset` (
  `categoryoptiongroupsetid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `description` longtext,
  `dataDimension` tinyint(1) DEFAULT NULL,
  `datadimensiontype` varchar(255) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `publicAccess` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`categoryoptiongroupsetid`),
  UNIQUE KEY `UK_ke8p30sy68dl7fggednkimdb6` (`name`),
  UNIQUE KEY `UK_6itpx2frqt3msln8p32rk7qta` (`uid`),
  UNIQUE KEY `UK_bjs0n874pj6eoag98jmeidy9a` (`code`),
  KEY `fk_categoryoptiongroupset_userid` (`userid`),
  CONSTRAINT `fk_categoryoptiongroupset_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `categoryoptiongroupset` */

/*Table structure for table `categoryoptiongroupsetmembers` */

DROP TABLE IF EXISTS `categoryoptiongroupsetmembers`;

CREATE TABLE `categoryoptiongroupsetmembers` (
  `categoryoptiongroupid` int(11) NOT NULL,
  `categoryoptiongroupsetid` int(11) NOT NULL DEFAULT '0',
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`categoryoptiongroupsetid`,`sort_order`),
  KEY `fk_categoryoptiongroupsetmembers_categoryoptiongroupid` (`categoryoptiongroupid`),
  KEY `fk_categoryoptiongroupsetmembers_categoryoptiongroupsetid` (`categoryoptiongroupsetid`),
  CONSTRAINT `fk_categoryoptiongroupsetmembers_categoryoptiongroupsetid` FOREIGN KEY (`categoryoptiongroupsetid`) REFERENCES `categoryoptiongroupset` (`categoryoptiongroupsetid`),
  CONSTRAINT `fk_categoryoptiongroupsetmembers_categoryoptiongroupid` FOREIGN KEY (`categoryoptiongroupid`) REFERENCES `categoryoptiongroup` (`categoryoptiongroupid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `categoryoptiongroupsetmembers` */

/*Table structure for table `categoryoptiongroupsetusergroupaccesses` */

DROP TABLE IF EXISTS `categoryoptiongroupsetusergroupaccesses`;

CREATE TABLE `categoryoptiongroupsetusergroupaccesses` (
  `categoryoptiongroupsetid` int(11) NOT NULL,
  `usergroupaccessid` int(11) NOT NULL,
  PRIMARY KEY (`categoryoptiongroupsetid`,`usergroupaccessid`),
  UNIQUE KEY `UK_3tn4w8rs68lpvrdaksbsalta7` (`usergroupaccessid`),
  KEY `FK_3tn4w8rs68lpvrdaksbsalta7` (`usergroupaccessid`),
  KEY `FK_aifepg7627cpodnvy0xjc2ae5` (`categoryoptiongroupsetid`),
  CONSTRAINT `FK_aifepg7627cpodnvy0xjc2ae5` FOREIGN KEY (`categoryoptiongroupsetid`) REFERENCES `categoryoptiongroupset` (`categoryoptiongroupsetid`),
  CONSTRAINT `FK_3tn4w8rs68lpvrdaksbsalta7` FOREIGN KEY (`usergroupaccessid`) REFERENCES `usergroupaccess` (`usergroupaccessid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `categoryoptiongroupsetusergroupaccesses` */

/*Table structure for table `categoryoptiongroupusergroupaccesses` */

DROP TABLE IF EXISTS `categoryoptiongroupusergroupaccesses`;

CREATE TABLE `categoryoptiongroupusergroupaccesses` (
  `categoryoptiongroupid` int(11) NOT NULL,
  `usergroupaccessid` int(11) NOT NULL,
  PRIMARY KEY (`categoryoptiongroupid`,`usergroupaccessid`),
  UNIQUE KEY `UK_kw8ong945syafd2310ahwfu9l` (`usergroupaccessid`),
  KEY `FK_kw8ong945syafd2310ahwfu9l` (`usergroupaccessid`),
  KEY `FK_9lhu9n0rwxfpdv0tbvvi683dx` (`categoryoptiongroupid`),
  CONSTRAINT `FK_9lhu9n0rwxfpdv0tbvvi683dx` FOREIGN KEY (`categoryoptiongroupid`) REFERENCES `categoryoptiongroup` (`categoryoptiongroupid`),
  CONSTRAINT `FK_kw8ong945syafd2310ahwfu9l` FOREIGN KEY (`usergroupaccessid`) REFERENCES `usergroupaccess` (`usergroupaccessid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `categoryoptiongroupusergroupaccesses` */

/*Table structure for table `chart` */

DROP TABLE IF EXISTS `chart`;

CREATE TABLE `chart` (
  `chartid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `domainAxisLabel` varchar(255) DEFAULT NULL,
  `rangeAxisLabel` varchar(255) DEFAULT NULL,
  `type` varchar(40) NOT NULL,
  `series` varchar(255) DEFAULT NULL,
  `category` varchar(255) DEFAULT NULL,
  `hideLegend` tinyint(1) DEFAULT NULL,
  `regression` tinyint(1) DEFAULT NULL,
  `hideTitle` tinyint(1) DEFAULT NULL,
  `hideSubtitle` tinyint(1) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `targetLineValue` double DEFAULT NULL,
  `targetLineLabel` varchar(255) DEFAULT NULL,
  `baseLineValue` double DEFAULT NULL,
  `baseLineLabel` varchar(255) DEFAULT NULL,
  `relativeperiodsid` int(11) DEFAULT NULL,
  `programid` int(11) DEFAULT NULL,
  `userOrganisationUnit` tinyint(1) DEFAULT NULL,
  `userOrganisationUnitChildren` tinyint(1) DEFAULT NULL,
  `userOrganisationUnitGrandChildren` tinyint(1) DEFAULT NULL,
  `aggregationType` varchar(40) DEFAULT NULL,
  `completedonly` tinyint(1) DEFAULT NULL,
  `showData` tinyint(1) DEFAULT NULL,
  `hideEmptyRows` tinyint(1) DEFAULT NULL,
  `rangeAxisMaxValue` double DEFAULT NULL,
  `rangeAxisMinValue` double DEFAULT NULL,
  `rangeAxisSteps` int(11) DEFAULT NULL,
  `rangeAxisDecimals` int(11) DEFAULT NULL,
  `sortOrder` int(11) DEFAULT NULL,
  `externalAccess` tinyint(1) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `publicAccess` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`chartid`),
  UNIQUE KEY `UK_1sp445tglu49hyfwokjqn5bf6` (`uid`),
  UNIQUE KEY `UK_eyke73kujhkth5elabmkpy4ca` (`code`),
  UNIQUE KEY `UK_9nbu5m63pd0n13liu13i3nvb5` (`relativeperiodsid`),
  KEY `fk_chart_relativeperiodsid` (`relativeperiodsid`),
  KEY `fk_chart_programid` (`programid`),
  KEY `fk_chart_userid` (`userid`),
  CONSTRAINT `fk_chart_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`),
  CONSTRAINT `fk_chart_programid` FOREIGN KEY (`programid`) REFERENCES `program` (`programid`),
  CONSTRAINT `fk_chart_relativeperiodsid` FOREIGN KEY (`relativeperiodsid`) REFERENCES `relativeperiods` (`relativeperiodsid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `chart` */

/*Table structure for table `chart_categorydimensions` */

DROP TABLE IF EXISTS `chart_categorydimensions`;

CREATE TABLE `chart_categorydimensions` (
  `chartid` int(11) NOT NULL,
  `categorydimensionid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`chartid`,`sort_order`),
  KEY `fk_chart_categorydimensions_categorydimensionid` (`categorydimensionid`),
  KEY `fk_chart_categorydimensions_chartid` (`chartid`),
  CONSTRAINT `fk_chart_categorydimensions_chartid` FOREIGN KEY (`chartid`) REFERENCES `chart` (`chartid`),
  CONSTRAINT `fk_chart_categorydimensions_categorydimensionid` FOREIGN KEY (`categorydimensionid`) REFERENCES `categorydimension` (`categorydimensionid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `chart_categorydimensions` */

/*Table structure for table `chart_categoryoptiongroups` */

DROP TABLE IF EXISTS `chart_categoryoptiongroups`;

CREATE TABLE `chart_categoryoptiongroups` (
  `chartid` int(11) NOT NULL,
  `categoryoptiongroupid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`chartid`,`sort_order`),
  KEY `fk_chart_categoryoptiongroups_categoryoptiongroupid` (`categoryoptiongroupid`),
  KEY `fk_chart_categoryoptiongroups_chartid` (`chartid`),
  CONSTRAINT `fk_chart_categoryoptiongroups_chartid` FOREIGN KEY (`chartid`) REFERENCES `chart` (`chartid`),
  CONSTRAINT `fk_chart_categoryoptiongroups_categoryoptiongroupid` FOREIGN KEY (`categoryoptiongroupid`) REFERENCES `categoryoptiongroup` (`categoryoptiongroupid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `chart_categoryoptiongroups` */

/*Table structure for table `chart_datadimensionitems` */

DROP TABLE IF EXISTS `chart_datadimensionitems`;

CREATE TABLE `chart_datadimensionitems` (
  `chartid` int(11) NOT NULL,
  `datadimensionitemid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`chartid`,`sort_order`),
  KEY `fk_chart_datadimensionitems_datadimensionitemid` (`datadimensionitemid`),
  KEY `fk_chart_datadimensionitems_chartid` (`chartid`),
  CONSTRAINT `fk_chart_datadimensionitems_chartid` FOREIGN KEY (`chartid`) REFERENCES `chart` (`chartid`),
  CONSTRAINT `fk_chart_datadimensionitems_datadimensionitemid` FOREIGN KEY (`datadimensionitemid`) REFERENCES `datadimensionitem` (`datadimensionitemid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `chart_datadimensionitems` */

/*Table structure for table `chart_dataelementgroups` */

DROP TABLE IF EXISTS `chart_dataelementgroups`;

CREATE TABLE `chart_dataelementgroups` (
  `chartid` int(11) NOT NULL,
  `dataelementgroupid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`chartid`,`sort_order`),
  KEY `fk_chart_dataelementgroups_dataelementgroupid` (`dataelementgroupid`),
  KEY `fk_chart_dataelementgroups_chartid` (`chartid`),
  CONSTRAINT `fk_chart_dataelementgroups_chartid` FOREIGN KEY (`chartid`) REFERENCES `chart` (`chartid`),
  CONSTRAINT `fk_chart_dataelementgroups_dataelementgroupid` FOREIGN KEY (`dataelementgroupid`) REFERENCES `dataelementgroup` (`dataelementgroupid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `chart_dataelementgroups` */

/*Table structure for table `chart_filters` */

DROP TABLE IF EXISTS `chart_filters`;

CREATE TABLE `chart_filters` (
  `chartid` int(11) NOT NULL,
  `filter` varchar(255) DEFAULT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`chartid`,`sort_order`),
  KEY `FK_d092ulk11oo8kdwieke857qkp` (`chartid`),
  CONSTRAINT `FK_d092ulk11oo8kdwieke857qkp` FOREIGN KEY (`chartid`) REFERENCES `chart` (`chartid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `chart_filters` */

/*Table structure for table `chart_itemorgunitgroups` */

DROP TABLE IF EXISTS `chart_itemorgunitgroups`;

CREATE TABLE `chart_itemorgunitgroups` (
  `chartid` int(11) NOT NULL,
  `orgunitgroupid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`chartid`,`sort_order`),
  KEY `fk_chart_itemorgunitgroups_orgunitgroupid` (`orgunitgroupid`),
  KEY `fk_chart_itemorgunitunitgroups_chartid` (`chartid`),
  CONSTRAINT `fk_chart_itemorgunitunitgroups_chartid` FOREIGN KEY (`chartid`) REFERENCES `chart` (`chartid`),
  CONSTRAINT `fk_chart_itemorgunitgroups_orgunitgroupid` FOREIGN KEY (`orgunitgroupid`) REFERENCES `orgunitgroup` (`orgunitgroupid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `chart_itemorgunitgroups` */

/*Table structure for table `chart_organisationunits` */

DROP TABLE IF EXISTS `chart_organisationunits`;

CREATE TABLE `chart_organisationunits` (
  `chartid` int(11) NOT NULL,
  `organisationunitid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`chartid`,`sort_order`),
  KEY `fk_chart_organisationunits_organisationunitid` (`organisationunitid`),
  KEY `fk_chart_organisationunits_chartid` (`chartid`),
  CONSTRAINT `fk_chart_organisationunits_chartid` FOREIGN KEY (`chartid`) REFERENCES `chart` (`chartid`),
  CONSTRAINT `fk_chart_organisationunits_organisationunitid` FOREIGN KEY (`organisationunitid`) REFERENCES `organisationunit` (`organisationunitid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `chart_organisationunits` */

/*Table structure for table `chart_orgunitgroups` */

DROP TABLE IF EXISTS `chart_orgunitgroups`;

CREATE TABLE `chart_orgunitgroups` (
  `chartid` int(11) NOT NULL,
  `orgunitgroupid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`chartid`,`sort_order`),
  KEY `fk_chart_orgunitgroups_orgunitgroupid` (`orgunitgroupid`),
  KEY `fk_chart_orgunitunitgroups_chartid` (`chartid`),
  CONSTRAINT `fk_chart_orgunitunitgroups_chartid` FOREIGN KEY (`chartid`) REFERENCES `chart` (`chartid`),
  CONSTRAINT `fk_chart_orgunitgroups_orgunitgroupid` FOREIGN KEY (`orgunitgroupid`) REFERENCES `orgunitgroup` (`orgunitgroupid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `chart_orgunitgroups` */

/*Table structure for table `chart_orgunitlevels` */

DROP TABLE IF EXISTS `chart_orgunitlevels`;

CREATE TABLE `chart_orgunitlevels` (
  `chartid` int(11) NOT NULL,
  `orgunitlevel` int(11) DEFAULT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`chartid`,`sort_order`),
  KEY `fk_chart_orgunitlevels_chartid` (`chartid`),
  CONSTRAINT `fk_chart_orgunitlevels_chartid` FOREIGN KEY (`chartid`) REFERENCES `chart` (`chartid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `chart_orgunitlevels` */

/*Table structure for table `chart_periods` */

DROP TABLE IF EXISTS `chart_periods`;

CREATE TABLE `chart_periods` (
  `chartid` int(11) NOT NULL,
  `periodid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`chartid`,`sort_order`),
  KEY `fk_chart_periods_periodid` (`periodid`),
  KEY `fk_chart_periods_chartid` (`chartid`),
  CONSTRAINT `fk_chart_periods_chartid` FOREIGN KEY (`chartid`) REFERENCES `chart` (`chartid`),
  CONSTRAINT `fk_chart_periods_periodid` FOREIGN KEY (`periodid`) REFERENCES `period` (`periodid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `chart_periods` */

/*Table structure for table `chartusergroupaccesses` */

DROP TABLE IF EXISTS `chartusergroupaccesses`;

CREATE TABLE `chartusergroupaccesses` (
  `chartid` int(11) NOT NULL,
  `usergroupaccessid` int(11) NOT NULL,
  PRIMARY KEY (`chartid`,`usergroupaccessid`),
  UNIQUE KEY `UK_191y3j7pfufwrenbd2h9q3pek` (`usergroupaccessid`),
  KEY `FK_191y3j7pfufwrenbd2h9q3pek` (`usergroupaccessid`),
  KEY `FK_dip5t4mdml147shrgnse9w8ia` (`chartid`),
  CONSTRAINT `FK_dip5t4mdml147shrgnse9w8ia` FOREIGN KEY (`chartid`) REFERENCES `chart` (`chartid`),
  CONSTRAINT `FK_191y3j7pfufwrenbd2h9q3pek` FOREIGN KEY (`usergroupaccessid`) REFERENCES `usergroupaccess` (`usergroupaccessid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `chartusergroupaccesses` */

/*Table structure for table `color` */

DROP TABLE IF EXISTS `color`;

CREATE TABLE `color` (
  `colorid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `color` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`colorid`),
  UNIQUE KEY `UK_rrv70c7ej18sptdwj7h6ac5rv` (`uid`),
  UNIQUE KEY `UK_cbnc5ktj6whhh690w32k8cyh8` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `color` */

/*Table structure for table `colorset` */

DROP TABLE IF EXISTS `colorset`;

CREATE TABLE `colorset` (
  `colorsetid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  PRIMARY KEY (`colorsetid`),
  UNIQUE KEY `UK_ofc2a89rccimogdp9ownwcuy1` (`name`),
  UNIQUE KEY `UK_oj2bhkjfgcl9rcwlf579dl1d6` (`uid`),
  UNIQUE KEY `UK_fwso2d10icu8j6720w82tywmq` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `colorset` */

/*Table structure for table `colorset_colors` */

DROP TABLE IF EXISTS `colorset_colors`;

CREATE TABLE `colorset_colors` (
  `colorsetid` int(11) NOT NULL,
  `colorid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`colorsetid`,`sort_order`),
  UNIQUE KEY `UK_84a9xamm9l60e6179ehh35pqj` (`colorid`),
  KEY `fk_colorset_colors_colorid` (`colorid`),
  KEY `fk_colorset_colors_colorsetid` (`colorsetid`),
  CONSTRAINT `fk_colorset_colors_colorsetid` FOREIGN KEY (`colorsetid`) REFERENCES `colorset` (`colorsetid`),
  CONSTRAINT `fk_colorset_colors_colorid` FOREIGN KEY (`colorid`) REFERENCES `color` (`colorid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `colorset_colors` */

/*Table structure for table `completedatasetregistration` */

DROP TABLE IF EXISTS `completedatasetregistration`;

CREATE TABLE `completedatasetregistration` (
  `datasetid` int(11) NOT NULL,
  `periodid` int(11) NOT NULL,
  `sourceid` int(11) NOT NULL,
  `attributeoptioncomboid` int(11) NOT NULL,
  `date` datetime DEFAULT NULL,
  `storedby` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`datasetid`,`periodid`,`sourceid`,`attributeoptioncomboid`),
  KEY `fk_datasetcompleteregistration_datasetid` (`datasetid`),
  KEY `fk_datasetcompleteregistration_periodid` (`periodid`),
  KEY `fk_completedatasetregistration_organisationunitid` (`sourceid`),
  KEY `fk_completedatasetregistration_attributeoptioncomboid` (`attributeoptioncomboid`),
  CONSTRAINT `fk_completedatasetregistration_attributeoptioncomboid` FOREIGN KEY (`attributeoptioncomboid`) REFERENCES `categoryoptioncombo` (`categoryoptioncomboid`),
  CONSTRAINT `fk_completedatasetregistration_organisationunitid` FOREIGN KEY (`sourceid`) REFERENCES `organisationunit` (`organisationunitid`),
  CONSTRAINT `fk_datasetcompleteregistration_datasetid` FOREIGN KEY (`datasetid`) REFERENCES `dataset` (`datasetid`),
  CONSTRAINT `fk_datasetcompleteregistration_periodid` FOREIGN KEY (`periodid`) REFERENCES `period` (`periodid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `completedatasetregistration` */

/*Table structure for table `configuration` */

DROP TABLE IF EXISTS `configuration`;

CREATE TABLE `configuration` (
  `configurationid` int(11) NOT NULL AUTO_INCREMENT,
  `systemid` varchar(255) DEFAULT NULL,
  `feedbackrecipientsid` int(11) DEFAULT NULL,
  `offlineorgunitlevelid` int(11) DEFAULT NULL,
  `infrastructuralindicatorsid` int(11) DEFAULT NULL,
  `infrastructuraldataelementsid` int(11) DEFAULT NULL,
  `infrastructuralperiodtypeid` int(11) DEFAULT NULL,
  `selfregistrationrole` int(11) DEFAULT NULL,
  `selfRegistrationOrgUnit` int(11) DEFAULT NULL,
  `remoteserverurl` varchar(255) DEFAULT NULL,
  `remoteserverusername` varchar(255) DEFAULT NULL,
  `remoteserverpassword` varchar(255) DEFAULT NULL,
  `smptpassword` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`configurationid`),
  KEY `fk_configuration_feedback_recipients` (`feedbackrecipientsid`),
  KEY `fk_configuration_offline_orgunit_level` (`offlineorgunitlevelid`),
  KEY `fk_configuration_infrastructural_indicators` (`infrastructuralindicatorsid`),
  KEY `fk_configuration_infrastructural_dataelements` (`infrastructuraldataelementsid`),
  KEY `fk_configuration_infrastructural_periodtype` (`infrastructuralperiodtypeid`),
  KEY `fk_configuration_selfregistrationrole` (`selfregistrationrole`),
  KEY `fk_configuration_selfregistrationorgunit` (`selfRegistrationOrgUnit`),
  CONSTRAINT `fk_configuration_selfregistrationorgunit` FOREIGN KEY (`selfRegistrationOrgUnit`) REFERENCES `organisationunit` (`organisationunitid`),
  CONSTRAINT `fk_configuration_feedback_recipients` FOREIGN KEY (`feedbackrecipientsid`) REFERENCES `usergroup` (`usergroupid`),
  CONSTRAINT `fk_configuration_infrastructural_dataelements` FOREIGN KEY (`infrastructuraldataelementsid`) REFERENCES `dataelementgroup` (`dataelementgroupid`),
  CONSTRAINT `fk_configuration_infrastructural_indicators` FOREIGN KEY (`infrastructuralindicatorsid`) REFERENCES `indicatorgroup` (`indicatorgroupid`),
  CONSTRAINT `fk_configuration_infrastructural_periodtype` FOREIGN KEY (`infrastructuralperiodtypeid`) REFERENCES `periodtype` (`periodtypeid`),
  CONSTRAINT `fk_configuration_offline_orgunit_level` FOREIGN KEY (`offlineorgunitlevelid`) REFERENCES `orgunitlevel` (`orgunitlevelid`),
  CONSTRAINT `fk_configuration_selfregistrationrole` FOREIGN KEY (`selfregistrationrole`) REFERENCES `userrole` (`userroleid`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

/*Data for the table `configuration` */

insert  into `configuration`(`configurationid`,`systemid`,`feedbackrecipientsid`,`offlineorgunitlevelid`,`infrastructuralindicatorsid`,`infrastructuraldataelementsid`,`infrastructuralperiodtypeid`,`selfregistrationrole`,`selfRegistrationOrgUnit`,`remoteserverurl`,`remoteserverusername`,`remoteserverpassword`,`smptpassword`) values (1,'5f64deda-342b-4dc0-bf56-c2304f72a934',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);

/*Table structure for table `configuration_corswhitelist` */

DROP TABLE IF EXISTS `configuration_corswhitelist`;

CREATE TABLE `configuration_corswhitelist` (
  `configurationid` int(11) NOT NULL,
  `corswhitelist` varchar(255) DEFAULT NULL,
  KEY `fk_configuration_corswhitelist` (`configurationid`),
  CONSTRAINT `fk_configuration_corswhitelist` FOREIGN KEY (`configurationid`) REFERENCES `configuration` (`configurationid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `configuration_corswhitelist` */

/*Table structure for table `constant` */

DROP TABLE IF EXISTS `constant`;

CREATE TABLE `constant` (
  `constantid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `shortname` varchar(50) DEFAULT NULL,
  `description` longtext,
  `value` double NOT NULL,
  `userid` int(11) DEFAULT NULL,
  `publicAccess` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`constantid`),
  UNIQUE KEY `UK_o2xbcli806eba6dkdfco0o3kc` (`name`),
  UNIQUE KEY `UK_nywvip5682tuvxrnwjomeyg6y` (`uid`),
  UNIQUE KEY `UK_edy7cktu2fqg01r3n0fjyk1kk` (`code`),
  UNIQUE KEY `UK_aygjfui3fpgrsxbj6qj782h6f` (`shortname`),
  KEY `fk_constant_userid` (`userid`),
  CONSTRAINT `fk_constant_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `constant` */

/*Table structure for table `constantusergroupaccesses` */

DROP TABLE IF EXISTS `constantusergroupaccesses`;

CREATE TABLE `constantusergroupaccesses` (
  `constantid` int(11) NOT NULL,
  `usergroupaccessid` int(11) NOT NULL,
  PRIMARY KEY (`constantid`,`usergroupaccessid`),
  UNIQUE KEY `UK_9a0eh0b7g9invjjs34nuvntkd` (`usergroupaccessid`),
  KEY `FK_9a0eh0b7g9invjjs34nuvntkd` (`usergroupaccessid`),
  KEY `FK_2wir7o5ifmimtyky3r8pw347e` (`constantid`),
  CONSTRAINT `FK_2wir7o5ifmimtyky3r8pw347e` FOREIGN KEY (`constantid`) REFERENCES `constant` (`constantid`),
  CONSTRAINT `FK_9a0eh0b7g9invjjs34nuvntkd` FOREIGN KEY (`usergroupaccessid`) REFERENCES `usergroupaccess` (`usergroupaccessid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `constantusergroupaccesses` */

/*Table structure for table `dashboard` */

DROP TABLE IF EXISTS `dashboard`;

CREATE TABLE `dashboard` (
  `dashboardid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `userid` int(11) DEFAULT NULL,
  `externalAccess` tinyint(1) DEFAULT NULL,
  `publicAccess` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`dashboardid`),
  UNIQUE KEY `UK_myox13mr8r27oxl7ts33ntpd5` (`uid`),
  UNIQUE KEY `UK_emyh4fed0f1kknqhimmrhnek8` (`code`),
  KEY `fk_dashboard_userid` (`userid`),
  CONSTRAINT `fk_dashboard_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `dashboard` */

/*Table structure for table `dashboard_items` */

DROP TABLE IF EXISTS `dashboard_items`;

CREATE TABLE `dashboard_items` (
  `dashboardid` int(11) NOT NULL,
  `dashboarditemid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`dashboardid`,`sort_order`),
  KEY `fk_dashboard_items_dashboarditemid` (`dashboarditemid`),
  KEY `fk_dashboard_items_dashboardid` (`dashboardid`),
  CONSTRAINT `fk_dashboard_items_dashboardid` FOREIGN KEY (`dashboardid`) REFERENCES `dashboard` (`dashboardid`),
  CONSTRAINT `fk_dashboard_items_dashboarditemid` FOREIGN KEY (`dashboarditemid`) REFERENCES `dashboarditem` (`dashboarditemid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `dashboard_items` */

/*Table structure for table `dashboarditem` */

DROP TABLE IF EXISTS `dashboarditem`;

CREATE TABLE `dashboarditem` (
  `dashboarditemid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `chartid` int(11) DEFAULT NULL,
  `eventchartid` int(11) DEFAULT NULL,
  `mapid` int(11) DEFAULT NULL,
  `reportTable` int(11) DEFAULT NULL,
  `eventReport` int(11) DEFAULT NULL,
  `messages` tinyint(1) DEFAULT NULL,
  `shape` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`dashboarditemid`),
  UNIQUE KEY `UK_3idqsvkpmxpehxqv615s952vd` (`uid`),
  UNIQUE KEY `UK_c8bnosb06cchme5sig7b54uot` (`code`),
  KEY `fk_dashboarditem_chartid` (`chartid`),
  KEY `fk_dashboarditem_eventchartid` (`eventchartid`),
  KEY `fk_dashboarditem_mapid` (`mapid`),
  KEY `fk_dashboarditem_reporttableid` (`reportTable`),
  KEY `fk_dashboarditem_eventreportid` (`eventReport`),
  CONSTRAINT `fk_dashboarditem_eventreportid` FOREIGN KEY (`eventReport`) REFERENCES `eventreport` (`eventreportid`),
  CONSTRAINT `fk_dashboarditem_chartid` FOREIGN KEY (`chartid`) REFERENCES `chart` (`chartid`),
  CONSTRAINT `fk_dashboarditem_eventchartid` FOREIGN KEY (`eventchartid`) REFERENCES `eventchart` (`eventchartid`),
  CONSTRAINT `fk_dashboarditem_mapid` FOREIGN KEY (`mapid`) REFERENCES `map` (`mapid`),
  CONSTRAINT `fk_dashboarditem_reporttableid` FOREIGN KEY (`reportTable`) REFERENCES `reporttable` (`reporttableid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `dashboarditem` */

/*Table structure for table `dashboarditem_reports` */

DROP TABLE IF EXISTS `dashboarditem_reports`;

CREATE TABLE `dashboarditem_reports` (
  `dashboarditemid` int(11) NOT NULL,
  `reportid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`dashboarditemid`,`sort_order`),
  KEY `fk_dashboarditem_reports_reportid` (`reportid`),
  KEY `fk_dashboarditem_reports_dashboardid` (`dashboarditemid`),
  CONSTRAINT `fk_dashboarditem_reports_dashboardid` FOREIGN KEY (`dashboarditemid`) REFERENCES `dashboarditem` (`dashboarditemid`),
  CONSTRAINT `fk_dashboarditem_reports_reportid` FOREIGN KEY (`reportid`) REFERENCES `report` (`reportid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `dashboarditem_reports` */

/*Table structure for table `dashboarditem_resources` */

DROP TABLE IF EXISTS `dashboarditem_resources`;

CREATE TABLE `dashboarditem_resources` (
  `dashboarditemid` int(11) NOT NULL,
  `resourceid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`dashboarditemid`,`sort_order`),
  KEY `fk_dashboarditem_resources_resourceid` (`resourceid`),
  KEY `fk_dashboarditem_resources_dashboardid` (`dashboarditemid`),
  CONSTRAINT `fk_dashboarditem_resources_dashboardid` FOREIGN KEY (`dashboarditemid`) REFERENCES `dashboarditem` (`dashboarditemid`),
  CONSTRAINT `fk_dashboarditem_resources_resourceid` FOREIGN KEY (`resourceid`) REFERENCES `document` (`documentid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `dashboarditem_resources` */

/*Table structure for table `dashboarditem_users` */

DROP TABLE IF EXISTS `dashboarditem_users`;

CREATE TABLE `dashboarditem_users` (
  `dashboarditemid` int(11) NOT NULL,
  `userid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`dashboarditemid`,`sort_order`),
  KEY `fk_dashboarditem_users_userinfoid` (`userid`),
  KEY `fk_dashboarditem_users_dashboardid` (`dashboarditemid`),
  CONSTRAINT `fk_dashboarditem_users_dashboardid` FOREIGN KEY (`dashboarditemid`) REFERENCES `dashboarditem` (`dashboarditemid`),
  CONSTRAINT `fk_dashboarditem_users_userinfoid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `dashboarditem_users` */

/*Table structure for table `dashboardusergroupaccesses` */

DROP TABLE IF EXISTS `dashboardusergroupaccesses`;

CREATE TABLE `dashboardusergroupaccesses` (
  `dashboardid` int(11) NOT NULL,
  `usergroupaccessid` int(11) NOT NULL,
  PRIMARY KEY (`dashboardid`,`usergroupaccessid`),
  UNIQUE KEY `UK_75d35u3n0i5wea6bevn7v6t3l` (`usergroupaccessid`),
  KEY `FK_75d35u3n0i5wea6bevn7v6t3l` (`usergroupaccessid`),
  KEY `FK_5ejgnh1eqww2iy4m3cs98yl6m` (`dashboardid`),
  CONSTRAINT `FK_5ejgnh1eqww2iy4m3cs98yl6m` FOREIGN KEY (`dashboardid`) REFERENCES `dashboard` (`dashboardid`),
  CONSTRAINT `FK_75d35u3n0i5wea6bevn7v6t3l` FOREIGN KEY (`usergroupaccessid`) REFERENCES `usergroupaccess` (`usergroupaccessid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `dashboardusergroupaccesses` */

/*Table structure for table `dataapproval` */

DROP TABLE IF EXISTS `dataapproval`;

CREATE TABLE `dataapproval` (
  `dataapprovalid` int(11) NOT NULL AUTO_INCREMENT,
  `dataapprovallevelid` int(11) NOT NULL,
  `datasetid` int(11) NOT NULL,
  `periodid` int(11) NOT NULL,
  `organisationunitid` int(11) NOT NULL,
  `attributeoptioncomboid` int(11) DEFAULT NULL,
  `accepted` tinyint(1) DEFAULT NULL,
  `created` datetime NOT NULL,
  `creator` int(11) NOT NULL,
  PRIMARY KEY (`dataapprovalid`),
  UNIQUE KEY `dataapproval_unique_key` (`dataapprovallevelid`,`datasetid`,`periodid`,`organisationunitid`,`attributeoptioncomboid`),
  UNIQUE KEY `dataapproval_unique` (`datasetid`,`periodid`,`organisationunitid`,`attributeoptioncomboid`,`dataapprovallevelid`),
  KEY `fk_dataapproval_dataapprovallevel` (`dataapprovallevelid`),
  KEY `fk_dataapproval_datasetid` (`datasetid`),
  KEY `fk_dataapproval_periodid` (`periodid`),
  KEY `fk_dataapproval_organisationunitid` (`organisationunitid`),
  KEY `fk_dataapproval_attributeoptioncomboid` (`attributeoptioncomboid`),
  KEY `fk_dataapproval_creator` (`creator`),
  CONSTRAINT `fk_dataapproval_attributeoptioncomboid` FOREIGN KEY (`attributeoptioncomboid`) REFERENCES `categoryoptioncombo` (`categoryoptioncomboid`),
  CONSTRAINT `fk_dataapproval_creator` FOREIGN KEY (`creator`) REFERENCES `userinfo` (`userinfoid`),
  CONSTRAINT `fk_dataapproval_dataapprovallevel` FOREIGN KEY (`dataapprovallevelid`) REFERENCES `dataapprovallevel` (`dataapprovallevelid`),
  CONSTRAINT `fk_dataapproval_datasetid` FOREIGN KEY (`datasetid`) REFERENCES `dataset` (`datasetid`),
  CONSTRAINT `fk_dataapproval_organisationunitid` FOREIGN KEY (`organisationunitid`) REFERENCES `organisationunit` (`organisationunitid`),
  CONSTRAINT `fk_dataapproval_periodid` FOREIGN KEY (`periodid`) REFERENCES `period` (`periodid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `dataapproval` */

/*Table structure for table `dataapprovallevel` */

DROP TABLE IF EXISTS `dataapprovallevel`;

CREATE TABLE `dataapprovallevel` (
  `dataapprovallevelid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `level` int(11) NOT NULL,
  `orgunitlevel` int(11) NOT NULL,
  `categoryoptiongroupsetid` int(11) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `publicAccess` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`dataapprovallevelid`),
  UNIQUE KEY `UK_5mq4bmpyevmr1ddkkopweted1` (`name`),
  UNIQUE KEY `UK_hqekpuhjg3g4k4t7xdnu10jy4` (`orgunitlevel`,`categoryoptiongroupsetid`),
  UNIQUE KEY `UK_i1uhc0c8jgxkhlswl9fujsicf` (`uid`),
  UNIQUE KEY `UK_2r18tvmbtksk69j35uxpwej44` (`code`),
  KEY `in_dataapprovallevel_level` (`level`),
  KEY `fK_dataapprovallevel_categoryoptiongroupsetid` (`categoryoptiongroupsetid`),
  KEY `fk_dataapprovallevel_userid` (`userid`),
  CONSTRAINT `fk_dataapprovallevel_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`),
  CONSTRAINT `fK_dataapprovallevel_categoryoptiongroupsetid` FOREIGN KEY (`categoryoptiongroupsetid`) REFERENCES `categoryoptiongroupset` (`categoryoptiongroupsetid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `dataapprovallevel` */

/*Table structure for table `dataapprovallevelusergroupaccesses` */

DROP TABLE IF EXISTS `dataapprovallevelusergroupaccesses`;

CREATE TABLE `dataapprovallevelusergroupaccesses` (
  `dataapprovallevelid` int(11) NOT NULL,
  `usergroupaccessid` int(11) NOT NULL,
  PRIMARY KEY (`dataapprovallevelid`,`usergroupaccessid`),
  UNIQUE KEY `UK_eol69wovoy6rdsf83affs376e` (`usergroupaccessid`),
  KEY `FK_eol69wovoy6rdsf83affs376e` (`usergroupaccessid`),
  KEY `FK_l1ge2twesvfey15fsgasybxo1` (`dataapprovallevelid`),
  CONSTRAINT `FK_l1ge2twesvfey15fsgasybxo1` FOREIGN KEY (`dataapprovallevelid`) REFERENCES `dataapprovallevel` (`dataapprovallevelid`),
  CONSTRAINT `FK_eol69wovoy6rdsf83affs376e` FOREIGN KEY (`usergroupaccessid`) REFERENCES `usergroupaccess` (`usergroupaccessid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `dataapprovallevelusergroupaccesses` */

/*Table structure for table `datadimensionitem` */

DROP TABLE IF EXISTS `datadimensionitem`;

CREATE TABLE `datadimensionitem` (
  `datadimensionitemid` int(11) NOT NULL AUTO_INCREMENT,
  `indicatorid` int(11) DEFAULT NULL,
  `dataelementid` int(11) DEFAULT NULL,
  `dataelementoperandid` int(11) DEFAULT NULL,
  `datasetid` int(11) DEFAULT NULL,
  `programindicatorid` int(11) DEFAULT NULL,
  `trackedentityattributeid` int(11) DEFAULT NULL,
  PRIMARY KEY (`datadimensionitemid`),
  KEY `fk_datadimensionitem_indicatorid` (`indicatorid`),
  KEY `fk_datadimensionitem_dataelementid` (`dataelementid`),
  KEY `fk_datadimensionitem_dataelementoperandid` (`dataelementoperandid`),
  KEY `fk_datadimensionitem_datasetid` (`datasetid`),
  KEY `fk_datadimensionitem_programindicatorid` (`programindicatorid`),
  KEY `fk_datadimensionitem_trackedentityattributeid` (`trackedentityattributeid`),
  CONSTRAINT `fk_datadimensionitem_trackedentityattributeid` FOREIGN KEY (`trackedentityattributeid`) REFERENCES `trackedentityattribute` (`trackedentityattributeid`),
  CONSTRAINT `fk_datadimensionitem_dataelementid` FOREIGN KEY (`dataelementid`) REFERENCES `dataelement` (`dataelementid`),
  CONSTRAINT `fk_datadimensionitem_dataelementoperandid` FOREIGN KEY (`dataelementoperandid`) REFERENCES `dataelementoperand` (`dataelementoperandid`),
  CONSTRAINT `fk_datadimensionitem_datasetid` FOREIGN KEY (`datasetid`) REFERENCES `dataset` (`datasetid`),
  CONSTRAINT `fk_datadimensionitem_indicatorid` FOREIGN KEY (`indicatorid`) REFERENCES `indicator` (`indicatorid`),
  CONSTRAINT `fk_datadimensionitem_programindicatorid` FOREIGN KEY (`programindicatorid`) REFERENCES `programindicator` (`programindicatorid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `datadimensionitem` */

/*Table structure for table `dataelement` */

DROP TABLE IF EXISTS `dataelement`;

CREATE TABLE `dataelement` (
  `dataelementid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `shortname` varchar(50) NOT NULL,
  `description` longtext,
  `formName` varchar(230) DEFAULT NULL,
  `valueType` varchar(50) NOT NULL,
  `domainType` varchar(255) NOT NULL,
  `aggregationtype` varchar(50) NOT NULL,
  `categorycomboid` int(11) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `zeroIsSignificant` tinyint(1) NOT NULL,
  `optionsetid` int(11) DEFAULT NULL,
  `commentoptionsetid` int(11) DEFAULT NULL,
  `legendsetid` int(11) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `publicAccess` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`dataelementid`),
  UNIQUE KEY `UK_2nhc265rlfu3dlc3qouvjdprl` (`name`),
  UNIQUE KEY `UK_jc27pe1xeptws5xprct7mgxrj` (`shortname`),
  UNIQUE KEY `UK_3r6dr8m9qwa89afngtr43x9jh` (`uid`),
  UNIQUE KEY `UK_94srnunkibylfaxt4knxfn58e` (`code`),
  UNIQUE KEY `dataelement_code_key` (`code`),
  KEY `fk_dataelement_categorycomboid` (`categorycomboid`),
  KEY `fk_dataelement_optionsetid` (`optionsetid`),
  KEY `fk_dataelement_commentoptionsetid` (`commentoptionsetid`),
  KEY `fk_dataelement_legendset` (`legendsetid`),
  KEY `fk_dataelement_userid` (`userid`),
  CONSTRAINT `fk_dataelement_categorycomboid` FOREIGN KEY (`categorycomboid`) REFERENCES `categorycombo` (`categorycomboid`),
  CONSTRAINT `fk_dataelement_commentoptionsetid` FOREIGN KEY (`commentoptionsetid`) REFERENCES `optionset` (`optionsetid`),
  CONSTRAINT `fk_dataelement_legendset` FOREIGN KEY (`legendsetid`) REFERENCES `maplegendset` (`maplegendsetid`),
  CONSTRAINT `fk_dataelement_optionsetid` FOREIGN KEY (`optionsetid`) REFERENCES `optionset` (`optionsetid`),
  CONSTRAINT `fk_dataelement_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

/*Data for the table `dataelement` */

insert  into `dataelement`(`dataelementid`,`uid`,`code`,`created`,`lastUpdated`,`name`,`shortname`,`description`,`formName`,`valueType`,`domainType`,`aggregationtype`,`categorycomboid`,`url`,`zeroIsSignificant`,`optionsetid`,`commentoptionsetid`,`legendsetid`,`userid`,`publicAccess`) values (1,'Ob6Ry7oMgtm',NULL,'2015-10-30 19:52:04','2015-10-30 19:52:04','DA gender','DA gender',NULL,NULL,'TEXT','TRACKER','SUM',1,'',0,1,NULL,NULL,1,'rw------');

/*Table structure for table `dataelementaggregationlevels` */

DROP TABLE IF EXISTS `dataelementaggregationlevels`;

CREATE TABLE `dataelementaggregationlevels` (
  `dataelementid` int(11) NOT NULL,
  `aggregationlevel` int(11) DEFAULT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`dataelementid`,`sort_order`),
  KEY `fk_dataelementaggregationlevels_dataelementid` (`dataelementid`),
  CONSTRAINT `fk_dataelementaggregationlevels_dataelementid` FOREIGN KEY (`dataelementid`) REFERENCES `dataelement` (`dataelementid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `dataelementaggregationlevels` */

/*Table structure for table `dataelementattributevalues` */

DROP TABLE IF EXISTS `dataelementattributevalues`;

CREATE TABLE `dataelementattributevalues` (
  `dataelementid` int(11) NOT NULL,
  `attributevalueid` int(11) NOT NULL,
  PRIMARY KEY (`dataelementid`,`attributevalueid`),
  UNIQUE KEY `UK_hbpqcltj8paday3y0yystbw6p` (`attributevalueid`),
  KEY `FK_hbpqcltj8paday3y0yystbw6p` (`attributevalueid`),
  KEY `FK_2m9br3lto6g3kudex5fnjlu5q` (`dataelementid`),
  CONSTRAINT `FK_2m9br3lto6g3kudex5fnjlu5q` FOREIGN KEY (`dataelementid`) REFERENCES `dataelement` (`dataelementid`),
  CONSTRAINT `FK_hbpqcltj8paday3y0yystbw6p` FOREIGN KEY (`attributevalueid`) REFERENCES `attributevalue` (`attributevalueid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `dataelementattributevalues` */

/*Table structure for table `dataelementcategory` */

DROP TABLE IF EXISTS `dataelementcategory`;

CREATE TABLE `dataelementcategory` (
  `categoryid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `datadimensiontype` varchar(255) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `publicAccess` varchar(8) DEFAULT NULL,
  `datadimension` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`categoryid`),
  UNIQUE KEY `UK_b0ii4jdfy88pffbapohsr2lor` (`name`),
  UNIQUE KEY `UK_1ev6xqtcsfr4wv6rel0lkg44n` (`uid`),
  UNIQUE KEY `UK_pw87bi64e3ev11k7dwrmljo78` (`code`),
  KEY `fk_dataelementcategory_userid` (`userid`),
  CONSTRAINT `fk_dataelementcategory_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

/*Data for the table `dataelementcategory` */

insert  into `dataelementcategory`(`categoryid`,`uid`,`code`,`created`,`lastUpdated`,`name`,`datadimensiontype`,`userid`,`publicAccess`,`datadimension`) values (1,'QNgMBriTGdx',NULL,'2015-10-30 19:02:55','2015-10-30 19:50:55','default','DISAGGREGATION',NULL,'--------',1);

/*Table structure for table `dataelementcategoryoption` */

DROP TABLE IF EXISTS `dataelementcategoryoption`;

CREATE TABLE `dataelementcategoryoption` (
  `categoryoptionid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `shortname` varchar(50) DEFAULT NULL,
  `startDate` date DEFAULT NULL,
  `endDate` date DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `publicAccess` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`categoryoptionid`),
  UNIQUE KEY `UK_pbj3u1nk9vnuof8f47utvowmv` (`name`),
  UNIQUE KEY `UK_4pi5lfmisrt8un89dnb17xrdy` (`uid`),
  UNIQUE KEY `UK_mlop2afk26fwowa69lr9a138y` (`code`),
  UNIQUE KEY `UK_qp9201a4m6jl53sei0huh4l6s` (`shortname`),
  KEY `fk_dataelementcategoryoption_userid` (`userid`),
  CONSTRAINT `fk_dataelementcategoryoption_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

/*Data for the table `dataelementcategoryoption` */

insert  into `dataelementcategoryoption`(`categoryoptionid`,`uid`,`code`,`created`,`lastUpdated`,`name`,`shortname`,`startDate`,`endDate`,`userid`,`publicAccess`) values (1,'GIfJbCdCk8m',NULL,'2015-10-30 19:02:55','2015-10-30 19:02:55','default','',NULL,NULL,NULL,'--------');

/*Table structure for table `dataelementcategoryoptionattributevalues` */

DROP TABLE IF EXISTS `dataelementcategoryoptionattributevalues`;

CREATE TABLE `dataelementcategoryoptionattributevalues` (
  `categoryoptionid` int(11) NOT NULL,
  `attributevalueid` int(11) NOT NULL,
  PRIMARY KEY (`categoryoptionid`,`attributevalueid`),
  UNIQUE KEY `UK_ficc46qh952uupa5o04svktv2` (`attributevalueid`),
  KEY `FK_ficc46qh952uupa5o04svktv2` (`attributevalueid`),
  KEY `FK_obm86c7nteus3dklbsoosfple` (`categoryoptionid`),
  CONSTRAINT `FK_obm86c7nteus3dklbsoosfple` FOREIGN KEY (`categoryoptionid`) REFERENCES `dataelementcategoryoption` (`categoryoptionid`),
  CONSTRAINT `FK_ficc46qh952uupa5o04svktv2` FOREIGN KEY (`attributevalueid`) REFERENCES `attributevalue` (`attributevalueid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `dataelementcategoryoptionattributevalues` */

/*Table structure for table `dataelementcategoryoptionusergroupaccesses` */

DROP TABLE IF EXISTS `dataelementcategoryoptionusergroupaccesses`;

CREATE TABLE `dataelementcategoryoptionusergroupaccesses` (
  `categoryoptionid` int(11) NOT NULL,
  `usergroupaccessid` int(11) NOT NULL,
  PRIMARY KEY (`categoryoptionid`,`usergroupaccessid`),
  UNIQUE KEY `UK_gdawhakuh5sgetn8agy2y8iqs` (`usergroupaccessid`),
  KEY `FK_gdawhakuh5sgetn8agy2y8iqs` (`usergroupaccessid`),
  KEY `FK_41052o5dqvryv9iyp742oxbv9` (`categoryoptionid`),
  CONSTRAINT `FK_41052o5dqvryv9iyp742oxbv9` FOREIGN KEY (`categoryoptionid`) REFERENCES `dataelementcategoryoption` (`categoryoptionid`),
  CONSTRAINT `FK_gdawhakuh5sgetn8agy2y8iqs` FOREIGN KEY (`usergroupaccessid`) REFERENCES `usergroupaccess` (`usergroupaccessid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `dataelementcategoryoptionusergroupaccesses` */

/*Table structure for table `dataelementcategoryusergroupaccesses` */

DROP TABLE IF EXISTS `dataelementcategoryusergroupaccesses`;

CREATE TABLE `dataelementcategoryusergroupaccesses` (
  `categoryid` int(11) NOT NULL,
  `usergroupaccessid` int(11) NOT NULL,
  PRIMARY KEY (`categoryid`,`usergroupaccessid`),
  UNIQUE KEY `UK_gi1od6nead01u7wxu6h10k76j` (`usergroupaccessid`),
  KEY `FK_gi1od6nead01u7wxu6h10k76j` (`usergroupaccessid`),
  KEY `FK_qwfucoqfyf59oga5nf9yb89ql` (`categoryid`),
  CONSTRAINT `FK_qwfucoqfyf59oga5nf9yb89ql` FOREIGN KEY (`categoryid`) REFERENCES `dataelementcategory` (`categoryid`),
  CONSTRAINT `FK_gi1od6nead01u7wxu6h10k76j` FOREIGN KEY (`usergroupaccessid`) REFERENCES `usergroupaccess` (`usergroupaccessid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `dataelementcategoryusergroupaccesses` */

/*Table structure for table `dataelementgroup` */

DROP TABLE IF EXISTS `dataelementgroup`;

CREATE TABLE `dataelementgroup` (
  `dataelementgroupid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `shortname` varchar(50) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `publicAccess` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`dataelementgroupid`),
  UNIQUE KEY `UK_aqbaj76r9qxmnylr6p8kj9g37` (`name`),
  UNIQUE KEY `UK_otvwcgv4bxjtqfj3flhrnmgf7` (`uid`),
  UNIQUE KEY `UK_jo65jc3wyrxfekiu3upk80mtr` (`code`),
  UNIQUE KEY `UK_6x37lph70r5mh15a71pf1tj17` (`shortname`),
  KEY `fk_dataelementgroup_userid` (`userid`),
  CONSTRAINT `fk_dataelementgroup_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `dataelementgroup` */

/*Table structure for table `dataelementgroupattributevalues` */

DROP TABLE IF EXISTS `dataelementgroupattributevalues`;

CREATE TABLE `dataelementgroupattributevalues` (
  `dataelementgroupid` int(11) NOT NULL,
  `attributevalueid` int(11) NOT NULL,
  PRIMARY KEY (`dataelementgroupid`,`attributevalueid`),
  UNIQUE KEY `UK_fokuy0yq9krttmqaf95ne7ql7` (`attributevalueid`),
  KEY `FK_fokuy0yq9krttmqaf95ne7ql7` (`attributevalueid`),
  KEY `FK_mbvb6gbcr7l9wxvyn23okyndy` (`dataelementgroupid`),
  CONSTRAINT `FK_mbvb6gbcr7l9wxvyn23okyndy` FOREIGN KEY (`dataelementgroupid`) REFERENCES `dataelementgroup` (`dataelementgroupid`),
  CONSTRAINT `FK_fokuy0yq9krttmqaf95ne7ql7` FOREIGN KEY (`attributevalueid`) REFERENCES `attributevalue` (`attributevalueid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `dataelementgroupattributevalues` */

/*Table structure for table `dataelementgroupmembers` */

DROP TABLE IF EXISTS `dataelementgroupmembers`;

CREATE TABLE `dataelementgroupmembers` (
  `dataelementgroupid` int(11) NOT NULL,
  `dataelementid` int(11) NOT NULL,
  PRIMARY KEY (`dataelementgroupid`,`dataelementid`),
  KEY `fk_dataelementgroup_dataelementid` (`dataelementid`),
  KEY `fk_dataelementgroupmembers_dataelementgroupid` (`dataelementgroupid`),
  CONSTRAINT `fk_dataelementgroupmembers_dataelementgroupid` FOREIGN KEY (`dataelementgroupid`) REFERENCES `dataelementgroup` (`dataelementgroupid`),
  CONSTRAINT `fk_dataelementgroup_dataelementid` FOREIGN KEY (`dataelementid`) REFERENCES `dataelement` (`dataelementid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `dataelementgroupmembers` */

/*Table structure for table `dataelementgroupset` */

DROP TABLE IF EXISTS `dataelementgroupset`;

CREATE TABLE `dataelementgroupset` (
  `dataelementgroupsetid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `description` longtext,
  `compulsory` tinyint(1) DEFAULT NULL,
  `dataDimension` tinyint(1) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `publicAccess` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`dataelementgroupsetid`),
  UNIQUE KEY `UK_1xk8j7j0a3li8o0ukblanosky` (`name`),
  UNIQUE KEY `UK_lu295rc1y01c7p7t76y6ajaas` (`uid`),
  UNIQUE KEY `UK_p7egnv3sj4ugyl23mk4vga40k` (`code`),
  KEY `fk_dataelementgroupset_userid` (`userid`),
  CONSTRAINT `fk_dataelementgroupset_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `dataelementgroupset` */

/*Table structure for table `dataelementgroupsetmembers` */

DROP TABLE IF EXISTS `dataelementgroupsetmembers`;

CREATE TABLE `dataelementgroupsetmembers` (
  `dataelementgroupid` int(11) NOT NULL,
  `dataelementgroupsetid` int(11) NOT NULL DEFAULT '0',
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`dataelementgroupsetid`,`sort_order`),
  KEY `fk_dataelementgroupset_dataelementgroupid` (`dataelementgroupid`),
  KEY `fk_dataelementgroupsetmembers_dataelementgroupsetid` (`dataelementgroupsetid`),
  CONSTRAINT `fk_dataelementgroupsetmembers_dataelementgroupsetid` FOREIGN KEY (`dataelementgroupsetid`) REFERENCES `dataelementgroupset` (`dataelementgroupsetid`),
  CONSTRAINT `fk_dataelementgroupset_dataelementgroupid` FOREIGN KEY (`dataelementgroupid`) REFERENCES `dataelementgroup` (`dataelementgroupid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `dataelementgroupsetmembers` */

/*Table structure for table `dataelementgroupsetusergroupaccesses` */

DROP TABLE IF EXISTS `dataelementgroupsetusergroupaccesses`;

CREATE TABLE `dataelementgroupsetusergroupaccesses` (
  `dataelementgroupsetid` int(11) NOT NULL,
  `usergroupaccessid` int(11) NOT NULL,
  PRIMARY KEY (`dataelementgroupsetid`,`usergroupaccessid`),
  UNIQUE KEY `UK_g7l1v9ghhdmxbyagk6s61ym27` (`usergroupaccessid`),
  KEY `FK_g7l1v9ghhdmxbyagk6s61ym27` (`usergroupaccessid`),
  KEY `FK_rn0k5ax86q31ihhqobeou1uxy` (`dataelementgroupsetid`),
  CONSTRAINT `FK_rn0k5ax86q31ihhqobeou1uxy` FOREIGN KEY (`dataelementgroupsetid`) REFERENCES `dataelementgroupset` (`dataelementgroupsetid`),
  CONSTRAINT `FK_g7l1v9ghhdmxbyagk6s61ym27` FOREIGN KEY (`usergroupaccessid`) REFERENCES `usergroupaccess` (`usergroupaccessid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `dataelementgroupsetusergroupaccesses` */

/*Table structure for table `dataelementgroupusergroupaccesses` */

DROP TABLE IF EXISTS `dataelementgroupusergroupaccesses`;

CREATE TABLE `dataelementgroupusergroupaccesses` (
  `dataelementgroupid` int(11) NOT NULL,
  `usergroupaccessid` int(11) NOT NULL,
  PRIMARY KEY (`dataelementgroupid`,`usergroupaccessid`),
  UNIQUE KEY `UK_dfbmp0sfgkcpxtwrfw2rejumg` (`usergroupaccessid`),
  KEY `FK_dfbmp0sfgkcpxtwrfw2rejumg` (`usergroupaccessid`),
  KEY `FK_7e9etuauexf06887jjyp2d9ab` (`dataelementgroupid`),
  CONSTRAINT `FK_7e9etuauexf06887jjyp2d9ab` FOREIGN KEY (`dataelementgroupid`) REFERENCES `dataelementgroup` (`dataelementgroupid`),
  CONSTRAINT `FK_dfbmp0sfgkcpxtwrfw2rejumg` FOREIGN KEY (`usergroupaccessid`) REFERENCES `usergroupaccess` (`usergroupaccessid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `dataelementgroupusergroupaccesses` */

/*Table structure for table `dataelementoperand` */

DROP TABLE IF EXISTS `dataelementoperand`;

CREATE TABLE `dataelementoperand` (
  `dataelementoperandid` int(11) NOT NULL AUTO_INCREMENT,
  `dataelementid` int(11) DEFAULT NULL,
  `categoryoptioncomboid` int(11) DEFAULT NULL,
  PRIMARY KEY (`dataelementoperandid`),
  UNIQUE KEY `dataelement_operand_unique_key` (`dataelementid`,`categoryoptioncomboid`),
  KEY `fk_dataelementoperand_dataelement` (`dataelementid`),
  KEY `fk_dataelementoperand_dataelementcategoryoptioncombo` (`categoryoptioncomboid`),
  CONSTRAINT `fk_dataelementoperand_dataelementcategoryoptioncombo` FOREIGN KEY (`categoryoptioncomboid`) REFERENCES `categoryoptioncombo` (`categoryoptioncomboid`),
  CONSTRAINT `fk_dataelementoperand_dataelement` FOREIGN KEY (`dataelementid`) REFERENCES `dataelement` (`dataelementid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `dataelementoperand` */

/*Table structure for table `dataelementusergroupaccesses` */

DROP TABLE IF EXISTS `dataelementusergroupaccesses`;

CREATE TABLE `dataelementusergroupaccesses` (
  `dataelementid` int(11) NOT NULL,
  `usergroupaccessid` int(11) NOT NULL,
  PRIMARY KEY (`dataelementid`,`usergroupaccessid`),
  UNIQUE KEY `UK_dq1cneyi4cgarkqaspifgmjqn` (`usergroupaccessid`),
  KEY `FK_dq1cneyi4cgarkqaspifgmjqn` (`usergroupaccessid`),
  KEY `FK_d4eelxxkijefe80e7k72w646v` (`dataelementid`),
  CONSTRAINT `FK_d4eelxxkijefe80e7k72w646v` FOREIGN KEY (`dataelementid`) REFERENCES `dataelement` (`dataelementid`),
  CONSTRAINT `FK_dq1cneyi4cgarkqaspifgmjqn` FOREIGN KEY (`usergroupaccessid`) REFERENCES `usergroupaccess` (`usergroupaccessid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `dataelementusergroupaccesses` */

/*Table structure for table `dataentryform` */

DROP TABLE IF EXISTS `dataentryform`;

CREATE TABLE `dataentryform` (
  `dataentryformid` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(160) NOT NULL,
  `style` varchar(40) DEFAULT NULL,
  `htmlcode` longtext,
  `format` int(11) DEFAULT NULL,
  PRIMARY KEY (`dataentryformid`),
  UNIQUE KEY `UK_p8tvo9tqrdn5tb45d0g5cko5o` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `dataentryform` */

/*Table structure for table `dataset` */

DROP TABLE IF EXISTS `dataset`;

CREATE TABLE `dataset` (
  `datasetid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `shortName` varchar(50) DEFAULT NULL,
  `description` longtext,
  `periodtypeid` int(11) NOT NULL,
  `categorycomboid` int(11) DEFAULT NULL,
  `dataEntryForm` int(11) DEFAULT NULL,
  `mobile` tinyint(1) NOT NULL,
  `version` int(11) DEFAULT NULL,
  `expiryDays` int(11) DEFAULT NULL,
  `timelyDays` int(11) DEFAULT NULL,
  `notificationRecipients` int(11) DEFAULT NULL,
  `notifyCompletingUser` tinyint(1) DEFAULT NULL,
  `approveData` tinyint(1) DEFAULT NULL,
  `openfutureperiods` int(11) DEFAULT NULL,
  `fieldCombinationRequired` tinyint(1) DEFAULT NULL,
  `validCompleteOnly` tinyint(1) DEFAULT NULL,
  `noValueRequiresComment` tinyint(1) DEFAULT NULL,
  `skipOffline` tinyint(1) DEFAULT NULL,
  `dataElementDecoration` tinyint(1) DEFAULT NULL,
  `renderAsTabs` tinyint(1) DEFAULT NULL,
  `renderHorizontally` tinyint(1) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `publicAccess` varchar(8) DEFAULT NULL,
  `legendsetid` int(11) DEFAULT NULL,
  PRIMARY KEY (`datasetid`),
  UNIQUE KEY `UK_ayk5ey2r1fh1akknxtpcpyp9r` (`uid`),
  UNIQUE KEY `UK_oeni5ndit5g033f1s1j08bdry` (`code`),
  KEY `fk_dataset_periodtypeid` (`periodtypeid`),
  KEY `fk_dataset_categorycomboid` (`categorycomboid`),
  KEY `fk_dataset_dataentryform` (`dataEntryForm`),
  KEY `fk_dataset_notificationrecipients` (`notificationRecipients`),
  KEY `fk_dataset_userid` (`userid`),
  KEY `fk_dataset_legendset` (`legendsetid`),
  CONSTRAINT `fk_dataset_legendset` FOREIGN KEY (`legendsetid`) REFERENCES `maplegendset` (`maplegendsetid`),
  CONSTRAINT `fk_dataset_categorycomboid` FOREIGN KEY (`categorycomboid`) REFERENCES `categorycombo` (`categorycomboid`),
  CONSTRAINT `fk_dataset_dataentryform` FOREIGN KEY (`dataEntryForm`) REFERENCES `dataentryform` (`dataentryformid`),
  CONSTRAINT `fk_dataset_notificationrecipients` FOREIGN KEY (`notificationRecipients`) REFERENCES `usergroup` (`usergroupid`),
  CONSTRAINT `fk_dataset_periodtypeid` FOREIGN KEY (`periodtypeid`) REFERENCES `periodtype` (`periodtypeid`),
  CONSTRAINT `fk_dataset_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `dataset` */

/*Table structure for table `datasetattributevalues` */

DROP TABLE IF EXISTS `datasetattributevalues`;

CREATE TABLE `datasetattributevalues` (
  `datasetid` int(11) NOT NULL,
  `attributevalueid` int(11) NOT NULL,
  PRIMARY KEY (`datasetid`,`attributevalueid`),
  UNIQUE KEY `UK_rh1jwubao1t728iys0662k7go` (`attributevalueid`),
  KEY `FK_rh1jwubao1t728iys0662k7go` (`attributevalueid`),
  KEY `FK_rholoulwiq9tjukie4obdx4b3` (`datasetid`),
  CONSTRAINT `FK_rholoulwiq9tjukie4obdx4b3` FOREIGN KEY (`datasetid`) REFERENCES `dataset` (`datasetid`),
  CONSTRAINT `FK_rh1jwubao1t728iys0662k7go` FOREIGN KEY (`attributevalueid`) REFERENCES `attributevalue` (`attributevalueid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `datasetattributevalues` */

/*Table structure for table `datasetindicators` */

DROP TABLE IF EXISTS `datasetindicators`;

CREATE TABLE `datasetindicators` (
  `indicatorid` int(11) NOT NULL,
  `datasetid` int(11) NOT NULL,
  PRIMARY KEY (`datasetid`,`indicatorid`),
  KEY `fk_datasetindicators_datasetid` (`datasetid`),
  KEY `fk_dataset_indicatorid` (`indicatorid`),
  CONSTRAINT `fk_dataset_indicatorid` FOREIGN KEY (`indicatorid`) REFERENCES `indicator` (`indicatorid`),
  CONSTRAINT `fk_datasetindicators_datasetid` FOREIGN KEY (`datasetid`) REFERENCES `dataset` (`datasetid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `datasetindicators` */

/*Table structure for table `datasetmembers` */

DROP TABLE IF EXISTS `datasetmembers`;

CREATE TABLE `datasetmembers` (
  `dataelementid` int(11) NOT NULL,
  `datasetid` int(11) NOT NULL,
  PRIMARY KEY (`datasetid`,`dataelementid`),
  KEY `fk_datasetmembers_datasetid` (`datasetid`),
  KEY `fk_dataset_dataelementid` (`dataelementid`),
  CONSTRAINT `fk_dataset_dataelementid` FOREIGN KEY (`dataelementid`) REFERENCES `dataelement` (`dataelementid`),
  CONSTRAINT `fk_datasetmembers_datasetid` FOREIGN KEY (`datasetid`) REFERENCES `dataset` (`datasetid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `datasetmembers` */

/*Table structure for table `datasetoperands` */

DROP TABLE IF EXISTS `datasetoperands`;

CREATE TABLE `datasetoperands` (
  `datasetid` int(11) NOT NULL,
  `dataelementoperandid` int(11) NOT NULL,
  PRIMARY KEY (`datasetid`,`dataelementoperandid`),
  KEY `fk_dataset_dataelementoperandid` (`dataelementoperandid`),
  KEY `fk_datasetoperands_datasetid` (`datasetid`),
  CONSTRAINT `fk_datasetoperands_datasetid` FOREIGN KEY (`datasetid`) REFERENCES `dataset` (`datasetid`),
  CONSTRAINT `fk_dataset_dataelementoperandid` FOREIGN KEY (`dataelementoperandid`) REFERENCES `dataelementoperand` (`dataelementoperandid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `datasetoperands` */

/*Table structure for table `datasetsource` */

DROP TABLE IF EXISTS `datasetsource`;

CREATE TABLE `datasetsource` (
  `sourceid` int(11) NOT NULL,
  `datasetid` int(11) NOT NULL,
  PRIMARY KEY (`datasetid`,`sourceid`),
  KEY `fk_datasetsource_datasetid` (`datasetid`),
  KEY `fk_dataset_organisationunit` (`sourceid`),
  CONSTRAINT `fk_dataset_organisationunit` FOREIGN KEY (`sourceid`) REFERENCES `organisationunit` (`organisationunitid`),
  CONSTRAINT `fk_datasetsource_datasetid` FOREIGN KEY (`datasetid`) REFERENCES `dataset` (`datasetid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `datasetsource` */

/*Table structure for table `datasetusergroupaccesses` */

DROP TABLE IF EXISTS `datasetusergroupaccesses`;

CREATE TABLE `datasetusergroupaccesses` (
  `datasetid` int(11) NOT NULL,
  `usergroupaccessid` int(11) NOT NULL,
  PRIMARY KEY (`datasetid`,`usergroupaccessid`),
  UNIQUE KEY `UK_sc8477b26totcch3j096m2n2y` (`usergroupaccessid`),
  KEY `FK_sc8477b26totcch3j096m2n2y` (`usergroupaccessid`),
  KEY `FK_173igwtu5p4fpvq2ra03n0s5b` (`datasetid`),
  CONSTRAINT `FK_173igwtu5p4fpvq2ra03n0s5b` FOREIGN KEY (`datasetid`) REFERENCES `dataset` (`datasetid`),
  CONSTRAINT `FK_sc8477b26totcch3j096m2n2y` FOREIGN KEY (`usergroupaccessid`) REFERENCES `usergroupaccess` (`usergroupaccessid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `datasetusergroupaccesses` */

/*Table structure for table `datavalue` */

DROP TABLE IF EXISTS `datavalue`;

CREATE TABLE `datavalue` (
  `dataelementid` int(11) NOT NULL,
  `periodid` int(11) NOT NULL,
  `sourceid` int(11) NOT NULL,
  `categoryoptioncomboid` int(11) NOT NULL,
  `attributeoptioncomboid` int(11) NOT NULL,
  `value` longtext,
  `storedby` varchar(255) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastupdated` datetime DEFAULT NULL,
  `comment` longtext,
  `followup` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`dataelementid`,`periodid`,`sourceid`,`categoryoptioncomboid`,`attributeoptioncomboid`),
  KEY `in_datavalue_lastupdated` (`lastupdated`),
  KEY `fk_datavalue_dataelementid` (`dataelementid`),
  KEY `fk_datavalue_periodid` (`periodid`),
  KEY `fk_datavalue_organisationunitid` (`sourceid`),
  KEY `fk_datavalue_categoryoptioncomboid` (`categoryoptioncomboid`),
  KEY `fk_datavalue_attributeoptioncomboid` (`attributeoptioncomboid`),
  CONSTRAINT `fk_datavalue_attributeoptioncomboid` FOREIGN KEY (`attributeoptioncomboid`) REFERENCES `categoryoptioncombo` (`categoryoptioncomboid`),
  CONSTRAINT `fk_datavalue_categoryoptioncomboid` FOREIGN KEY (`categoryoptioncomboid`) REFERENCES `categoryoptioncombo` (`categoryoptioncomboid`),
  CONSTRAINT `fk_datavalue_dataelementid` FOREIGN KEY (`dataelementid`) REFERENCES `dataelement` (`dataelementid`),
  CONSTRAINT `fk_datavalue_organisationunitid` FOREIGN KEY (`sourceid`) REFERENCES `organisationunit` (`organisationunitid`),
  CONSTRAINT `fk_datavalue_periodid` FOREIGN KEY (`periodid`) REFERENCES `period` (`periodid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `datavalue` */

/*Table structure for table `datavalueaudit` */

DROP TABLE IF EXISTS `datavalueaudit`;

CREATE TABLE `datavalueaudit` (
  `datavalueauditid` int(11) NOT NULL AUTO_INCREMENT,
  `dataelementid` int(11) NOT NULL,
  `periodid` int(11) NOT NULL,
  `organisationunitid` int(11) NOT NULL,
  `categoryoptioncomboid` int(11) NOT NULL,
  `attributeoptioncomboid` int(11) DEFAULT NULL,
  `value` longtext,
  `timestamp` datetime NOT NULL,
  `modifiedby` varchar(100) DEFAULT NULL,
  `audittype` varchar(100) NOT NULL,
  PRIMARY KEY (`datavalueauditid`),
  KEY `id_datavalueaudit_timestamp` (`timestamp`),
  KEY `fk_datavalueaudit_dataelementid` (`dataelementid`),
  KEY `fk_datavalueaudit_periodid` (`periodid`),
  KEY `fk_datavalueaudit_organisationunitid` (`organisationunitid`),
  KEY `fk_datavalueaudit_categoryoptioncomboid` (`categoryoptioncomboid`),
  KEY `fk_datavalueaudit_attributeoptioncomboid` (`attributeoptioncomboid`),
  KEY `in_datavalueaudit` (`dataelementid`,`periodid`,`organisationunitid`,`categoryoptioncomboid`,`attributeoptioncomboid`),
  CONSTRAINT `fk_datavalueaudit_attributeoptioncomboid` FOREIGN KEY (`attributeoptioncomboid`) REFERENCES `categoryoptioncombo` (`categoryoptioncomboid`),
  CONSTRAINT `fk_datavalueaudit_categoryoptioncomboid` FOREIGN KEY (`categoryoptioncomboid`) REFERENCES `categoryoptioncombo` (`categoryoptioncomboid`),
  CONSTRAINT `fk_datavalueaudit_dataelementid` FOREIGN KEY (`dataelementid`) REFERENCES `dataelement` (`dataelementid`),
  CONSTRAINT `fk_datavalueaudit_organisationunitid` FOREIGN KEY (`organisationunitid`) REFERENCES `organisationunit` (`organisationunitid`),
  CONSTRAINT `fk_datavalueaudit_periodid` FOREIGN KEY (`periodid`) REFERENCES `period` (`periodid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `datavalueaudit` */

/*Table structure for table `document` */

DROP TABLE IF EXISTS `document`;

CREATE TABLE `document` (
  `documentid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `url` longtext NOT NULL,
  `external` tinyint(1) NOT NULL,
  `contentType` varchar(255) DEFAULT NULL,
  `attachment` tinyint(1) DEFAULT NULL,
  `externalAccess` tinyint(1) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `publicAccess` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`documentid`),
  UNIQUE KEY `UK_jxodv1lvot26euasttk021jio` (`uid`),
  UNIQUE KEY `UK_elt3kiqdmmm5fwqfxsxk9lvh0` (`code`),
  KEY `fk_document_userid` (`userid`),
  CONSTRAINT `fk_document_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `document` */

/*Table structure for table `documentusergroupaccesses` */

DROP TABLE IF EXISTS `documentusergroupaccesses`;

CREATE TABLE `documentusergroupaccesses` (
  `documentid` int(11) NOT NULL,
  `usergroupaccessid` int(11) NOT NULL,
  PRIMARY KEY (`documentid`,`usergroupaccessid`),
  UNIQUE KEY `UK_rtty45gvm30id8sglrlmacatq` (`usergroupaccessid`),
  KEY `FK_rtty45gvm30id8sglrlmacatq` (`usergroupaccessid`),
  KEY `FK_dfr7ey1rghm2evsgr0hk678x4` (`documentid`),
  CONSTRAINT `FK_dfr7ey1rghm2evsgr0hk678x4` FOREIGN KEY (`documentid`) REFERENCES `document` (`documentid`),
  CONSTRAINT `FK_rtty45gvm30id8sglrlmacatq` FOREIGN KEY (`usergroupaccessid`) REFERENCES `usergroupaccess` (`usergroupaccessid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `documentusergroupaccesses` */

/*Table structure for table `eventchart` */

DROP TABLE IF EXISTS `eventchart`;

CREATE TABLE `eventchart` (
  `eventchartid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `relativeperiodsid` int(11) DEFAULT NULL,
  `userOrganisationUnit` tinyint(1) DEFAULT NULL,
  `userOrganisationUnitChildren` tinyint(1) DEFAULT NULL,
  `userOrganisationUnitGrandChildren` tinyint(1) DEFAULT NULL,
  `programid` int(11) NOT NULL,
  `programstageid` int(11) DEFAULT NULL,
  `startDate` datetime DEFAULT NULL,
  `endDate` datetime DEFAULT NULL,
  `dataelementvaluedimensionid` int(11) DEFAULT NULL,
  `attributevaluedimensionid` int(11) DEFAULT NULL,
  `aggregationType` varchar(40) DEFAULT NULL,
  `completedonly` tinyint(1) DEFAULT NULL,
  `type` varchar(40) NOT NULL,
  `showData` tinyint(1) DEFAULT NULL,
  `hideEmptyRows` tinyint(1) DEFAULT NULL,
  `hideNaData` tinyint(1) DEFAULT NULL,
  `rangeAxisMaxValue` double DEFAULT NULL,
  `rangeAxisMinValue` double DEFAULT NULL,
  `rangeAxisSteps` int(11) DEFAULT NULL,
  `rangeAxisDecimals` int(11) DEFAULT NULL,
  `outputType` varchar(30) DEFAULT NULL,
  `collapseDataDimensions` tinyint(1) DEFAULT NULL,
  `domainAxisLabel` varchar(255) DEFAULT NULL,
  `rangeAxisLabel` varchar(255) DEFAULT NULL,
  `hideLegend` tinyint(1) DEFAULT NULL,
  `regression` tinyint(1) DEFAULT NULL,
  `hideTitle` tinyint(1) DEFAULT NULL,
  `hideSubtitle` tinyint(1) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `targetLineValue` double DEFAULT NULL,
  `targetLineLabel` varchar(255) DEFAULT NULL,
  `baseLineValue` double DEFAULT NULL,
  `baseLineLabel` varchar(255) DEFAULT NULL,
  `sortOrder` int(11) DEFAULT NULL,
  `externalAccess` tinyint(1) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `publicAccess` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`eventchartid`),
  UNIQUE KEY `UK_679r4uoqpust6h694bed8nrh9` (`uid`),
  UNIQUE KEY `UK_6dyim42vl218i9e9waqrvw36k` (`code`),
  UNIQUE KEY `UK_5w429v9hdlvivan4a69x3ntx5` (`relativeperiodsid`),
  KEY `fk_eventchart_relativeperiodsid` (`relativeperiodsid`),
  KEY `fk_eventchart_programid` (`programid`),
  KEY `fk_eventchart_programstageid` (`programstageid`),
  KEY `fk_eventchart_dataelementvaluedimensionid` (`dataelementvaluedimensionid`),
  KEY `fk_eventchart_attributevaluedimensionid` (`attributevaluedimensionid`),
  KEY `fk_eventchart_userid` (`userid`),
  CONSTRAINT `fk_eventchart_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`),
  CONSTRAINT `fk_eventchart_attributevaluedimensionid` FOREIGN KEY (`attributevaluedimensionid`) REFERENCES `trackedentityattribute` (`trackedentityattributeid`),
  CONSTRAINT `fk_eventchart_dataelementvaluedimensionid` FOREIGN KEY (`dataelementvaluedimensionid`) REFERENCES `dataelement` (`dataelementid`),
  CONSTRAINT `fk_eventchart_programid` FOREIGN KEY (`programid`) REFERENCES `program` (`programid`),
  CONSTRAINT `fk_eventchart_programstageid` FOREIGN KEY (`programstageid`) REFERENCES `programstage` (`programstageid`),
  CONSTRAINT `fk_eventchart_relativeperiodsid` FOREIGN KEY (`relativeperiodsid`) REFERENCES `relativeperiods` (`relativeperiodsid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `eventchart` */

/*Table structure for table `eventchart_attributedimensions` */

DROP TABLE IF EXISTS `eventchart_attributedimensions`;

CREATE TABLE `eventchart_attributedimensions` (
  `eventchartid` int(11) NOT NULL,
  `trackedentityattributedimensionid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`eventchartid`,`sort_order`),
  KEY `fk_eventchart_attributedimensions_attributedimensionid` (`trackedentityattributedimensionid`),
  KEY `fk_eventchart_attributedimensions_eventchartid` (`eventchartid`),
  CONSTRAINT `fk_eventchart_attributedimensions_eventchartid` FOREIGN KEY (`eventchartid`) REFERENCES `eventchart` (`eventchartid`),
  CONSTRAINT `fk_eventchart_attributedimensions_attributedimensionid` FOREIGN KEY (`trackedentityattributedimensionid`) REFERENCES `trackedentityattributedimension` (`trackedentityattributedimensionid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `eventchart_attributedimensions` */

/*Table structure for table `eventchart_columns` */

DROP TABLE IF EXISTS `eventchart_columns`;

CREATE TABLE `eventchart_columns` (
  `eventchartid` int(11) NOT NULL,
  `dimension` varchar(255) DEFAULT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`eventchartid`,`sort_order`),
  KEY `fk_eventchart_columns_eventchartid` (`eventchartid`),
  CONSTRAINT `fk_eventchart_columns_eventchartid` FOREIGN KEY (`eventchartid`) REFERENCES `eventchart` (`eventchartid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `eventchart_columns` */

/*Table structure for table `eventchart_dataelementdimensions` */

DROP TABLE IF EXISTS `eventchart_dataelementdimensions`;

CREATE TABLE `eventchart_dataelementdimensions` (
  `eventchartid` int(11) NOT NULL,
  `trackedentitydataelementdimensionid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`eventchartid`,`sort_order`),
  KEY `fk_eventchart_dataelementdimensions_dataelementdimensionid` (`trackedentitydataelementdimensionid`),
  KEY `fk_eventchart_dataelementdimensions_eventchartid` (`eventchartid`),
  CONSTRAINT `fk_eventchart_dataelementdimensions_eventchartid` FOREIGN KEY (`eventchartid`) REFERENCES `eventchart` (`eventchartid`),
  CONSTRAINT `fk_eventchart_dataelementdimensions_dataelementdimensionid` FOREIGN KEY (`trackedentitydataelementdimensionid`) REFERENCES `trackedentitydataelementdimension` (`trackedentitydataelementdimensionid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `eventchart_dataelementdimensions` */

/*Table structure for table `eventchart_filters` */

DROP TABLE IF EXISTS `eventchart_filters`;

CREATE TABLE `eventchart_filters` (
  `eventchartid` int(11) NOT NULL,
  `dimension` varchar(255) DEFAULT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`eventchartid`,`sort_order`),
  KEY `fk_eventchart_filters_eventchartid` (`eventchartid`),
  CONSTRAINT `fk_eventchart_filters_eventchartid` FOREIGN KEY (`eventchartid`) REFERENCES `eventchart` (`eventchartid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `eventchart_filters` */

/*Table structure for table `eventchart_itemorgunitgroups` */

DROP TABLE IF EXISTS `eventchart_itemorgunitgroups`;

CREATE TABLE `eventchart_itemorgunitgroups` (
  `eventchartid` int(11) NOT NULL,
  `orgunitgroupid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`eventchartid`,`sort_order`),
  KEY `fk_eventchart_itemorgunitgroups_orgunitgroupid` (`orgunitgroupid`),
  KEY `fk_eventchart_itemorgunitunitgroups_eventchartid` (`eventchartid`),
  CONSTRAINT `fk_eventchart_itemorgunitunitgroups_eventchartid` FOREIGN KEY (`eventchartid`) REFERENCES `eventchart` (`eventchartid`),
  CONSTRAINT `fk_eventchart_itemorgunitgroups_orgunitgroupid` FOREIGN KEY (`orgunitgroupid`) REFERENCES `orgunitgroup` (`orgunitgroupid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `eventchart_itemorgunitgroups` */

/*Table structure for table `eventchart_organisationunits` */

DROP TABLE IF EXISTS `eventchart_organisationunits`;

CREATE TABLE `eventchart_organisationunits` (
  `eventchartid` int(11) NOT NULL,
  `organisationunitid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`eventchartid`,`sort_order`),
  KEY `fk_eventchart_organisationunits_organisationunitid` (`organisationunitid`),
  KEY `fk_eventchart_organisationunits_eventchartid` (`eventchartid`),
  CONSTRAINT `fk_eventchart_organisationunits_eventchartid` FOREIGN KEY (`eventchartid`) REFERENCES `eventchart` (`eventchartid`),
  CONSTRAINT `fk_eventchart_organisationunits_organisationunitid` FOREIGN KEY (`organisationunitid`) REFERENCES `organisationunit` (`organisationunitid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `eventchart_organisationunits` */

/*Table structure for table `eventchart_orgunitgroups` */

DROP TABLE IF EXISTS `eventchart_orgunitgroups`;

CREATE TABLE `eventchart_orgunitgroups` (
  `eventchartid` int(11) NOT NULL,
  `orgunitgroupid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`eventchartid`,`sort_order`),
  KEY `fk_eventchart_orgunitgroups_orgunitgroupid` (`orgunitgroupid`),
  KEY `fk_eventchart_orgunitunitgroups_eventchartid` (`eventchartid`),
  CONSTRAINT `fk_eventchart_orgunitunitgroups_eventchartid` FOREIGN KEY (`eventchartid`) REFERENCES `eventchart` (`eventchartid`),
  CONSTRAINT `fk_eventchart_orgunitgroups_orgunitgroupid` FOREIGN KEY (`orgunitgroupid`) REFERENCES `orgunitgroup` (`orgunitgroupid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `eventchart_orgunitgroups` */

/*Table structure for table `eventchart_orgunitlevels` */

DROP TABLE IF EXISTS `eventchart_orgunitlevels`;

CREATE TABLE `eventchart_orgunitlevels` (
  `eventchartid` int(11) NOT NULL,
  `orgunitlevel` int(11) DEFAULT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`eventchartid`,`sort_order`),
  KEY `fk_eventchart_orgunitlevels_eventchartid` (`eventchartid`),
  CONSTRAINT `fk_eventchart_orgunitlevels_eventchartid` FOREIGN KEY (`eventchartid`) REFERENCES `eventchart` (`eventchartid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `eventchart_orgunitlevels` */

/*Table structure for table `eventchart_periods` */

DROP TABLE IF EXISTS `eventchart_periods`;

CREATE TABLE `eventchart_periods` (
  `eventchartid` int(11) NOT NULL,
  `periodid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`eventchartid`,`sort_order`),
  KEY `fk_eventchart_periods_periodid` (`periodid`),
  KEY `fk_eventchart_periods_eventchartid` (`eventchartid`),
  CONSTRAINT `fk_eventchart_periods_eventchartid` FOREIGN KEY (`eventchartid`) REFERENCES `eventchart` (`eventchartid`),
  CONSTRAINT `fk_eventchart_periods_periodid` FOREIGN KEY (`periodid`) REFERENCES `period` (`periodid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `eventchart_periods` */

/*Table structure for table `eventchart_programindicatordimensions` */

DROP TABLE IF EXISTS `eventchart_programindicatordimensions`;

CREATE TABLE `eventchart_programindicatordimensions` (
  `eventchartid` int(11) NOT NULL,
  `trackedentityprogramindicatordimensionid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`eventchartid`,`sort_order`),
  KEY `fk_eventchart_programindicatordimensions_eventchartid` (`eventchartid`),
  CONSTRAINT `fk_eventchart_programindicatordimensions_eventchartid` FOREIGN KEY (`eventchartid`) REFERENCES `eventchart` (`eventchartid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `eventchart_programindicatordimensions` */

/*Table structure for table `eventchart_rows` */

DROP TABLE IF EXISTS `eventchart_rows`;

CREATE TABLE `eventchart_rows` (
  `eventchartid` int(11) NOT NULL,
  `dimension` varchar(255) DEFAULT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`eventchartid`,`sort_order`),
  KEY `fk_eventchart_rows_eventchartid` (`eventchartid`),
  CONSTRAINT `fk_eventchart_rows_eventchartid` FOREIGN KEY (`eventchartid`) REFERENCES `eventchart` (`eventchartid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `eventchart_rows` */

/*Table structure for table `eventchartusergroupaccesses` */

DROP TABLE IF EXISTS `eventchartusergroupaccesses`;

CREATE TABLE `eventchartusergroupaccesses` (
  `eventchartid` int(11) NOT NULL,
  `usergroupaccessid` int(11) NOT NULL,
  PRIMARY KEY (`eventchartid`,`usergroupaccessid`),
  UNIQUE KEY `UK_krfvmvcrf3agy0jlmbh7n2kvb` (`usergroupaccessid`),
  KEY `FK_krfvmvcrf3agy0jlmbh7n2kvb` (`usergroupaccessid`),
  KEY `FK_m97ip2yocknv5wq1hphrwgs9i` (`eventchartid`),
  CONSTRAINT `FK_m97ip2yocknv5wq1hphrwgs9i` FOREIGN KEY (`eventchartid`) REFERENCES `eventchart` (`eventchartid`),
  CONSTRAINT `FK_krfvmvcrf3agy0jlmbh7n2kvb` FOREIGN KEY (`usergroupaccessid`) REFERENCES `usergroupaccess` (`usergroupaccessid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `eventchartusergroupaccesses` */

/*Table structure for table `eventreport` */

DROP TABLE IF EXISTS `eventreport`;

CREATE TABLE `eventreport` (
  `eventreportid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `relativeperiodsid` int(11) DEFAULT NULL,
  `userOrganisationUnit` tinyint(1) DEFAULT NULL,
  `userOrganisationUnitChildren` tinyint(1) DEFAULT NULL,
  `userOrganisationUnitGrandChildren` tinyint(1) DEFAULT NULL,
  `programid` int(11) NOT NULL,
  `programstageid` int(11) DEFAULT NULL,
  `startDate` datetime DEFAULT NULL,
  `endDate` datetime DEFAULT NULL,
  `dataelementvaluedimensionid` int(11) DEFAULT NULL,
  `attributevaluedimensionid` int(11) DEFAULT NULL,
  `aggregationType` varchar(40) DEFAULT NULL,
  `completedonly` tinyint(1) DEFAULT NULL,
  `dataType` varchar(40) DEFAULT NULL,
  `rowTotals` tinyint(1) DEFAULT NULL,
  `colTotals` tinyint(1) DEFAULT NULL,
  `rowSubTotals` tinyint(1) DEFAULT NULL,
  `colSubTotals` tinyint(1) DEFAULT NULL,
  `hideEmptyRows` tinyint(1) DEFAULT NULL,
  `hideNaData` tinyint(1) DEFAULT NULL,
  `showHierarchy` tinyint(1) DEFAULT NULL,
  `outputType` varchar(30) DEFAULT NULL,
  `collapseDataDimensions` tinyint(1) DEFAULT NULL,
  `showDimensionLabels` tinyint(1) DEFAULT NULL,
  `digitGroupSeparator` varchar(40) DEFAULT NULL,
  `displayDensity` varchar(40) DEFAULT NULL,
  `fontSize` varchar(40) DEFAULT NULL,
  `sortOrder` int(11) DEFAULT NULL,
  `topLimit` int(11) DEFAULT NULL,
  `externalAccess` tinyint(1) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `publicAccess` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`eventreportid`),
  UNIQUE KEY `UK_lnnx8vmalkhkmneryv1ytjq68` (`uid`),
  UNIQUE KEY `UK_eqd95mucf5pd856dqlwe6y36c` (`code`),
  UNIQUE KEY `UK_q0oyainj1lis9c8kkh5sky2ri` (`relativeperiodsid`),
  KEY `fk_eventreport_relativeperiodsid` (`relativeperiodsid`),
  KEY `fk_eventreport_programid` (`programid`),
  KEY `fk_eventreport_programstageid` (`programstageid`),
  KEY `fk_eventreport_dataelementvaluedimensionid` (`dataelementvaluedimensionid`),
  KEY `fk_eventreport_attributevaluedimensionid` (`attributevaluedimensionid`),
  KEY `fk_eventreport_userid` (`userid`),
  CONSTRAINT `fk_eventreport_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`),
  CONSTRAINT `fk_eventreport_attributevaluedimensionid` FOREIGN KEY (`attributevaluedimensionid`) REFERENCES `trackedentityattribute` (`trackedentityattributeid`),
  CONSTRAINT `fk_eventreport_dataelementvaluedimensionid` FOREIGN KEY (`dataelementvaluedimensionid`) REFERENCES `dataelement` (`dataelementid`),
  CONSTRAINT `fk_eventreport_programid` FOREIGN KEY (`programid`) REFERENCES `program` (`programid`),
  CONSTRAINT `fk_eventreport_programstageid` FOREIGN KEY (`programstageid`) REFERENCES `programstage` (`programstageid`),
  CONSTRAINT `fk_eventreport_relativeperiodsid` FOREIGN KEY (`relativeperiodsid`) REFERENCES `relativeperiods` (`relativeperiodsid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `eventreport` */

/*Table structure for table `eventreport_attributedimensions` */

DROP TABLE IF EXISTS `eventreport_attributedimensions`;

CREATE TABLE `eventreport_attributedimensions` (
  `eventreportid` int(11) NOT NULL,
  `trackedentityattributedimensionid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`eventreportid`,`sort_order`),
  KEY `fk_eventreport_attributedimensions_attributedimensionid` (`trackedentityattributedimensionid`),
  KEY `fk_eventreport_attributedimensions_eventreportid` (`eventreportid`),
  CONSTRAINT `fk_eventreport_attributedimensions_eventreportid` FOREIGN KEY (`eventreportid`) REFERENCES `eventreport` (`eventreportid`),
  CONSTRAINT `fk_eventreport_attributedimensions_attributedimensionid` FOREIGN KEY (`trackedentityattributedimensionid`) REFERENCES `trackedentityattributedimension` (`trackedentityattributedimensionid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `eventreport_attributedimensions` */

/*Table structure for table `eventreport_columns` */

DROP TABLE IF EXISTS `eventreport_columns`;

CREATE TABLE `eventreport_columns` (
  `eventreportid` int(11) NOT NULL,
  `dimension` varchar(255) DEFAULT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`eventreportid`,`sort_order`),
  KEY `fk_eventreport_columns_eventreportid` (`eventreportid`),
  CONSTRAINT `fk_eventreport_columns_eventreportid` FOREIGN KEY (`eventreportid`) REFERENCES `eventreport` (`eventreportid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `eventreport_columns` */

/*Table structure for table `eventreport_dataelementdimensions` */

DROP TABLE IF EXISTS `eventreport_dataelementdimensions`;

CREATE TABLE `eventreport_dataelementdimensions` (
  `eventreportid` int(11) NOT NULL,
  `trackedentitydataelementdimensionid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`eventreportid`,`sort_order`),
  KEY `fk_eventreport_dataelementdimensions_dataelementdimensionid` (`trackedentitydataelementdimensionid`),
  KEY `fk_eventreport_dataelementdimensions_eventreportid` (`eventreportid`),
  CONSTRAINT `fk_eventreport_dataelementdimensions_eventreportid` FOREIGN KEY (`eventreportid`) REFERENCES `eventreport` (`eventreportid`),
  CONSTRAINT `fk_eventreport_dataelementdimensions_dataelementdimensionid` FOREIGN KEY (`trackedentitydataelementdimensionid`) REFERENCES `trackedentitydataelementdimension` (`trackedentitydataelementdimensionid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `eventreport_dataelementdimensions` */

/*Table structure for table `eventreport_filters` */

DROP TABLE IF EXISTS `eventreport_filters`;

CREATE TABLE `eventreport_filters` (
  `eventreportid` int(11) NOT NULL,
  `dimension` varchar(255) DEFAULT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`eventreportid`,`sort_order`),
  KEY `fk_eventreport_filters_eventreportid` (`eventreportid`),
  CONSTRAINT `fk_eventreport_filters_eventreportid` FOREIGN KEY (`eventreportid`) REFERENCES `eventreport` (`eventreportid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `eventreport_filters` */

/*Table structure for table `eventreport_itemorgunitgroups` */

DROP TABLE IF EXISTS `eventreport_itemorgunitgroups`;

CREATE TABLE `eventreport_itemorgunitgroups` (
  `eventreportid` int(11) NOT NULL,
  `orgunitgroupid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`eventreportid`,`sort_order`),
  KEY `fk_eventreport_itemorgunitgroups_orgunitgroupid` (`orgunitgroupid`),
  KEY `fk_eventreport_itemorgunitunitgroups_eventreportid` (`eventreportid`),
  CONSTRAINT `fk_eventreport_itemorgunitunitgroups_eventreportid` FOREIGN KEY (`eventreportid`) REFERENCES `eventreport` (`eventreportid`),
  CONSTRAINT `fk_eventreport_itemorgunitgroups_orgunitgroupid` FOREIGN KEY (`orgunitgroupid`) REFERENCES `orgunitgroup` (`orgunitgroupid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `eventreport_itemorgunitgroups` */

/*Table structure for table `eventreport_organisationunits` */

DROP TABLE IF EXISTS `eventreport_organisationunits`;

CREATE TABLE `eventreport_organisationunits` (
  `eventreportid` int(11) NOT NULL,
  `organisationunitid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`eventreportid`,`sort_order`),
  KEY `fk_eventreport_organisationunits_organisationunitid` (`organisationunitid`),
  KEY `fk_eventreport_organisationunits_eventreportid` (`eventreportid`),
  CONSTRAINT `fk_eventreport_organisationunits_eventreportid` FOREIGN KEY (`eventreportid`) REFERENCES `eventreport` (`eventreportid`),
  CONSTRAINT `fk_eventreport_organisationunits_organisationunitid` FOREIGN KEY (`organisationunitid`) REFERENCES `organisationunit` (`organisationunitid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `eventreport_organisationunits` */

/*Table structure for table `eventreport_orgunitgroups` */

DROP TABLE IF EXISTS `eventreport_orgunitgroups`;

CREATE TABLE `eventreport_orgunitgroups` (
  `eventreportid` int(11) NOT NULL,
  `orgunitgroupid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`eventreportid`,`sort_order`),
  KEY `fk_eventreport_orgunitgroups_orgunitgroupid` (`orgunitgroupid`),
  KEY `fk_eventreport_orgunitunitgroups_eventreportid` (`eventreportid`),
  CONSTRAINT `fk_eventreport_orgunitunitgroups_eventreportid` FOREIGN KEY (`eventreportid`) REFERENCES `eventreport` (`eventreportid`),
  CONSTRAINT `fk_eventreport_orgunitgroups_orgunitgroupid` FOREIGN KEY (`orgunitgroupid`) REFERENCES `orgunitgroup` (`orgunitgroupid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `eventreport_orgunitgroups` */

/*Table structure for table `eventreport_orgunitlevels` */

DROP TABLE IF EXISTS `eventreport_orgunitlevels`;

CREATE TABLE `eventreport_orgunitlevels` (
  `eventreportid` int(11) NOT NULL,
  `orgunitlevel` int(11) DEFAULT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`eventreportid`,`sort_order`),
  KEY `fk_eventreport_orgunitlevels_eventreportid` (`eventreportid`),
  CONSTRAINT `fk_eventreport_orgunitlevels_eventreportid` FOREIGN KEY (`eventreportid`) REFERENCES `eventreport` (`eventreportid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `eventreport_orgunitlevels` */

/*Table structure for table `eventreport_periods` */

DROP TABLE IF EXISTS `eventreport_periods`;

CREATE TABLE `eventreport_periods` (
  `eventreportid` int(11) NOT NULL,
  `periodid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`eventreportid`,`sort_order`),
  KEY `fk_eventreport_periods_periodid` (`periodid`),
  KEY `fk_eventreport_periods_eventreportid` (`eventreportid`),
  CONSTRAINT `fk_eventreport_periods_eventreportid` FOREIGN KEY (`eventreportid`) REFERENCES `eventreport` (`eventreportid`),
  CONSTRAINT `fk_eventreport_periods_periodid` FOREIGN KEY (`periodid`) REFERENCES `period` (`periodid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `eventreport_periods` */

/*Table structure for table `eventreport_programindicatordimensions` */

DROP TABLE IF EXISTS `eventreport_programindicatordimensions`;

CREATE TABLE `eventreport_programindicatordimensions` (
  `eventreportid` int(11) NOT NULL,
  `trackedentityprogramindicatordimensionid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`eventreportid`,`sort_order`),
  KEY `fk_eventreport_programindicatordimensions_eventreportid` (`eventreportid`),
  CONSTRAINT `fk_eventreport_programindicatordimensions_eventreportid` FOREIGN KEY (`eventreportid`) REFERENCES `eventreport` (`eventreportid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `eventreport_programindicatordimensions` */

/*Table structure for table `eventreport_rows` */

DROP TABLE IF EXISTS `eventreport_rows`;

CREATE TABLE `eventreport_rows` (
  `eventreportid` int(11) NOT NULL,
  `dimension` varchar(255) DEFAULT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`eventreportid`,`sort_order`),
  KEY `fk_eventreport_rows_eventreportid` (`eventreportid`),
  CONSTRAINT `fk_eventreport_rows_eventreportid` FOREIGN KEY (`eventreportid`) REFERENCES `eventreport` (`eventreportid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `eventreport_rows` */

/*Table structure for table `eventreportusergroupaccesses` */

DROP TABLE IF EXISTS `eventreportusergroupaccesses`;

CREATE TABLE `eventreportusergroupaccesses` (
  `eventreportid` int(11) NOT NULL,
  `usergroupaccessid` int(11) NOT NULL,
  PRIMARY KEY (`eventreportid`,`usergroupaccessid`),
  UNIQUE KEY `UK_oith7i266qbjggmij30psueoo` (`usergroupaccessid`),
  KEY `FK_oith7i266qbjggmij30psueoo` (`usergroupaccessid`),
  KEY `FK_mcy6pmjqdeky5wophnx1ld85d` (`eventreportid`),
  CONSTRAINT `FK_mcy6pmjqdeky5wophnx1ld85d` FOREIGN KEY (`eventreportid`) REFERENCES `eventreport` (`eventreportid`),
  CONSTRAINT `FK_oith7i266qbjggmij30psueoo` FOREIGN KEY (`usergroupaccessid`) REFERENCES `usergroupaccess` (`usergroupaccessid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `eventreportusergroupaccesses` */

/*Table structure for table `expression` */

DROP TABLE IF EXISTS `expression`;

CREATE TABLE `expression` (
  `expressionid` int(11) NOT NULL AUTO_INCREMENT,
  `description` varchar(255) DEFAULT NULL,
  `expression` longtext,
  `missingvaluestrategy` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`expressionid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `expression` */

/*Table structure for table `expressiondataelement` */

DROP TABLE IF EXISTS `expressiondataelement`;

CREATE TABLE `expressiondataelement` (
  `expressionid` int(11) NOT NULL,
  `dataelementid` int(11) NOT NULL,
  PRIMARY KEY (`expressionid`,`dataelementid`),
  KEY `fk_expression_dataelementid` (`dataelementid`),
  KEY `fk_expressiondataelement_expressionid` (`expressionid`),
  CONSTRAINT `fk_expressiondataelement_expressionid` FOREIGN KEY (`expressionid`) REFERENCES `expression` (`expressionid`),
  CONSTRAINT `fk_expression_dataelementid` FOREIGN KEY (`dataelementid`) REFERENCES `dataelement` (`dataelementid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `expressiondataelement` */

/*Table structure for table `fileresource` */

DROP TABLE IF EXISTS `fileresource`;

CREATE TABLE `fileresource` (
  `fileresourceid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `contenttype` varchar(255) NOT NULL,
  `contentlength` bigint(20) NOT NULL,
  `contentmd5` varchar(32) NOT NULL,
  `storagekey` longtext NOT NULL,
  `isassigned` tinyint(1) NOT NULL,
  `storagestatus` varchar(40) DEFAULT NULL,
  `domain` varchar(40) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  PRIMARY KEY (`fileresourceid`),
  UNIQUE KEY `UK_eh2epuhchf9mci86ihl06i31g` (`uid`),
  UNIQUE KEY `UK_4dlqoc6s8ilws9yhacy5qkddb` (`code`),
  KEY `fk_fileresource_userid` (`userid`),
  CONSTRAINT `fk_fileresource_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `fileresource` */

/*Table structure for table `i18nlocale` */

DROP TABLE IF EXISTS `i18nlocale`;

CREATE TABLE `i18nlocale` (
  `i18nlocaleid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(250) NOT NULL,
  `locale` varchar(15) NOT NULL,
  PRIMARY KEY (`i18nlocaleid`),
  UNIQUE KEY `UK_qogg9a7yy4qconomxt4j4upql` (`name`),
  UNIQUE KEY `UK_9j6xjgegveyc0uqs506yy2wrp` (`locale`),
  UNIQUE KEY `UK_2l0ovv74pjtairmeyiwy4i2ui` (`uid`),
  UNIQUE KEY `UK_krm9w69donjqsejkmfw17jbcx` (`code`)
) ENGINE=InnoDB AUTO_INCREMENT=29 DEFAULT CHARSET=utf8;

/*Data for the table `i18nlocale` */

insert  into `i18nlocale`(`i18nlocaleid`,`uid`,`code`,`created`,`lastUpdated`,`name`,`locale`) values (1,'HXPz3vP9iSG',NULL,'2015-10-30 19:03:04','2015-10-30 19:03:04','afrikaans','af'),(2,'Hy5aS1rzCdD',NULL,'2015-10-30 19:03:04','2015-10-30 19:03:04','arabo','ar'),(3,'DPC7K56hSrg',NULL,'2015-10-30 19:03:04','2015-10-30 19:03:04','bislama','bi'),(4,'Y3lvv6cZKo4',NULL,'2015-10-30 19:03:04','2015-10-30 19:03:04','amarico','am'),(5,'hwRJWa9NxXr',NULL,'2015-10-30 19:03:04','2015-10-30 19:03:04','tedesco','de'),(6,'PB7DuUjA96h',NULL,'2015-10-30 19:03:04','2015-10-30 19:03:04','dzongkha','dz'),(7,'NXb4JFf64HN',NULL,'2015-10-30 19:03:04','2015-10-30 19:03:04','inglese','en'),(8,'vQPC1eXmOl2',NULL,'2015-10-30 19:03:04','2015-10-30 19:03:04','spagnolo','es'),(9,'D4Qc0hqfndr',NULL,'2015-10-30 19:03:04','2015-10-30 19:03:04','persiano','fa'),(10,'AgNudApByfo',NULL,'2015-10-30 19:03:04','2015-10-30 19:03:04','francese','fr'),(11,'EqjA2D6LUx2',NULL,'2015-10-30 19:03:04','2015-10-30 19:03:04','gujarati','gu'),(12,'eYcIeaMsefj',NULL,'2015-10-30 19:03:04','2015-10-30 19:03:04','hindi','hi'),(13,'WLT7uu1NDpE',NULL,'2015-10-30 19:03:04','2015-10-30 19:03:04','indonesiano','in'),(14,'VEV50DM4Egs',NULL,'2015-10-30 19:03:04','2015-10-30 19:03:04','italiano','it'),(15,'xqxG8HmYolP',NULL,'2015-10-30 19:03:04','2015-10-30 19:03:04','cambogiano (khmer)','km'),(16,'YmQThm0dn4H',NULL,'2015-10-30 19:03:04','2015-10-30 19:03:04','lao','lo'),(17,'DxIqUffgFqO',NULL,'2015-10-30 19:03:04','2015-10-30 19:03:04','birmano','my'),(18,'qY2gk7vl0IJ',NULL,'2015-10-30 19:03:04','2015-10-30 19:03:04','nepalese','ne'),(19,'F1chcZ2ls67',NULL,'2015-10-30 19:03:04','2015-10-30 19:03:04','neerlandese','nl'),(20,'OuyC1HY8TzZ',NULL,'2015-10-30 19:03:04','2015-10-30 19:03:04','norvegese','no'),(21,'L4enAeS2KBA',NULL,'2015-10-30 19:03:04','2015-10-30 19:03:04','pashto','ps'),(22,'uz3eAzKW2Us',NULL,'2015-10-30 19:03:04','2015-10-30 19:03:04','portoghese','pt'),(23,'UJiF2BgvEJm',NULL,'2015-10-30 19:03:04','2015-10-30 19:03:04','russo','ru'),(24,'FQx139XPkwy',NULL,'2015-10-30 19:03:04','2015-10-30 19:03:04','kinyarwanda','rw'),(25,'dmUJlL3COAM',NULL,'2015-10-30 19:03:04','2015-10-30 19:03:04','swahili','sw'),(26,'vOHh7PB4ENo',NULL,'2015-10-30 19:03:04','2015-10-30 19:03:04','tagiko','tg'),(27,'i0pkdyyCyky',NULL,'2015-10-30 19:03:04','2015-10-30 19:03:04','vietnamita','vi'),(28,'iIveoBcKPfA',NULL,'2015-10-30 19:03:04','2015-10-30 19:03:04','cinese','zh');

/*Table structure for table `incomingsms` */

DROP TABLE IF EXISTS `incomingsms`;

CREATE TABLE `incomingsms` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `originator` varchar(255) NOT NULL,
  `encoding` int(11) NOT NULL,
  `sentDate` datetime NOT NULL,
  `receivedDate` datetime NOT NULL,
  `text` varchar(255) DEFAULT NULL,
  `gatewayId` varchar(255) NOT NULL,
  `status` int(11) NOT NULL,
  `parsed` tinyint(1) DEFAULT NULL,
  `statusMessage` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `sms_originator_index` (`originator`),
  KEY `sms_status_index` (`status`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `incomingsms` */

/*Table structure for table `indicator` */

DROP TABLE IF EXISTS `indicator`;

CREATE TABLE `indicator` (
  `indicatorid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `shortname` varchar(50) NOT NULL,
  `description` longtext,
  `annualized` tinyint(1) NOT NULL,
  `decimals` int(11) DEFAULT NULL,
  `indicatortypeid` int(11) NOT NULL,
  `numerator` longtext,
  `numeratordescription` longtext,
  `denominator` longtext,
  `denominatordescription` longtext,
  `url` varchar(255) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `publicAccess` varchar(8) DEFAULT NULL,
  `legendsetid` int(11) DEFAULT NULL,
  PRIMARY KEY (`indicatorid`),
  UNIQUE KEY `UK_ta80keoi67443tkvvmx8l872x` (`uid`),
  UNIQUE KEY `UK_kmpefoaw81v4bxpoey6y1y3xl` (`code`),
  UNIQUE KEY `indicator_code_key` (`code`),
  KEY `fk_indicator_indicatortypeid` (`indicatortypeid`),
  KEY `fk_indicator_userid` (`userid`),
  KEY `fk_indicator_legendset` (`legendsetid`),
  CONSTRAINT `fk_indicator_indicatortypeid` FOREIGN KEY (`indicatortypeid`) REFERENCES `indicatortype` (`indicatortypeid`),
  CONSTRAINT `fk_indicator_legendset` FOREIGN KEY (`legendsetid`) REFERENCES `maplegendset` (`maplegendsetid`),
  CONSTRAINT `fk_indicator_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `indicator` */

/*Table structure for table `indicatorattributevalues` */

DROP TABLE IF EXISTS `indicatorattributevalues`;

CREATE TABLE `indicatorattributevalues` (
  `indicatorid` int(11) NOT NULL,
  `attributevalueid` int(11) NOT NULL,
  PRIMARY KEY (`indicatorid`,`attributevalueid`),
  UNIQUE KEY `UK_6sq5y5hpb4kqf2fmas69rql3g` (`attributevalueid`),
  KEY `FK_6sq5y5hpb4kqf2fmas69rql3g` (`attributevalueid`),
  KEY `FK_e1hdccxtuffe76u6ln0lv0wdr` (`indicatorid`),
  CONSTRAINT `FK_e1hdccxtuffe76u6ln0lv0wdr` FOREIGN KEY (`indicatorid`) REFERENCES `indicator` (`indicatorid`),
  CONSTRAINT `FK_6sq5y5hpb4kqf2fmas69rql3g` FOREIGN KEY (`attributevalueid`) REFERENCES `attributevalue` (`attributevalueid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `indicatorattributevalues` */

/*Table structure for table `indicatorgroup` */

DROP TABLE IF EXISTS `indicatorgroup`;

CREATE TABLE `indicatorgroup` (
  `indicatorgroupid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `userid` int(11) DEFAULT NULL,
  `publicAccess` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`indicatorgroupid`),
  UNIQUE KEY `UK_kqbwxccoqctky1kdkimjya03s` (`uid`),
  UNIQUE KEY `UK_sspviu4m0l0lf7ef3t3cagfxd` (`code`),
  KEY `fk_indicatorgroup_userid` (`userid`),
  CONSTRAINT `fk_indicatorgroup_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `indicatorgroup` */

/*Table structure for table `indicatorgroupattributevalues` */

DROP TABLE IF EXISTS `indicatorgroupattributevalues`;

CREATE TABLE `indicatorgroupattributevalues` (
  `indicatorgroupid` int(11) NOT NULL,
  `attributevalueid` int(11) NOT NULL,
  PRIMARY KEY (`indicatorgroupid`,`attributevalueid`),
  UNIQUE KEY `UK_qaqvbi3rmqrmsesdwr2dkltwd` (`attributevalueid`),
  KEY `FK_qaqvbi3rmqrmsesdwr2dkltwd` (`attributevalueid`),
  KEY `FK_r7l3spahtfdugg2e4rhw714xd` (`indicatorgroupid`),
  CONSTRAINT `FK_r7l3spahtfdugg2e4rhw714xd` FOREIGN KEY (`indicatorgroupid`) REFERENCES `indicatorgroup` (`indicatorgroupid`),
  CONSTRAINT `FK_qaqvbi3rmqrmsesdwr2dkltwd` FOREIGN KEY (`attributevalueid`) REFERENCES `attributevalue` (`attributevalueid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `indicatorgroupattributevalues` */

/*Table structure for table `indicatorgroupmembers` */

DROP TABLE IF EXISTS `indicatorgroupmembers`;

CREATE TABLE `indicatorgroupmembers` (
  `indicatorgroupid` int(11) NOT NULL,
  `indicatorid` int(11) NOT NULL,
  PRIMARY KEY (`indicatorgroupid`,`indicatorid`),
  KEY `fk_indicatorgroup_indicatorid` (`indicatorid`),
  KEY `fk_indicatorgroupmembers_indicatorgroupid` (`indicatorgroupid`),
  CONSTRAINT `fk_indicatorgroupmembers_indicatorgroupid` FOREIGN KEY (`indicatorgroupid`) REFERENCES `indicatorgroup` (`indicatorgroupid`),
  CONSTRAINT `fk_indicatorgroup_indicatorid` FOREIGN KEY (`indicatorid`) REFERENCES `indicator` (`indicatorid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `indicatorgroupmembers` */

/*Table structure for table `indicatorgroupset` */

DROP TABLE IF EXISTS `indicatorgroupset`;

CREATE TABLE `indicatorgroupset` (
  `indicatorgroupsetid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `description` longtext,
  `compulsory` tinyint(1) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `publicAccess` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`indicatorgroupsetid`),
  UNIQUE KEY `UK_n4xputyk31femiaxls6lbl2rw` (`uid`),
  UNIQUE KEY `UK_actuoxkkqulslxjpj5hagib9r` (`code`),
  KEY `fk_indicatorgroupset_userid` (`userid`),
  CONSTRAINT `fk_indicatorgroupset_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `indicatorgroupset` */

/*Table structure for table `indicatorgroupsetmembers` */

DROP TABLE IF EXISTS `indicatorgroupsetmembers`;

CREATE TABLE `indicatorgroupsetmembers` (
  `indicatorgroupid` int(11) NOT NULL,
  `indicatorgroupsetid` int(11) NOT NULL DEFAULT '0',
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`indicatorgroupsetid`,`sort_order`),
  KEY `fk_indicatorgroupset_indicatorgroupid` (`indicatorgroupid`),
  KEY `fk_indicatorgroupsetmembers_indicatorgroupsetid` (`indicatorgroupsetid`),
  CONSTRAINT `fk_indicatorgroupsetmembers_indicatorgroupsetid` FOREIGN KEY (`indicatorgroupsetid`) REFERENCES `indicatorgroupset` (`indicatorgroupsetid`),
  CONSTRAINT `fk_indicatorgroupset_indicatorgroupid` FOREIGN KEY (`indicatorgroupid`) REFERENCES `indicatorgroup` (`indicatorgroupid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `indicatorgroupsetmembers` */

/*Table structure for table `indicatorgroupsetusergroupaccesses` */

DROP TABLE IF EXISTS `indicatorgroupsetusergroupaccesses`;

CREATE TABLE `indicatorgroupsetusergroupaccesses` (
  `indicatorgroupsetid` int(11) NOT NULL,
  `usergroupaccessid` int(11) NOT NULL,
  PRIMARY KEY (`indicatorgroupsetid`,`usergroupaccessid`),
  UNIQUE KEY `UK_kk6o2c0eb5bex4sn1p5n7juu5` (`usergroupaccessid`),
  KEY `FK_kk6o2c0eb5bex4sn1p5n7juu5` (`usergroupaccessid`),
  KEY `FK_23tujvg5k8ahbb3pr3ev4ru4g` (`indicatorgroupsetid`),
  CONSTRAINT `FK_23tujvg5k8ahbb3pr3ev4ru4g` FOREIGN KEY (`indicatorgroupsetid`) REFERENCES `indicatorgroupset` (`indicatorgroupsetid`),
  CONSTRAINT `FK_kk6o2c0eb5bex4sn1p5n7juu5` FOREIGN KEY (`usergroupaccessid`) REFERENCES `usergroupaccess` (`usergroupaccessid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `indicatorgroupsetusergroupaccesses` */

/*Table structure for table `indicatorgroupusergroupaccesses` */

DROP TABLE IF EXISTS `indicatorgroupusergroupaccesses`;

CREATE TABLE `indicatorgroupusergroupaccesses` (
  `indicatorgroupid` int(11) NOT NULL,
  `usergroupaccessid` int(11) NOT NULL,
  PRIMARY KEY (`indicatorgroupid`,`usergroupaccessid`),
  UNIQUE KEY `UK_4wluhhaibua3a52cts7jnrt5b` (`usergroupaccessid`),
  KEY `FK_4wluhhaibua3a52cts7jnrt5b` (`usergroupaccessid`),
  KEY `FK_k9yqhhdjgjs0c7ky12mvdqf0o` (`indicatorgroupid`),
  CONSTRAINT `FK_k9yqhhdjgjs0c7ky12mvdqf0o` FOREIGN KEY (`indicatorgroupid`) REFERENCES `indicatorgroup` (`indicatorgroupid`),
  CONSTRAINT `FK_4wluhhaibua3a52cts7jnrt5b` FOREIGN KEY (`usergroupaccessid`) REFERENCES `usergroupaccess` (`usergroupaccessid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `indicatorgroupusergroupaccesses` */

/*Table structure for table `indicatortype` */

DROP TABLE IF EXISTS `indicatortype`;

CREATE TABLE `indicatortype` (
  `indicatortypeid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `indicatorfactor` int(11) NOT NULL,
  `indicatornumber` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`indicatortypeid`),
  UNIQUE KEY `UK_n8mbmryeksa80ucyxj0vg6p9b` (`name`),
  UNIQUE KEY `UK_p0p3bwhgbsdemu14v23p47qne` (`uid`),
  UNIQUE KEY `UK_8dcmrupnoi7hiiom466aoa2y` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `indicatortype` */

/*Table structure for table `indicatorusergroupaccesses` */

DROP TABLE IF EXISTS `indicatorusergroupaccesses`;

CREATE TABLE `indicatorusergroupaccesses` (
  `indicatorid` int(11) NOT NULL,
  `usergroupaccessid` int(11) NOT NULL,
  PRIMARY KEY (`indicatorid`,`usergroupaccessid`),
  UNIQUE KEY `UK_6gnwbmpissx2s1manr6bwxriu` (`usergroupaccessid`),
  KEY `FK_6gnwbmpissx2s1manr6bwxriu` (`usergroupaccessid`),
  KEY `FK_le3o66egq1xirukusp2gbtqqr` (`indicatorid`),
  CONSTRAINT `FK_le3o66egq1xirukusp2gbtqqr` FOREIGN KEY (`indicatorid`) REFERENCES `indicator` (`indicatorid`),
  CONSTRAINT `FK_6gnwbmpissx2s1manr6bwxriu` FOREIGN KEY (`usergroupaccessid`) REFERENCES `usergroupaccess` (`usergroupaccessid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `indicatorusergroupaccesses` */

/*Table structure for table `interpretation` */

DROP TABLE IF EXISTS `interpretation`;

CREATE TABLE `interpretation` (
  `interpretationid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `chartid` int(11) DEFAULT NULL,
  `mapid` int(11) DEFAULT NULL,
  `reporttableid` int(11) DEFAULT NULL,
  `datasetid` int(11) DEFAULT NULL,
  `periodid` int(11) DEFAULT NULL,
  `organisationunitid` int(11) DEFAULT NULL,
  `interpretationtext` longtext,
  `created` datetime NOT NULL,
  `userid` int(11) DEFAULT NULL,
  `publicAccess` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`interpretationid`),
  KEY `interpretation_lastupdated` (`lastUpdated`),
  KEY `fk_interpretation_chartid` (`chartid`),
  KEY `fk_interpretation_mapid` (`mapid`),
  KEY `fk_interpretation_reporttableid` (`reporttableid`),
  KEY `fk_interpretation_datasetid` (`datasetid`),
  KEY `fk_interpretation_periodid` (`periodid`),
  KEY `fk_interpretation_organisationunitid` (`organisationunitid`),
  KEY `fk_interpretation_userid` (`userid`),
  CONSTRAINT `fk_interpretation_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`),
  CONSTRAINT `fk_interpretation_chartid` FOREIGN KEY (`chartid`) REFERENCES `chart` (`chartid`),
  CONSTRAINT `fk_interpretation_datasetid` FOREIGN KEY (`datasetid`) REFERENCES `dataset` (`datasetid`),
  CONSTRAINT `fk_interpretation_mapid` FOREIGN KEY (`mapid`) REFERENCES `map` (`mapid`),
  CONSTRAINT `fk_interpretation_organisationunitid` FOREIGN KEY (`organisationunitid`) REFERENCES `organisationunit` (`organisationunitid`),
  CONSTRAINT `fk_interpretation_periodid` FOREIGN KEY (`periodid`) REFERENCES `period` (`periodid`),
  CONSTRAINT `fk_interpretation_reporttableid` FOREIGN KEY (`reporttableid`) REFERENCES `reporttable` (`reporttableid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `interpretation` */

/*Table structure for table `interpretation_comments` */

DROP TABLE IF EXISTS `interpretation_comments`;

CREATE TABLE `interpretation_comments` (
  `interpretationid` int(11) NOT NULL,
  `interpretationcommentid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`interpretationid`,`sort_order`),
  UNIQUE KEY `UK_k48tayhxu52jiq782pikev9d9` (`interpretationcommentid`),
  KEY `fk_interpretation_comments_interpretationcommentid` (`interpretationcommentid`),
  KEY `fk_interpretation_comments_interpretationid` (`interpretationid`),
  CONSTRAINT `fk_interpretation_comments_interpretationid` FOREIGN KEY (`interpretationid`) REFERENCES `interpretation` (`interpretationid`),
  CONSTRAINT `fk_interpretation_comments_interpretationcommentid` FOREIGN KEY (`interpretationcommentid`) REFERENCES `interpretationcomment` (`interpretationcommentid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `interpretation_comments` */

/*Table structure for table `interpretationcomment` */

DROP TABLE IF EXISTS `interpretationcomment`;

CREATE TABLE `interpretationcomment` (
  `interpretationcommentid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `commenttext` longtext,
  `userid` int(11) NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`interpretationcommentid`),
  KEY `fk_interpretationcomment_userid` (`userid`),
  CONSTRAINT `fk_interpretationcomment_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `interpretationcomment` */

/*Table structure for table `interpretationusergroupaccesses` */

DROP TABLE IF EXISTS `interpretationusergroupaccesses`;

CREATE TABLE `interpretationusergroupaccesses` (
  `interpretationid` int(11) NOT NULL,
  `usergroupaccessid` int(11) NOT NULL,
  PRIMARY KEY (`interpretationid`,`usergroupaccessid`),
  UNIQUE KEY `UK_qba465kdmkyxal2f05g3f1f94` (`usergroupaccessid`),
  KEY `FK_qba465kdmkyxal2f05g3f1f94` (`usergroupaccessid`),
  KEY `FK_1cciwxtt7o698c2vmxnnrjgqk` (`interpretationid`),
  CONSTRAINT `FK_1cciwxtt7o698c2vmxnnrjgqk` FOREIGN KEY (`interpretationid`) REFERENCES `interpretation` (`interpretationid`),
  CONSTRAINT `FK_qba465kdmkyxal2f05g3f1f94` FOREIGN KEY (`usergroupaccessid`) REFERENCES `usergroupaccess` (`usergroupaccessid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `interpretationusergroupaccesses` */

/*Table structure for table `lockexception` */

DROP TABLE IF EXISTS `lockexception`;

CREATE TABLE `lockexception` (
  `lockexceptionid` int(11) NOT NULL AUTO_INCREMENT,
  `organisationunitid` int(11) DEFAULT NULL,
  `periodid` int(11) DEFAULT NULL,
  `datasetid` int(11) DEFAULT NULL,
  PRIMARY KEY (`lockexceptionid`),
  KEY `fk_lockexception_organisationunitid` (`organisationunitid`),
  KEY `fk_lockexception_periodid` (`periodid`),
  KEY `fk_lockexception_datasetid` (`datasetid`),
  CONSTRAINT `fk_lockexception_datasetid` FOREIGN KEY (`datasetid`) REFERENCES `dataset` (`datasetid`),
  CONSTRAINT `fk_lockexception_organisationunitid` FOREIGN KEY (`organisationunitid`) REFERENCES `organisationunit` (`organisationunitid`),
  CONSTRAINT `fk_lockexception_periodid` FOREIGN KEY (`periodid`) REFERENCES `period` (`periodid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `lockexception` */

/*Table structure for table `map` */

DROP TABLE IF EXISTS `map`;

CREATE TABLE `map` (
  `mapid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `longitude` double DEFAULT NULL,
  `latitude` double DEFAULT NULL,
  `zoom` int(11) DEFAULT NULL,
  `externalAccess` tinyint(1) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `publicAccess` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`mapid`),
  UNIQUE KEY `UK_grp9b5jne53f806pc92sfd5s8` (`uid`),
  UNIQUE KEY `UK_37l2m3o1xfuagpki90gfh5kqb` (`code`),
  KEY `fk_mapview_userid` (`userid`),
  CONSTRAINT `fk_mapview_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `map` */

/*Table structure for table `maplayer` */

DROP TABLE IF EXISTS `maplayer`;

CREATE TABLE `maplayer` (
  `maplayerid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `type` varchar(255) DEFAULT NULL,
  `url` longtext,
  `layers` longtext,
  `time` longtext,
  `fillcolor` varchar(255) DEFAULT NULL,
  `fillopacity` double NOT NULL,
  `strokecolor` varchar(255) DEFAULT NULL,
  `strokewidth` int(11) NOT NULL,
  PRIMARY KEY (`maplayerid`),
  UNIQUE KEY `UK_g51ij19h9pv4bythd05ajm284` (`name`),
  UNIQUE KEY `UK_dp5tf46w1wmujd4tnvk82f99y` (`uid`),
  UNIQUE KEY `UK_l4rldmsxivwmlhg2xt9bn0k25` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `maplayer` */

/*Table structure for table `maplegend` */

DROP TABLE IF EXISTS `maplegend`;

CREATE TABLE `maplegend` (
  `maplegendid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `startvalue` double DEFAULT NULL,
  `endvalue` double DEFAULT NULL,
  `color` varchar(255) DEFAULT NULL,
  `image` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`maplegendid`),
  UNIQUE KEY `UK_9csrw908a1fvfwbhjwm0jfl4e` (`uid`),
  UNIQUE KEY `UK_id4stsb5slq35axmjeojnjnoa` (`code`),
  KEY `maplegend_startvalue` (`startvalue`),
  KEY `maplegend_endvalue` (`endvalue`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `maplegend` */

/*Table structure for table `maplegendset` */

DROP TABLE IF EXISTS `maplegendset`;

CREATE TABLE `maplegendset` (
  `maplegendsetid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `symbolizer` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`maplegendsetid`),
  UNIQUE KEY `UK_842ips1xb81udqc3dw5uax7u5` (`name`),
  UNIQUE KEY `UK_ec7ehyocpresxxhm7yjstdnwt` (`uid`),
  UNIQUE KEY `UK_bv71u83esume24hp4gsaj5p4f` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `maplegendset` */

/*Table structure for table `maplegendsetmaplegend` */

DROP TABLE IF EXISTS `maplegendsetmaplegend`;

CREATE TABLE `maplegendsetmaplegend` (
  `legendsetid` int(11) NOT NULL,
  `maplegendid` int(11) NOT NULL,
  PRIMARY KEY (`legendsetid`,`maplegendid`),
  KEY `fk_maplegendset_maplegend` (`maplegendid`),
  KEY `fk_maplegendsetmaplegend_legendsetid` (`legendsetid`),
  CONSTRAINT `fk_maplegendsetmaplegend_legendsetid` FOREIGN KEY (`legendsetid`) REFERENCES `maplegendset` (`maplegendsetid`),
  CONSTRAINT `fk_maplegendset_maplegend` FOREIGN KEY (`maplegendid`) REFERENCES `maplegend` (`maplegendid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `maplegendsetmaplegend` */

/*Table structure for table `mapmapviews` */

DROP TABLE IF EXISTS `mapmapviews`;

CREATE TABLE `mapmapviews` (
  `mapid` int(11) NOT NULL,
  `mapviewid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`mapid`,`sort_order`),
  KEY `fk_mapmapview_mapviewid` (`mapviewid`),
  KEY `fk_mapmapview_mapid` (`mapid`),
  CONSTRAINT `fk_mapmapview_mapid` FOREIGN KEY (`mapid`) REFERENCES `map` (`mapid`),
  CONSTRAINT `fk_mapmapview_mapviewid` FOREIGN KEY (`mapviewid`) REFERENCES `mapview` (`mapviewid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `mapmapviews` */

/*Table structure for table `mapusergroupaccesses` */

DROP TABLE IF EXISTS `mapusergroupaccesses`;

CREATE TABLE `mapusergroupaccesses` (
  `mapid` int(11) NOT NULL,
  `usergroupaccessid` int(11) NOT NULL,
  PRIMARY KEY (`mapid`,`usergroupaccessid`),
  UNIQUE KEY `UK_pag45qp5gr17svxsntj5tjw66` (`usergroupaccessid`),
  KEY `FK_pag45qp5gr17svxsntj5tjw66` (`usergroupaccessid`),
  KEY `FK_71htyus0us5tgs3c9tdet9kce` (`mapid`),
  CONSTRAINT `FK_71htyus0us5tgs3c9tdet9kce` FOREIGN KEY (`mapid`) REFERENCES `map` (`mapid`),
  CONSTRAINT `FK_pag45qp5gr17svxsntj5tjw66` FOREIGN KEY (`usergroupaccessid`) REFERENCES `usergroupaccess` (`usergroupaccessid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `mapusergroupaccesses` */

/*Table structure for table `mapview` */

DROP TABLE IF EXISTS `mapview`;

CREATE TABLE `mapview` (
  `mapviewid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `layer` varchar(255) NOT NULL,
  `relativeperiodsid` int(11) DEFAULT NULL,
  `programid` int(11) DEFAULT NULL,
  `userOrganisationUnit` tinyint(1) DEFAULT NULL,
  `userOrganisationUnitChildren` tinyint(1) DEFAULT NULL,
  `userOrganisationUnitGrandChildren` tinyint(1) DEFAULT NULL,
  `method` int(11) DEFAULT NULL,
  `classes` int(11) DEFAULT NULL,
  `colorLow` varchar(255) DEFAULT NULL,
  `colorHigh` varchar(255) DEFAULT NULL,
  `legendsetid` int(11) DEFAULT NULL,
  `radiusLow` int(11) DEFAULT NULL,
  `radiusHigh` int(11) DEFAULT NULL,
  `opacity` double DEFAULT NULL,
  `orgunitgroupsetid` int(11) DEFAULT NULL,
  `areaRadius` int(11) DEFAULT NULL,
  `hidden` tinyint(1) DEFAULT NULL,
  `labels` tinyint(1) DEFAULT NULL,
  `labelFontSize` varchar(255) DEFAULT NULL,
  `labelFontWeight` varchar(255) DEFAULT NULL,
  `labelFontStyle` varchar(255) DEFAULT NULL,
  `labelFontColor` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`mapviewid`),
  UNIQUE KEY `UK_8eyremdx683wcd9owh1t5jufs` (`relativeperiodsid`),
  KEY `fk_mapview_relativeperiodsid` (`relativeperiodsid`),
  KEY `fk_reporttable_programid` (`programid`),
  KEY `fk_mapview_maplegendsetid` (`legendsetid`),
  KEY `fk_mapview_orgunitgroupsetid` (`orgunitgroupsetid`),
  CONSTRAINT `fk_mapview_orgunitgroupsetid` FOREIGN KEY (`orgunitgroupsetid`) REFERENCES `orgunitgroupset` (`orgunitgroupsetid`),
  CONSTRAINT `fk_mapview_maplegendsetid` FOREIGN KEY (`legendsetid`) REFERENCES `maplegendset` (`maplegendsetid`),
  CONSTRAINT `fk_mapview_relativeperiodsid` FOREIGN KEY (`relativeperiodsid`) REFERENCES `relativeperiods` (`relativeperiodsid`),
  CONSTRAINT `fk_reporttable_programid` FOREIGN KEY (`programid`) REFERENCES `program` (`programid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `mapview` */

/*Table structure for table `mapview_datadimensionitems` */

DROP TABLE IF EXISTS `mapview_datadimensionitems`;

CREATE TABLE `mapview_datadimensionitems` (
  `mapviewid` int(11) NOT NULL,
  `datadimensionitemid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`mapviewid`,`sort_order`),
  KEY `fk_mapview_datadimensionitems_datadimensionitemid` (`datadimensionitemid`),
  KEY `fk_mapview_datadimensionitems_mapviewid` (`mapviewid`),
  CONSTRAINT `fk_mapview_datadimensionitems_mapviewid` FOREIGN KEY (`mapviewid`) REFERENCES `mapview` (`mapviewid`),
  CONSTRAINT `fk_mapview_datadimensionitems_datadimensionitemid` FOREIGN KEY (`datadimensionitemid`) REFERENCES `datadimensionitem` (`datadimensionitemid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `mapview_datadimensionitems` */

/*Table structure for table `mapview_itemorgunitgroups` */

DROP TABLE IF EXISTS `mapview_itemorgunitgroups`;

CREATE TABLE `mapview_itemorgunitgroups` (
  `mapviewid` int(11) NOT NULL,
  `orgunitgroupid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`mapviewid`,`sort_order`),
  KEY `fk_mapview_itemorgunitgroups_orgunitgroupid` (`orgunitgroupid`),
  KEY `fk_mapview_itemorgunitunitgroups_mapviewid` (`mapviewid`),
  CONSTRAINT `fk_mapview_itemorgunitunitgroups_mapviewid` FOREIGN KEY (`mapviewid`) REFERENCES `mapview` (`mapviewid`),
  CONSTRAINT `fk_mapview_itemorgunitgroups_orgunitgroupid` FOREIGN KEY (`orgunitgroupid`) REFERENCES `orgunitgroup` (`orgunitgroupid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `mapview_itemorgunitgroups` */

/*Table structure for table `mapview_organisationunits` */

DROP TABLE IF EXISTS `mapview_organisationunits`;

CREATE TABLE `mapview_organisationunits` (
  `mapviewid` int(11) NOT NULL,
  `organisationunitid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`mapviewid`,`sort_order`),
  KEY `fk_mapview_organisationunits_organisationunitid` (`organisationunitid`),
  KEY `fk_mapview_organisationunits_mapviewid` (`mapviewid`),
  CONSTRAINT `fk_mapview_organisationunits_mapviewid` FOREIGN KEY (`mapviewid`) REFERENCES `mapview` (`mapviewid`),
  CONSTRAINT `fk_mapview_organisationunits_organisationunitid` FOREIGN KEY (`organisationunitid`) REFERENCES `organisationunit` (`organisationunitid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `mapview_organisationunits` */

/*Table structure for table `mapview_orgunitlevels` */

DROP TABLE IF EXISTS `mapview_orgunitlevels`;

CREATE TABLE `mapview_orgunitlevels` (
  `mapviewid` int(11) NOT NULL,
  `orgunitlevel` int(11) DEFAULT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`mapviewid`,`sort_order`),
  KEY `fk_mapview_orgunitlevels_mapviewid` (`mapviewid`),
  CONSTRAINT `fk_mapview_orgunitlevels_mapviewid` FOREIGN KEY (`mapviewid`) REFERENCES `mapview` (`mapviewid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `mapview_orgunitlevels` */

/*Table structure for table `mapview_periods` */

DROP TABLE IF EXISTS `mapview_periods`;

CREATE TABLE `mapview_periods` (
  `mapviewid` int(11) NOT NULL,
  `periodid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`mapviewid`,`sort_order`),
  KEY `fk_mapview_periods_periodid` (`periodid`),
  KEY `fk_mapview_periods_mapviewid` (`mapviewid`),
  CONSTRAINT `fk_mapview_periods_mapviewid` FOREIGN KEY (`mapviewid`) REFERENCES `mapview` (`mapviewid`),
  CONSTRAINT `fk_mapview_periods_periodid` FOREIGN KEY (`periodid`) REFERENCES `period` (`periodid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `mapview_periods` */

/*Table structure for table `message` */

DROP TABLE IF EXISTS `message`;

CREATE TABLE `message` (
  `messageid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `messagetext` longtext,
  `metadata` varchar(255) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  PRIMARY KEY (`messageid`),
  KEY `fk_message_userid` (`userid`),
  CONSTRAINT `fk_message_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `message` */

/*Table structure for table `messageconversation` */

DROP TABLE IF EXISTS `messageconversation`;

CREATE TABLE `messageconversation` (
  `messageconversationid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `subject` varchar(255) NOT NULL,
  `lastsenderid` int(11) DEFAULT NULL,
  `lastmessage` datetime DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  PRIMARY KEY (`messageconversationid`),
  KEY `messageconversation_lastmessage` (`lastmessage`),
  KEY `fk_messageconversation_lastsender_userid` (`lastsenderid`),
  KEY `fk_messageconversation_user_userid` (`userid`),
  CONSTRAINT `fk_messageconversation_user_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`),
  CONSTRAINT `fk_messageconversation_lastsender_userid` FOREIGN KEY (`lastsenderid`) REFERENCES `userinfo` (`userinfoid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `messageconversation` */

/*Table structure for table `messageconversation_messages` */

DROP TABLE IF EXISTS `messageconversation_messages`;

CREATE TABLE `messageconversation_messages` (
  `messageconversationid` int(11) NOT NULL,
  `messageid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`messageconversationid`,`sort_order`),
  UNIQUE KEY `UK_nqdtggpr548q0tnbu919puw0p` (`messageid`),
  KEY `fk_messageconversation_messages_messageid` (`messageid`),
  KEY `fk_messageconversation_messages_messageconversationid` (`messageconversationid`),
  CONSTRAINT `fk_messageconversation_messages_messageconversationid` FOREIGN KEY (`messageconversationid`) REFERENCES `messageconversation` (`messageconversationid`),
  CONSTRAINT `fk_messageconversation_messages_messageid` FOREIGN KEY (`messageid`) REFERENCES `message` (`messageid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `messageconversation_messages` */

/*Table structure for table `messageconversation_usermessages` */

DROP TABLE IF EXISTS `messageconversation_usermessages`;

CREATE TABLE `messageconversation_usermessages` (
  `messageconversationid` int(11) NOT NULL,
  `usermessageid` int(11) NOT NULL,
  PRIMARY KEY (`messageconversationid`,`usermessageid`),
  UNIQUE KEY `UK_j5pi1qwi2m228qrsxql48o61s` (`usermessageid`),
  KEY `fk_messageconversation_usermessages_usermessageid` (`usermessageid`),
  KEY `fk_messageconversation_usermessages_messageconversationid` (`messageconversationid`),
  CONSTRAINT `fk_messageconversation_usermessages_messageconversationid` FOREIGN KEY (`messageconversationid`) REFERENCES `messageconversation` (`messageconversationid`),
  CONSTRAINT `fk_messageconversation_usermessages_usermessageid` FOREIGN KEY (`usermessageid`) REFERENCES `usermessage` (`usermessageid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `messageconversation_usermessages` */

/*Table structure for table `metadatafilter` */

DROP TABLE IF EXISTS `metadatafilter`;

CREATE TABLE `metadatafilter` (
  `metadatafilterid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(160) NOT NULL,
  `description` longtext,
  `jsonfilter` longtext,
  PRIMARY KEY (`metadatafilterid`),
  UNIQUE KEY `UK_f1lcs0g7sjp18kn76owjsf2hv` (`name`),
  UNIQUE KEY `UK_7esqbdqxkias3jcev9elqks9y` (`uid`),
  UNIQUE KEY `UK_5j9yoodla0votbmjtfy3clgva` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `metadatafilter` */

/*Table structure for table `minmaxdataelement` */

DROP TABLE IF EXISTS `minmaxdataelement`;

CREATE TABLE `minmaxdataelement` (
  `minmaxdataelementid` int(11) NOT NULL AUTO_INCREMENT,
  `sourceid` int(11) DEFAULT NULL,
  `dataelementid` int(11) DEFAULT NULL,
  `categoryoptioncomboid` int(11) DEFAULT NULL,
  `minimumvalue` int(11) NOT NULL,
  `maximumvalue` int(11) NOT NULL,
  `generated` tinyint(1) NOT NULL,
  PRIMARY KEY (`minmaxdataelementid`),
  KEY `index_minmaxdataelement` (`sourceid`,`dataelementid`,`categoryoptioncomboid`),
  KEY `fk_minmaxdataelement_organisationunitid` (`sourceid`),
  KEY `fk_minmaxdataelement_dataelementid` (`dataelementid`),
  KEY `fk_minmaxdataelement_categoryoptioncomboid` (`categoryoptioncomboid`),
  CONSTRAINT `fk_minmaxdataelement_categoryoptioncomboid` FOREIGN KEY (`categoryoptioncomboid`) REFERENCES `categoryoptioncombo` (`categoryoptioncomboid`),
  CONSTRAINT `fk_minmaxdataelement_dataelementid` FOREIGN KEY (`dataelementid`) REFERENCES `dataelement` (`dataelementid`),
  CONSTRAINT `fk_minmaxdataelement_organisationunitid` FOREIGN KEY (`sourceid`) REFERENCES `organisationunit` (`organisationunitid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `minmaxdataelement` */

/*Table structure for table `oauth2client` */

DROP TABLE IF EXISTS `oauth2client`;

CREATE TABLE `oauth2client` (
  `oauth2clientid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `cid` varchar(230) NOT NULL,
  `secret` longtext NOT NULL,
  PRIMARY KEY (`oauth2clientid`),
  UNIQUE KEY `UK_nwgvrevv2slj1bvc9m01p89lf` (`name`),
  UNIQUE KEY `UK_ni7epmbxtn4jcax3ya324ff9w` (`cid`),
  UNIQUE KEY `UK_fx3xx9xe0xpurjt6v5p7rv8da` (`uid`),
  UNIQUE KEY `UK_gdfuf3j66jxnvwwnksjxqysac` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `oauth2client` */

/*Table structure for table `oauth2clientgranttypes` */

DROP TABLE IF EXISTS `oauth2clientgranttypes`;

CREATE TABLE `oauth2clientgranttypes` (
  `oauth2clientid` int(11) NOT NULL,
  `granttype` varchar(255) DEFAULT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`oauth2clientid`,`sort_order`),
  KEY `fk_oauth2clientgranttypes_oauth2clientid` (`oauth2clientid`),
  CONSTRAINT `fk_oauth2clientgranttypes_oauth2clientid` FOREIGN KEY (`oauth2clientid`) REFERENCES `oauth2client` (`oauth2clientid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `oauth2clientgranttypes` */

/*Table structure for table `oauth2clientredirecturis` */

DROP TABLE IF EXISTS `oauth2clientredirecturis`;

CREATE TABLE `oauth2clientredirecturis` (
  `oauth2clientid` int(11) NOT NULL,
  `redirecturi` varchar(255) DEFAULT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`oauth2clientid`,`sort_order`),
  KEY `fk_oauth2clientredirecturis_oauth2clientid` (`oauth2clientid`),
  CONSTRAINT `fk_oauth2clientredirecturis_oauth2clientid` FOREIGN KEY (`oauth2clientid`) REFERENCES `oauth2client` (`oauth2clientid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `oauth2clientredirecturis` */

/*Table structure for table `oauth_code` */

DROP TABLE IF EXISTS `oauth_code`;

CREATE TABLE `oauth_code` (
  `code` varchar(256) DEFAULT NULL,
  `authentication` blob
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `oauth_code` */

/*Table structure for table `oauth_refresh_token` */

DROP TABLE IF EXISTS `oauth_refresh_token`;

CREATE TABLE `oauth_refresh_token` (
  `token_id` varchar(256) DEFAULT NULL,
  `token` blob,
  `authentication` blob
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `oauth_refresh_token` */

/*Table structure for table `optionset` */

DROP TABLE IF EXISTS `optionset`;

CREATE TABLE `optionset` (
  `optionsetid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `valueType` varchar(50) DEFAULT NULL,
  `version` int(11) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `publicAccess` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`optionsetid`),
  UNIQUE KEY `UK_p0rvldurcmk0x3mx39lt5uvsd` (`name`),
  UNIQUE KEY `UK_81gfx3yt7ngwmkk0t8qgcovhi` (`uid`),
  UNIQUE KEY `UK_rvfiukug5ui7qidoiln3el3aa` (`code`),
  KEY `fk_optionset_userid` (`userid`),
  CONSTRAINT `fk_optionset_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

/*Data for the table `optionset` */

insert  into `optionset`(`optionsetid`,`uid`,`code`,`created`,`lastUpdated`,`name`,`valueType`,`version`,`userid`,`publicAccess`) values (1,'Uqd2aLN4atA',NULL,'2015-10-30 19:38:45','2015-10-30 19:39:05','OS Gender','TEXT',1,1,'rw------');

/*Table structure for table `optionsetusergroupaccesses` */

DROP TABLE IF EXISTS `optionsetusergroupaccesses`;

CREATE TABLE `optionsetusergroupaccesses` (
  `optionsetid` int(11) NOT NULL,
  `usergroupaccessid` int(11) NOT NULL,
  PRIMARY KEY (`optionsetid`,`usergroupaccessid`),
  UNIQUE KEY `UK_9bk8wrffte75y236jgv1pmp81` (`usergroupaccessid`),
  KEY `FK_9bk8wrffte75y236jgv1pmp81` (`usergroupaccessid`),
  KEY `FK_5k29tii3qpfn0kx1otgpuy5gm` (`optionsetid`),
  CONSTRAINT `FK_5k29tii3qpfn0kx1otgpuy5gm` FOREIGN KEY (`optionsetid`) REFERENCES `optionset` (`optionsetid`),
  CONSTRAINT `FK_9bk8wrffte75y236jgv1pmp81` FOREIGN KEY (`usergroupaccessid`) REFERENCES `usergroupaccess` (`usergroupaccessid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `optionsetusergroupaccesses` */

/*Table structure for table `optionvalue` */

DROP TABLE IF EXISTS `optionvalue`;

CREATE TABLE `optionvalue` (
  `optionvalueid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(230) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `optionsetid` int(11) DEFAULT NULL,
  `sort_order` int(11) DEFAULT NULL,
  PRIMARY KEY (`optionvalueid`),
  UNIQUE KEY `UK_18b68rcofdwt1sbr6rf55poog` (`uid`),
  KEY `fk_optionsetmembers_optionsetid` (`optionsetid`),
  CONSTRAINT `fk_optionsetmembers_optionsetid` FOREIGN KEY (`optionsetid`) REFERENCES `optionset` (`optionsetid`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

/*Data for the table `optionvalue` */

insert  into `optionvalue`(`optionvalueid`,`uid`,`code`,`created`,`lastUpdated`,`name`,`optionsetid`,`sort_order`) values (1,'QY8JfeCSrBj','M','2015-10-30 19:50:58','2015-10-30 19:50:58','Male',1,1),(2,'fXXrqpkT8M8','F','2015-10-30 19:50:58','2015-10-30 19:50:58','Female',1,2);

/*Table structure for table `organisationunit` */

DROP TABLE IF EXISTS `organisationunit`;

CREATE TABLE `organisationunit` (
  `organisationunitid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `shortname` varchar(50) NOT NULL,
  `parentid` int(11) DEFAULT NULL,
  `path` varchar(255) DEFAULT NULL,
  `hierarchylevel` int(11) DEFAULT NULL,
  `uuid` varchar(36) DEFAULT NULL,
  `description` longtext,
  `openingdate` date NOT NULL,
  `closeddate` date DEFAULT NULL,
  `comment` longtext,
  `featureType` varchar(50) DEFAULT NULL,
  `coordinates` longtext,
  `url` varchar(255) DEFAULT NULL,
  `contactPerson` varchar(255) DEFAULT NULL,
  `address` varchar(255) DEFAULT NULL,
  `email` varchar(150) DEFAULT NULL,
  `phoneNumber` varchar(150) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  PRIMARY KEY (`organisationunitid`),
  UNIQUE KEY `UK_g1nrfjv5x04ap1ceohiwah380` (`uid`),
  UNIQUE KEY `UK_ehl4v33tq7hlkmc28vbno1b4n` (`code`),
  UNIQUE KEY `UK_pw2bgc9ykjad2obefeqha28t4` (`path`),
  UNIQUE KEY `UK_5a5jsn8bx5phnsjnbxc3donn` (`uuid`),
  UNIQUE KEY `organisationunit_code_key` (`code`),
  KEY `in_parentid` (`parentid`),
  KEY `in_organisationunit_path` (`path`),
  KEY `in_organisationunit_hierarchylevel` (`hierarchylevel`),
  KEY `fk_parentid` (`parentid`),
  KEY `fk_organisationunit_userid` (`userid`),
  CONSTRAINT `fk_organisationunit_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`),
  CONSTRAINT `fk_parentid` FOREIGN KEY (`parentid`) REFERENCES `organisationunit` (`organisationunitid`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

/*Data for the table `organisationunit` */

insert  into `organisationunit`(`organisationunitid`,`uid`,`code`,`created`,`lastUpdated`,`name`,`shortname`,`parentid`,`path`,`hierarchylevel`,`uuid`,`description`,`openingdate`,`closeddate`,`comment`,`featureType`,`coordinates`,`url`,`contactPerson`,`address`,`email`,`phoneNumber`,`userid`) values (1,'kx9EjUEYKc4',NULL,'2015-10-30 19:52:55','2015-10-30 19:52:55','root','root',NULL,'/kx9EjUEYKc4',1,'7a9cb7b1-c32a-4790-a254-1b7c80582b57','','2015-10-30',NULL,NULL,'NONE',NULL,NULL,NULL,NULL,NULL,NULL,1);

/*Table structure for table `organisationunitattributevalues` */

DROP TABLE IF EXISTS `organisationunitattributevalues`;

CREATE TABLE `organisationunitattributevalues` (
  `organisationunitid` int(11) NOT NULL,
  `attributevalueid` int(11) NOT NULL,
  PRIMARY KEY (`organisationunitid`,`attributevalueid`),
  UNIQUE KEY `UK_c7e1q9b728qh7iki2cvdbpfrb` (`attributevalueid`),
  KEY `FK_c7e1q9b728qh7iki2cvdbpfrb` (`attributevalueid`),
  KEY `FK_65lw6cyxo0qbd3v491sugs8i6` (`organisationunitid`),
  CONSTRAINT `FK_65lw6cyxo0qbd3v491sugs8i6` FOREIGN KEY (`organisationunitid`) REFERENCES `organisationunit` (`organisationunitid`),
  CONSTRAINT `FK_c7e1q9b728qh7iki2cvdbpfrb` FOREIGN KEY (`attributevalueid`) REFERENCES `attributevalue` (`attributevalueid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `organisationunitattributevalues` */

/*Table structure for table `orgunitgroup` */

DROP TABLE IF EXISTS `orgunitgroup`;

CREATE TABLE `orgunitgroup` (
  `orgunitgroupid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `shortname` varchar(50) DEFAULT NULL,
  `symbol` varchar(255) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `publicAccess` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`orgunitgroupid`),
  UNIQUE KEY `UK_qwk9qdapql867enp5r7fa0uic` (`name`),
  UNIQUE KEY `orgunitgroup_name_key` (`name`),
  UNIQUE KEY `UK_lswbn93sime7vmdqqe9lks7ge` (`uid`),
  UNIQUE KEY `UK_3phvecdmy2msmcpitqifpcy3c` (`code`),
  UNIQUE KEY `UK_t0srkng3akwg3pcp5qlwcx06n` (`shortname`),
  KEY `fk_orgunitgroup_userid` (`userid`),
  CONSTRAINT `fk_orgunitgroup_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `orgunitgroup` */

/*Table structure for table `orgunitgroupattributevalues` */

DROP TABLE IF EXISTS `orgunitgroupattributevalues`;

CREATE TABLE `orgunitgroupattributevalues` (
  `orgunitgroupid` int(11) NOT NULL,
  `attributevalueid` int(11) NOT NULL,
  PRIMARY KEY (`orgunitgroupid`,`attributevalueid`),
  UNIQUE KEY `UK_jga8ebd6t2nkrfcapucx1wcbq` (`attributevalueid`),
  KEY `FK_jga8ebd6t2nkrfcapucx1wcbq` (`attributevalueid`),
  KEY `FK_fiaorieuh2d558nxhsxyi69d4` (`orgunitgroupid`),
  CONSTRAINT `FK_fiaorieuh2d558nxhsxyi69d4` FOREIGN KEY (`orgunitgroupid`) REFERENCES `orgunitgroup` (`orgunitgroupid`),
  CONSTRAINT `FK_jga8ebd6t2nkrfcapucx1wcbq` FOREIGN KEY (`attributevalueid`) REFERENCES `attributevalue` (`attributevalueid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `orgunitgroupattributevalues` */

/*Table structure for table `orgunitgroupmembers` */

DROP TABLE IF EXISTS `orgunitgroupmembers`;

CREATE TABLE `orgunitgroupmembers` (
  `organisationunitid` int(11) NOT NULL,
  `orgunitgroupid` int(11) NOT NULL,
  PRIMARY KEY (`orgunitgroupid`,`organisationunitid`),
  KEY `fk_orgunitgroupmembers_orgunitgroupid` (`orgunitgroupid`),
  KEY `fk_orgunitgroup_organisationunitid` (`organisationunitid`),
  CONSTRAINT `fk_orgunitgroup_organisationunitid` FOREIGN KEY (`organisationunitid`) REFERENCES `organisationunit` (`organisationunitid`),
  CONSTRAINT `fk_orgunitgroupmembers_orgunitgroupid` FOREIGN KEY (`orgunitgroupid`) REFERENCES `orgunitgroup` (`orgunitgroupid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `orgunitgroupmembers` */

/*Table structure for table `orgunitgroupset` */

DROP TABLE IF EXISTS `orgunitgroupset`;

CREATE TABLE `orgunitgroupset` (
  `orgunitgroupsetid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `description` longtext,
  `compulsory` tinyint(1) NOT NULL,
  `dataDimension` tinyint(1) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `publicAccess` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`orgunitgroupsetid`),
  UNIQUE KEY `UK_t5lxvc1km3ylon5st1fuabsgl` (`name`),
  UNIQUE KEY `orgunitgroupset_name_key` (`name`),
  UNIQUE KEY `UK_fuentbuhbbr0ix49td9jqlfe5` (`uid`),
  UNIQUE KEY `UK_hs57i9hma97ps6jpsrbb24lm9` (`code`),
  KEY `fk_orgunitgroupset_userid` (`userid`),
  CONSTRAINT `fk_orgunitgroupset_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `orgunitgroupset` */

/*Table structure for table `orgunitgroupsetattributevalues` */

DROP TABLE IF EXISTS `orgunitgroupsetattributevalues`;

CREATE TABLE `orgunitgroupsetattributevalues` (
  `orgunitgroupsetid` int(11) NOT NULL,
  `attributevalueid` int(11) NOT NULL,
  PRIMARY KEY (`orgunitgroupsetid`,`attributevalueid`),
  UNIQUE KEY `UK_l1cufoqirp2onveti3bpuyo92` (`attributevalueid`),
  KEY `FK_l1cufoqirp2onveti3bpuyo92` (`attributevalueid`),
  KEY `FK_kdu623dm6fecqya2u4c5lrvio` (`orgunitgroupsetid`),
  CONSTRAINT `FK_kdu623dm6fecqya2u4c5lrvio` FOREIGN KEY (`orgunitgroupsetid`) REFERENCES `orgunitgroupset` (`orgunitgroupsetid`),
  CONSTRAINT `FK_l1cufoqirp2onveti3bpuyo92` FOREIGN KEY (`attributevalueid`) REFERENCES `attributevalue` (`attributevalueid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `orgunitgroupsetattributevalues` */

/*Table structure for table `orgunitgroupsetmembers` */

DROP TABLE IF EXISTS `orgunitgroupsetmembers`;

CREATE TABLE `orgunitgroupsetmembers` (
  `orgunitgroupid` int(11) NOT NULL,
  `orgunitgroupsetid` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`orgunitgroupsetid`,`orgunitgroupid`),
  KEY `fk_orgunitgroupset_orgunitgroupid` (`orgunitgroupid`),
  KEY `fk_orgunitgroupsetmembers_orgunitgroupsetid` (`orgunitgroupsetid`),
  CONSTRAINT `fk_orgunitgroupsetmembers_orgunitgroupsetid` FOREIGN KEY (`orgunitgroupsetid`) REFERENCES `orgunitgroupset` (`orgunitgroupsetid`),
  CONSTRAINT `fk_orgunitgroupset_orgunitgroupid` FOREIGN KEY (`orgunitgroupid`) REFERENCES `orgunitgroup` (`orgunitgroupid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `orgunitgroupsetmembers` */

/*Table structure for table `orgunitgroupsetusergroupaccesses` */

DROP TABLE IF EXISTS `orgunitgroupsetusergroupaccesses`;

CREATE TABLE `orgunitgroupsetusergroupaccesses` (
  `orgunitgroupsetid` int(11) NOT NULL,
  `usergroupaccessid` int(11) NOT NULL,
  PRIMARY KEY (`orgunitgroupsetid`,`usergroupaccessid`),
  UNIQUE KEY `UK_3uh2stfqjquour25m5gjfdroi` (`usergroupaccessid`),
  KEY `FK_3uh2stfqjquour25m5gjfdroi` (`usergroupaccessid`),
  KEY `FK_dq0upqhkxfv3qklbpbyyw6ych` (`orgunitgroupsetid`),
  CONSTRAINT `FK_dq0upqhkxfv3qklbpbyyw6ych` FOREIGN KEY (`orgunitgroupsetid`) REFERENCES `orgunitgroupset` (`orgunitgroupsetid`),
  CONSTRAINT `FK_3uh2stfqjquour25m5gjfdroi` FOREIGN KEY (`usergroupaccessid`) REFERENCES `usergroupaccess` (`usergroupaccessid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `orgunitgroupsetusergroupaccesses` */

/*Table structure for table `orgunitgroupusergroupaccesses` */

DROP TABLE IF EXISTS `orgunitgroupusergroupaccesses`;

CREATE TABLE `orgunitgroupusergroupaccesses` (
  `orgunitgroupid` int(11) NOT NULL,
  `usergroupaccessid` int(11) NOT NULL,
  PRIMARY KEY (`orgunitgroupid`,`usergroupaccessid`),
  UNIQUE KEY `UK_r0njvkxgdxior87ay09qxvd4g` (`usergroupaccessid`),
  KEY `FK_r0njvkxgdxior87ay09qxvd4g` (`usergroupaccessid`),
  KEY `FK_fw7cveiuqewtwo1ggv7rqn52r` (`orgunitgroupid`),
  CONSTRAINT `FK_fw7cveiuqewtwo1ggv7rqn52r` FOREIGN KEY (`orgunitgroupid`) REFERENCES `orgunitgroup` (`orgunitgroupid`),
  CONSTRAINT `FK_r0njvkxgdxior87ay09qxvd4g` FOREIGN KEY (`usergroupaccessid`) REFERENCES `usergroupaccess` (`usergroupaccessid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `orgunitgroupusergroupaccesses` */

/*Table structure for table `orgunitlevel` */

DROP TABLE IF EXISTS `orgunitlevel`;

CREATE TABLE `orgunitlevel` (
  `orgunitlevelid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `level` int(11) NOT NULL,
  `offlineLevels` int(11) DEFAULT NULL,
  PRIMARY KEY (`orgunitlevelid`),
  UNIQUE KEY `UK_jfy289hg8eudoop91b1496ba3` (`name`),
  UNIQUE KEY `UK_ltwhby0s0iwayxrcdu6yefeqt` (`level`),
  UNIQUE KEY `UK_5km0xiwk0dg7pnoru5yfvqsdo` (`uid`),
  UNIQUE KEY `UK_fvgc7isaflcan55g51ysm9df2` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `orgunitlevel` */

/*Table structure for table `outbound_sms` */

DROP TABLE IF EXISTS `outbound_sms`;

CREATE TABLE `outbound_sms` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date` datetime NOT NULL,
  `message` varchar(255) DEFAULT NULL,
  `status` int(11) NOT NULL,
  `sender` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `outbound_sms_status_index` (`status`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `outbound_sms` */

/*Table structure for table `outbound_sms_recipients` */

DROP TABLE IF EXISTS `outbound_sms_recipients`;

CREATE TABLE `outbound_sms_recipients` (
  `outbound_sms_id` int(11) NOT NULL,
  `elt` longtext,
  KEY `FK_1ecid8vtqna13pm9qm65qsfuu` (`outbound_sms_id`),
  CONSTRAINT `FK_1ecid8vtqna13pm9qm65qsfuu` FOREIGN KEY (`outbound_sms_id`) REFERENCES `outbound_sms` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `outbound_sms_recipients` */

/*Table structure for table `period` */

DROP TABLE IF EXISTS `period`;

CREATE TABLE `period` (
  `periodid` int(11) NOT NULL AUTO_INCREMENT,
  `periodtypeid` int(11) DEFAULT NULL,
  `startdate` date NOT NULL,
  `enddate` date NOT NULL,
  PRIMARY KEY (`periodid`),
  UNIQUE KEY `UK_tbkbjga8h4j5u33d7hbcuk66t` (`periodtypeid`,`startdate`,`enddate`),
  KEY `fk_period_periodtypeid` (`periodtypeid`),
  CONSTRAINT `fk_period_periodtypeid` FOREIGN KEY (`periodtypeid`) REFERENCES `periodtype` (`periodtypeid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `period` */

/*Table structure for table `periodtype` */

DROP TABLE IF EXISTS `periodtype`;

CREATE TABLE `periodtype` (
  `periodtypeid` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  PRIMARY KEY (`periodtypeid`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;

/*Data for the table `periodtype` */

insert  into `periodtype`(`periodtypeid`,`name`) values (1,'Daily'),(2,'Weekly'),(3,'Monthly'),(4,'BiMonthly'),(5,'Quarterly'),(6,'SixMonthly'),(7,'SixMonthlyApril'),(8,'Yearly'),(9,'FinancialApril'),(10,'FinancialJuly'),(11,'FinancialOct');

/*Table structure for table `program` */

DROP TABLE IF EXISTS `program`;

CREATE TABLE `program` (
  `programid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `description` longtext,
  `version` int(11) DEFAULT NULL,
  `enrollmentdatelabel` longtext,
  `incidentdatelabel` longtext,
  `type` varchar(255) NOT NULL,
  `displayIncidentDate` tinyint(1) DEFAULT NULL,
  `onlyEnrollOnce` tinyint(1) DEFAULT NULL,
  `ignoreOverdueEvents` tinyint(1) DEFAULT NULL,
  `selectEnrollmentDatesInFuture` tinyint(1) DEFAULT NULL,
  `selectIncidentDatesInFuture` tinyint(1) DEFAULT NULL,
  `relationshipText` varchar(255) DEFAULT NULL,
  `relationshiptypeid` int(11) DEFAULT NULL,
  `relationshipFromA` tinyint(1) DEFAULT NULL,
  `relatedprogramid` int(11) DEFAULT NULL,
  `dataEntryMethod` tinyint(1) DEFAULT NULL,
  `categorycomboid` int(11) DEFAULT NULL,
  `trackedentityid` int(11) DEFAULT NULL,
  `dataentryformid` int(11) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `publicAccess` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`programid`),
  UNIQUE KEY `UK_h4omjcs2ktifdrf2m36u886ae` (`uid`),
  UNIQUE KEY `UK_fuq6kda6folarp19oggaf02vb` (`code`),
  KEY `fk_program_relationshipid` (`relationshiptypeid`),
  KEY `fk_program_relatedprogram` (`relatedprogramid`),
  KEY `fk_program_categorycomboid` (`categorycomboid`),
  KEY `fk_program_trackedentityid` (`trackedentityid`),
  KEY `fk_program_dataentryformid` (`dataentryformid`),
  KEY `fk_program_userid` (`userid`),
  CONSTRAINT `fk_program_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`),
  CONSTRAINT `fk_program_categorycomboid` FOREIGN KEY (`categorycomboid`) REFERENCES `categorycombo` (`categorycomboid`),
  CONSTRAINT `fk_program_dataentryformid` FOREIGN KEY (`dataentryformid`) REFERENCES `dataentryform` (`dataentryformid`),
  CONSTRAINT `fk_program_relatedprogram` FOREIGN KEY (`relatedprogramid`) REFERENCES `program` (`programid`),
  CONSTRAINT `fk_program_relationshipid` FOREIGN KEY (`relationshiptypeid`) REFERENCES `relationshiptype` (`relationshiptypeid`),
  CONSTRAINT `fk_program_trackedentityid` FOREIGN KEY (`trackedentityid`) REFERENCES `trackedentity` (`trackedentityid`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

/*Data for the table `program` */

insert  into `program`(`programid`,`uid`,`code`,`created`,`lastUpdated`,`name`,`description`,`version`,`enrollmentdatelabel`,`incidentdatelabel`,`type`,`displayIncidentDate`,`onlyEnrollOnce`,`ignoreOverdueEvents`,`selectEnrollmentDatesInFuture`,`selectIncidentDatesInFuture`,`relationshipText`,`relationshiptypeid`,`relationshipFromA`,`relatedprogramid`,`dataEntryMethod`,`categorycomboid`,`trackedentityid`,`dataentryformid`,`userid`,`publicAccess`) values (1,'vPY6Oz4w1U0',NULL,'2015-10-30 19:39:18','2015-10-30 19:53:05','prova',NULL,1,'Enrollment Date','Incident Date','WITHOUT_REGISTRATION',0,0,0,0,0,NULL,NULL,0,NULL,0,1,NULL,NULL,1,'rw------');

/*Table structure for table `program_attributes` */

DROP TABLE IF EXISTS `program_attributes`;

CREATE TABLE `program_attributes` (
  `programtrackedentityattributeid` int(11) NOT NULL AUTO_INCREMENT,
  `trackedentityattributeid` int(11) DEFAULT NULL,
  `displayinlist` tinyint(1) DEFAULT NULL,
  `mandatory` tinyint(1) DEFAULT NULL,
  `allowFutureDate` tinyint(1) DEFAULT NULL,
  `programid` int(11) DEFAULT NULL,
  `sort_order` int(11) DEFAULT NULL,
  PRIMARY KEY (`programtrackedentityattributeid`),
  KEY `fk_program_attributeid` (`trackedentityattributeid`),
  KEY `FK_nay8cvux4x8elfusme5x58h4o` (`programid`),
  CONSTRAINT `FK_nay8cvux4x8elfusme5x58h4o` FOREIGN KEY (`programid`) REFERENCES `program` (`programid`),
  CONSTRAINT `fk_program_attributeid` FOREIGN KEY (`trackedentityattributeid`) REFERENCES `trackedentityattribute` (`trackedentityattributeid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `program_attributes` */

/*Table structure for table `program_criteria` */

DROP TABLE IF EXISTS `program_criteria`;

CREATE TABLE `program_criteria` (
  `programid` int(11) NOT NULL,
  `validationcriteriaid` int(11) NOT NULL,
  PRIMARY KEY (`programid`,`validationcriteriaid`),
  KEY `fk_program_criteria_validationcriteriaid` (`validationcriteriaid`),
  KEY `fk_program_criteria_programid` (`programid`),
  CONSTRAINT `fk_program_criteria_programid` FOREIGN KEY (`programid`) REFERENCES `program` (`programid`),
  CONSTRAINT `fk_program_criteria_validationcriteriaid` FOREIGN KEY (`validationcriteriaid`) REFERENCES `validationcriteria` (`validationcriteriaid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `program_criteria` */

/*Table structure for table `program_organisationunits` */

DROP TABLE IF EXISTS `program_organisationunits`;

CREATE TABLE `program_organisationunits` (
  `programid` int(11) NOT NULL,
  `organisationunitid` int(11) NOT NULL,
  PRIMARY KEY (`programid`,`organisationunitid`),
  KEY `fk_program_organisationunits_organisationunitid` (`organisationunitid`),
  KEY `fk_program_organisationunits_programid` (`programid`),
  CONSTRAINT `fk_program_organisationunits_programid` FOREIGN KEY (`programid`) REFERENCES `program` (`programid`),
  CONSTRAINT `fk_program_organisationunits_organisationunitid` FOREIGN KEY (`organisationunitid`) REFERENCES `organisationunit` (`organisationunitid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `program_organisationunits` */

insert  into `program_organisationunits`(`programid`,`organisationunitid`) values (1,1);

/*Table structure for table `program_userroles` */

DROP TABLE IF EXISTS `program_userroles`;

CREATE TABLE `program_userroles` (
  `programid` int(11) NOT NULL,
  `userroleid` int(11) NOT NULL,
  KEY `fk_program_userroles` (`userroleid`),
  KEY `FK_cd1vka6hfi67n4r2mwsfmkdxo` (`programid`),
  CONSTRAINT `FK_cd1vka6hfi67n4r2mwsfmkdxo` FOREIGN KEY (`programid`) REFERENCES `program` (`programid`),
  CONSTRAINT `fk_program_userroles` FOREIGN KEY (`userroleid`) REFERENCES `userrole` (`userroleid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `program_userroles` */

/*Table structure for table `programattributevalues` */

DROP TABLE IF EXISTS `programattributevalues`;

CREATE TABLE `programattributevalues` (
  `programid` int(11) NOT NULL,
  `attributevalueid` int(11) NOT NULL,
  PRIMARY KEY (`programid`,`attributevalueid`),
  UNIQUE KEY `UK_ldbbgacwc69ab5tha0u7dhg82` (`attributevalueid`),
  KEY `FK_ldbbgacwc69ab5tha0u7dhg82` (`attributevalueid`),
  KEY `FK_dn5m5q1tud7ixuvxiyb79u97h` (`programid`),
  CONSTRAINT `FK_dn5m5q1tud7ixuvxiyb79u97h` FOREIGN KEY (`programid`) REFERENCES `program` (`programid`),
  CONSTRAINT `FK_ldbbgacwc69ab5tha0u7dhg82` FOREIGN KEY (`attributevalueid`) REFERENCES `attributevalue` (`attributevalueid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `programattributevalues` */

/*Table structure for table `programexpression` */

DROP TABLE IF EXISTS `programexpression`;

CREATE TABLE `programexpression` (
  `programexpressionid` int(11) NOT NULL AUTO_INCREMENT,
  `description` varchar(255) DEFAULT NULL,
  `expression` longtext,
  PRIMARY KEY (`programexpressionid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `programexpression` */

/*Table structure for table `programindicator` */

DROP TABLE IF EXISTS `programindicator`;

CREATE TABLE `programindicator` (
  `programindicatorid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `shortName` varchar(255) DEFAULT NULL,
  `description` longtext,
  `programid` int(11) NOT NULL,
  `expression` longtext,
  `filter` longtext,
  `aggregationType` varchar(40) DEFAULT NULL,
  `decimals` int(11) DEFAULT NULL,
  `displayInForm` tinyint(1) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `publicAccess` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`programindicatorid`),
  UNIQUE KEY `UK_7udjng39j4ddafjn57r58v7oq` (`name`),
  UNIQUE KEY `UK_59abitsfd3u0jx4ntrrblven0` (`uid`),
  UNIQUE KEY `UK_do17h5nk71uvc3xjry6kgevj9` (`code`),
  KEY `fk_programindicator_program` (`programid`),
  KEY `fk_programindicator_userid` (`userid`),
  CONSTRAINT `fk_programindicator_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`),
  CONSTRAINT `fk_programindicator_program` FOREIGN KEY (`programid`) REFERENCES `program` (`programid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `programindicator` */

/*Table structure for table `programindicatorusergroupaccesses` */

DROP TABLE IF EXISTS `programindicatorusergroupaccesses`;

CREATE TABLE `programindicatorusergroupaccesses` (
  `programindicatorid` int(11) NOT NULL,
  `usergroupaccessid` int(11) NOT NULL,
  PRIMARY KEY (`programindicatorid`,`usergroupaccessid`),
  UNIQUE KEY `UK_iedn1e511sbiosnic2nb8n6lk` (`usergroupaccessid`),
  KEY `FK_iedn1e511sbiosnic2nb8n6lk` (`usergroupaccessid`),
  KEY `FK_vvtpgpbetl65t26umk6vic92` (`programindicatorid`),
  CONSTRAINT `FK_vvtpgpbetl65t26umk6vic92` FOREIGN KEY (`programindicatorid`) REFERENCES `programindicator` (`programindicatorid`),
  CONSTRAINT `FK_iedn1e511sbiosnic2nb8n6lk` FOREIGN KEY (`usergroupaccessid`) REFERENCES `usergroupaccess` (`usergroupaccessid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `programindicatorusergroupaccesses` */

/*Table structure for table `programinstance` */

DROP TABLE IF EXISTS `programinstance`;

CREATE TABLE `programinstance` (
  `programinstanceid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `incidentDate` datetime DEFAULT NULL,
  `enrollmentdate` datetime NOT NULL,
  `enddate` datetime DEFAULT NULL,
  `followup` tinyint(1) DEFAULT NULL,
  `status` varchar(50) DEFAULT NULL,
  `trackedentityinstanceid` int(11) DEFAULT NULL,
  `programid` int(11) NOT NULL,
  `organisationunitid` int(11) DEFAULT NULL,
  PRIMARY KEY (`programinstanceid`),
  UNIQUE KEY `UK_d3lsa2h8me94ksyp53l6rpe3g` (`uid`),
  KEY `fk_programinstance_trackedentityinstanceid` (`trackedentityinstanceid`),
  KEY `fk_programinstance_programid` (`programid`),
  KEY `fk_programinstance_organisationunitid` (`organisationunitid`),
  KEY `index_programinstance` (`programinstanceid`),
  CONSTRAINT `fk_programinstance_organisationunitid` FOREIGN KEY (`organisationunitid`) REFERENCES `organisationunit` (`organisationunitid`),
  CONSTRAINT `fk_programinstance_programid` FOREIGN KEY (`programid`) REFERENCES `program` (`programid`),
  CONSTRAINT `fk_programinstance_trackedentityinstanceid` FOREIGN KEY (`trackedentityinstanceid`) REFERENCES `trackedentityinstance` (`trackedentityinstanceid`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

/*Data for the table `programinstance` */

insert  into `programinstance`(`programinstanceid`,`uid`,`created`,`lastUpdated`,`incidentDate`,`enrollmentdate`,`enddate`,`followup`,`status`,`trackedentityinstanceid`,`programid`,`organisationunitid`) values (1,'mRy7shOquQ2','2015-10-30 19:39:18','2015-10-30 19:39:18','2015-10-30 19:39:18','2015-10-30 19:39:18',NULL,0,'ACTIVE',NULL,1,NULL);

/*Table structure for table `programinstance_messageconversation` */

DROP TABLE IF EXISTS `programinstance_messageconversation`;

CREATE TABLE `programinstance_messageconversation` (
  `programinstanceid` int(11) NOT NULL,
  `messageconversationid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`programinstanceid`,`sort_order`),
  KEY `FK_l0tnyhbaxfkdoekcaioa6l7o3` (`messageconversationid`),
  KEY `FK_qg7rt3atr6fknd1gsdj27o2h8` (`programinstanceid`),
  CONSTRAINT `FK_qg7rt3atr6fknd1gsdj27o2h8` FOREIGN KEY (`programinstanceid`) REFERENCES `programinstance` (`programinstanceid`),
  CONSTRAINT `FK_l0tnyhbaxfkdoekcaioa6l7o3` FOREIGN KEY (`messageconversationid`) REFERENCES `messageconversation` (`messageconversationid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `programinstance_messageconversation` */

/*Table structure for table `programinstance_outboundsms` */

DROP TABLE IF EXISTS `programinstance_outboundsms`;

CREATE TABLE `programinstance_outboundsms` (
  `programinstanceid` int(11) NOT NULL,
  `outboundsmsid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`programinstanceid`,`sort_order`),
  KEY `FK_qaheqsi26edjku0ppf0xobcx4` (`outboundsmsid`),
  KEY `FK_c3i0gwv7dful2vbdib07mrrkd` (`programinstanceid`),
  CONSTRAINT `FK_c3i0gwv7dful2vbdib07mrrkd` FOREIGN KEY (`programinstanceid`) REFERENCES `programinstance` (`programinstanceid`),
  CONSTRAINT `FK_qaheqsi26edjku0ppf0xobcx4` FOREIGN KEY (`outboundsmsid`) REFERENCES `outbound_sms` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `programinstance_outboundsms` */

/*Table structure for table `programinstancecomments` */

DROP TABLE IF EXISTS `programinstancecomments`;

CREATE TABLE `programinstancecomments` (
  `programinstanceid` int(11) NOT NULL,
  `trackedentitycommentid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`programinstanceid`,`sort_order`),
  UNIQUE KEY `UK_lwep604j10w1ey7vunqdmotx2` (`trackedentitycommentid`),
  KEY `FK_lwep604j10w1ey7vunqdmotx2` (`trackedentitycommentid`),
  KEY `FK_beu1603yxf86n5y8ephr99x77` (`programinstanceid`),
  CONSTRAINT `FK_beu1603yxf86n5y8ephr99x77` FOREIGN KEY (`programinstanceid`) REFERENCES `programinstance` (`programinstanceid`),
  CONSTRAINT `FK_lwep604j10w1ey7vunqdmotx2` FOREIGN KEY (`trackedentitycommentid`) REFERENCES `trackedentitycomment` (`trackedentitycommentid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `programinstancecomments` */

/*Table structure for table `programruleaction` */

DROP TABLE IF EXISTS `programruleaction`;

CREATE TABLE `programruleaction` (
  `programruleactionid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `programruleid` int(11) DEFAULT NULL,
  `actiontype` varchar(255) NOT NULL,
  `dataelementid` int(11) DEFAULT NULL,
  `trackedentityattributeid` int(11) DEFAULT NULL,
  `programindicatorid` int(11) DEFAULT NULL,
  `programstagesectionid` int(11) DEFAULT NULL,
  `location` varchar(255) DEFAULT NULL,
  `content` longtext,
  `data` longtext,
  PRIMARY KEY (`programruleactionid`),
  UNIQUE KEY `UK_3c2n8db21er764e4skh3qg57w` (`uid`),
  UNIQUE KEY `UK_fbferisvig2o4f5owb5lnygf3` (`code`),
  KEY `fk_programruleaction_dataelement` (`dataelementid`),
  KEY `fk_programruleaction_trackedentityattribute` (`trackedentityattributeid`),
  KEY `fk_programruleaction_programindicator` (`programindicatorid`),
  KEY `fk_programruleaction_programstagesection` (`programstagesectionid`),
  CONSTRAINT `fk_programruleaction_programstagesection` FOREIGN KEY (`programstagesectionid`) REFERENCES `programstagesection` (`programstagesectionid`),
  CONSTRAINT `fk_programruleaction_dataelement` FOREIGN KEY (`dataelementid`) REFERENCES `dataelement` (`dataelementid`),
  CONSTRAINT `fk_programruleaction_programindicator` FOREIGN KEY (`programindicatorid`) REFERENCES `programindicator` (`programindicatorid`),
  CONSTRAINT `fk_programruleaction_trackedentityattribute` FOREIGN KEY (`trackedentityattributeid`) REFERENCES `trackedentityattribute` (`trackedentityattributeid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `programruleaction` */

/*Table structure for table `programrulevariable` */

DROP TABLE IF EXISTS `programrulevariable`;

CREATE TABLE `programrulevariable` (
  `programrulevariableid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `programid` int(11) NOT NULL,
  `sourcetype` varchar(255) NOT NULL,
  `trackedentityattributeid` int(11) DEFAULT NULL,
  `dataelementid` int(11) DEFAULT NULL,
  `programstageid` int(11) DEFAULT NULL,
  PRIMARY KEY (`programrulevariableid`),
  UNIQUE KEY `UK_e5mhmtj1h7xdfiio2panhapgg` (`uid`),
  UNIQUE KEY `UK_cto4jvd9q49voite13v0egy3i` (`code`),
  KEY `fk_programrulevariable_program` (`programid`),
  KEY `fk_programrulevariable_trackedentityattribute` (`trackedentityattributeid`),
  KEY `fk_programrulevariable_dataelement` (`dataelementid`),
  KEY `fk_programrulevariable_programstage` (`programstageid`),
  CONSTRAINT `fk_programrulevariable_programstage` FOREIGN KEY (`programstageid`) REFERENCES `programstage` (`programstageid`),
  CONSTRAINT `fk_programrulevariable_dataelement` FOREIGN KEY (`dataelementid`) REFERENCES `dataelement` (`dataelementid`),
  CONSTRAINT `fk_programrulevariable_program` FOREIGN KEY (`programid`) REFERENCES `program` (`programid`),
  CONSTRAINT `fk_programrulevariable_trackedentityattribute` FOREIGN KEY (`trackedentityattributeid`) REFERENCES `trackedentityattribute` (`trackedentityattributeid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `programrulevariable` */

/*Table structure for table `programstage` */

DROP TABLE IF EXISTS `programstage`;

CREATE TABLE `programstage` (
  `programstageid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) DEFAULT NULL,
  `description` longtext,
  `mindaysfromstart` int(11) NOT NULL,
  `programid` int(11) DEFAULT NULL,
  `irregular` tinyint(1) DEFAULT NULL,
  `dataentryformid` int(11) DEFAULT NULL,
  `standardInterval` int(11) DEFAULT NULL,
  `excecutionDateLabel` varchar(255) DEFAULT NULL,
  `autoGenerateEvent` tinyint(1) DEFAULT NULL,
  `validCompleteOnly` tinyint(1) DEFAULT NULL,
  `displayGenerateEventBox` tinyint(1) DEFAULT NULL,
  `captureCoordinates` tinyint(1) DEFAULT NULL,
  `generatedByEnrollmentDate` tinyint(1) DEFAULT NULL,
  `blockEntryForm` tinyint(1) DEFAULT NULL,
  `remindCompleted` tinyint(1) DEFAULT NULL,
  `allowGenerateNextVisit` tinyint(1) DEFAULT NULL,
  `openAfterEnrollment` tinyint(1) DEFAULT NULL,
  `reportDateToUse` varchar(255) DEFAULT NULL,
  `preGenerateUID` tinyint(1) DEFAULT NULL,
  `sort_order` int(11) DEFAULT NULL,
  `periodtypeid` int(11) DEFAULT NULL,
  PRIMARY KEY (`programstageid`),
  UNIQUE KEY `UK_b3oan3noe4cj9dvyi0amofndv` (`uid`),
  UNIQUE KEY `UK_e6s6o9jau6tx04m62t7ey4i81` (`code`),
  KEY `fk_programstage_program` (`programid`),
  KEY `fk_programstage_dataentryform` (`dataentryformid`),
  KEY `fk_programstage_periodtypeid` (`periodtypeid`),
  CONSTRAINT `fk_programstage_periodtypeid` FOREIGN KEY (`periodtypeid`) REFERENCES `periodtype` (`periodtypeid`),
  CONSTRAINT `fk_programstage_dataentryform` FOREIGN KEY (`dataentryformid`) REFERENCES `dataentryform` (`dataentryformid`),
  CONSTRAINT `fk_programstage_program` FOREIGN KEY (`programid`) REFERENCES `program` (`programid`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

/*Data for the table `programstage` */

insert  into `programstage`(`programstageid`,`uid`,`code`,`created`,`lastUpdated`,`name`,`description`,`mindaysfromstart`,`programid`,`irregular`,`dataentryformid`,`standardInterval`,`excecutionDateLabel`,`autoGenerateEvent`,`validCompleteOnly`,`displayGenerateEventBox`,`captureCoordinates`,`generatedByEnrollmentDate`,`blockEntryForm`,`remindCompleted`,`allowGenerateNextVisit`,`openAfterEnrollment`,`reportDateToUse`,`preGenerateUID`,`sort_order`,`periodtypeid`) values (1,'nOg3bzUGZbj',NULL,'2015-10-30 19:39:18','2015-10-30 19:52:26','prova',NULL,0,1,0,NULL,NULL,'Report date',1,0,0,0,0,0,0,0,0,NULL,0,1,NULL);

/*Table structure for table `programstageattributevalues` */

DROP TABLE IF EXISTS `programstageattributevalues`;

CREATE TABLE `programstageattributevalues` (
  `programstageid` int(11) NOT NULL,
  `attributevalueid` int(11) NOT NULL,
  PRIMARY KEY (`programstageid`,`attributevalueid`),
  UNIQUE KEY `UK_tcx1w0yoc6k0h8qnagg18eqs6` (`attributevalueid`),
  KEY `FK_tcx1w0yoc6k0h8qnagg18eqs6` (`attributevalueid`),
  KEY `FK_qjo14558o17go6eltepli7nb` (`programstageid`),
  CONSTRAINT `FK_qjo14558o17go6eltepli7nb` FOREIGN KEY (`programstageid`) REFERENCES `programstage` (`programstageid`),
  CONSTRAINT `FK_tcx1w0yoc6k0h8qnagg18eqs6` FOREIGN KEY (`attributevalueid`) REFERENCES `attributevalue` (`attributevalueid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `programstageattributevalues` */

/*Table structure for table `programstagedataelement` */

DROP TABLE IF EXISTS `programstagedataelement`;

CREATE TABLE `programstagedataelement` (
  `programstagedataelementid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `programstageid` int(11) DEFAULT NULL,
  `dataelementid` int(11) DEFAULT NULL,
  `compulsory` tinyint(1) NOT NULL,
  `allowprovidedelsewhere` tinyint(1) DEFAULT NULL,
  `sort_order` int(11) DEFAULT NULL,
  `displayinreports` tinyint(1) DEFAULT NULL,
  `allowfuturedate` tinyint(1) DEFAULT NULL,
  `programstagesectionid` int(11) DEFAULT NULL,
  `section_sort_order` int(11) DEFAULT NULL,
  PRIMARY KEY (`programstagedataelementid`),
  UNIQUE KEY `programstagedataelement_unique_key` (`programstageid`,`dataelementid`),
  UNIQUE KEY `UK_os4r1umsvtmbuqm2bo25s5ej0` (`uid`),
  UNIQUE KEY `UK_2ejl9l5vm4rhtqj8eit31g0u6` (`code`),
  KEY `fk_programstagedataelement_programstageid` (`programstageid`),
  KEY `fk_programstagedataelement_dataelementid` (`dataelementid`),
  KEY `FK_t4h6i3ryidgvvt4w971lgfck9` (`programstagesectionid`),
  CONSTRAINT `FK_t4h6i3ryidgvvt4w971lgfck9` FOREIGN KEY (`programstagesectionid`) REFERENCES `programstagesection` (`programstagesectionid`),
  CONSTRAINT `fk_programstagedataelement_dataelementid` FOREIGN KEY (`dataelementid`) REFERENCES `dataelement` (`dataelementid`),
  CONSTRAINT `fk_programstagedataelement_programstageid` FOREIGN KEY (`programstageid`) REFERENCES `programstage` (`programstageid`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

/*Data for the table `programstagedataelement` */

insert  into `programstagedataelement`(`programstagedataelementid`,`uid`,`code`,`created`,`lastUpdated`,`programstageid`,`dataelementid`,`compulsory`,`allowprovidedelsewhere`,`sort_order`,`displayinreports`,`allowfuturedate`,`programstagesectionid`,`section_sort_order`) values (1,'DBty548wjuD',NULL,'2015-10-30 19:52:26','2015-10-30 19:52:26',1,1,0,0,0,0,0,NULL,NULL);

/*Table structure for table `programstageinstance` */

DROP TABLE IF EXISTS `programstageinstance`;

CREATE TABLE `programstageinstance` (
  `programstageinstanceid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `programinstanceid` int(11) NOT NULL,
  `programstageid` int(11) NOT NULL,
  `attributeoptioncomboid` int(11) DEFAULT NULL,
  `duedate` datetime DEFAULT NULL,
  `executiondate` datetime DEFAULT NULL,
  `organisationunitid` int(11) DEFAULT NULL,
  `status` varchar(255) NOT NULL,
  `longitude` double DEFAULT NULL,
  `latitude` double DEFAULT NULL,
  `completedUser` varchar(255) DEFAULT NULL,
  `completedDate` datetime DEFAULT NULL,
  PRIMARY KEY (`programstageinstanceid`),
  UNIQUE KEY `UK_gy44hufdeduoma7eeh3j6abm7` (`uid`),
  KEY `programstageinstance_executiondate` (`executiondate`),
  KEY `programstageinstance_organisationunitid` (`organisationunitid`),
  KEY `fk_programstageinstance_programinstanceid` (`programinstanceid`),
  KEY `fk_programstageinstance_programstageid` (`programstageid`),
  KEY `fk_programstageinstance_attributeoptioncomboid` (`attributeoptioncomboid`),
  KEY `fk_programstageinstance_organisationunitid` (`organisationunitid`),
  CONSTRAINT `fk_programstageinstance_organisationunitid` FOREIGN KEY (`organisationunitid`) REFERENCES `organisationunit` (`organisationunitid`),
  CONSTRAINT `fk_programstageinstance_attributeoptioncomboid` FOREIGN KEY (`attributeoptioncomboid`) REFERENCES `categoryoptioncombo` (`categoryoptioncomboid`),
  CONSTRAINT `fk_programstageinstance_programinstanceid` FOREIGN KEY (`programinstanceid`) REFERENCES `programinstance` (`programinstanceid`),
  CONSTRAINT `fk_programstageinstance_programstageid` FOREIGN KEY (`programstageid`) REFERENCES `programstage` (`programstageid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `programstageinstance` */

/*Table structure for table `programstageinstance_messageconversation` */

DROP TABLE IF EXISTS `programstageinstance_messageconversation`;

CREATE TABLE `programstageinstance_messageconversation` (
  `programstageinstanceid` int(11) NOT NULL,
  `messageconversationid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`programstageinstanceid`,`sort_order`),
  KEY `FK_93jeog5cmflr7391lq9gag51m` (`messageconversationid`),
  KEY `FK_nfxt1jiewjaskoq7kvfle8dnq` (`programstageinstanceid`),
  CONSTRAINT `FK_nfxt1jiewjaskoq7kvfle8dnq` FOREIGN KEY (`programstageinstanceid`) REFERENCES `programstageinstance` (`programstageinstanceid`),
  CONSTRAINT `FK_93jeog5cmflr7391lq9gag51m` FOREIGN KEY (`messageconversationid`) REFERENCES `messageconversation` (`messageconversationid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `programstageinstance_messageconversation` */

/*Table structure for table `programstageinstance_outboundsms` */

DROP TABLE IF EXISTS `programstageinstance_outboundsms`;

CREATE TABLE `programstageinstance_outboundsms` (
  `programstageinstanceid` int(11) NOT NULL,
  `outboundsmsid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`programstageinstanceid`,`sort_order`),
  KEY `FK_j7wmrhn38j2yskotw7txyae43` (`outboundsmsid`),
  KEY `FK_qs6f0dcyp3bf4tjmwgwpnanue` (`programstageinstanceid`),
  CONSTRAINT `FK_qs6f0dcyp3bf4tjmwgwpnanue` FOREIGN KEY (`programstageinstanceid`) REFERENCES `programstageinstance` (`programstageinstanceid`),
  CONSTRAINT `FK_j7wmrhn38j2yskotw7txyae43` FOREIGN KEY (`outboundsmsid`) REFERENCES `outbound_sms` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `programstageinstance_outboundsms` */

/*Table structure for table `programstageinstancecomments` */

DROP TABLE IF EXISTS `programstageinstancecomments`;

CREATE TABLE `programstageinstancecomments` (
  `programstageinstanceid` int(11) NOT NULL,
  `trackedentitycommentid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`programstageinstanceid`,`sort_order`),
  UNIQUE KEY `UK_1n7xvxj0jupob5f2v86cv8qer` (`trackedentitycommentid`),
  KEY `FK_1n7xvxj0jupob5f2v86cv8qer` (`trackedentitycommentid`),
  KEY `FK_bakt8xs6w33m0rc49v3mr6klp` (`programstageinstanceid`),
  CONSTRAINT `FK_bakt8xs6w33m0rc49v3mr6klp` FOREIGN KEY (`programstageinstanceid`) REFERENCES `programstageinstance` (`programstageinstanceid`),
  CONSTRAINT `FK_1n7xvxj0jupob5f2v86cv8qer` FOREIGN KEY (`trackedentitycommentid`) REFERENCES `trackedentitycomment` (`trackedentitycommentid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `programstageinstancecomments` */

/*Table structure for table `programstagesection` */

DROP TABLE IF EXISTS `programstagesection`;

CREATE TABLE `programstagesection` (
  `programstagesectionid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `programstageid` int(11) DEFAULT NULL,
  `sortorder` int(11) NOT NULL,
  PRIMARY KEY (`programstagesectionid`),
  UNIQUE KEY `UK_lycal9jdw3cs0wwebxciswwgr` (`uid`),
  UNIQUE KEY `UK_22wt9yk9idujmywno44v9qf66` (`code`),
  KEY `fk_program_programstageid` (`programstageid`),
  CONSTRAINT `fk_program_programstageid` FOREIGN KEY (`programstageid`) REFERENCES `programstage` (`programstageid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `programstagesection` */

/*Table structure for table `programstagesection_programindicators` */

DROP TABLE IF EXISTS `programstagesection_programindicators`;

CREATE TABLE `programstagesection_programindicators` (
  `programstagesectionid` int(11) NOT NULL,
  `programindicatorid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`programstagesectionid`,`sort_order`),
  KEY `fk_programstagesection_programindicators_indicatorid` (`programindicatorid`),
  KEY `fk_programstagesection_programindicators_sectionid` (`programstagesectionid`),
  CONSTRAINT `fk_programstagesection_programindicators_sectionid` FOREIGN KEY (`programstagesectionid`) REFERENCES `programstagesection` (`programstagesectionid`),
  CONSTRAINT `fk_programstagesection_programindicators_indicatorid` FOREIGN KEY (`programindicatorid`) REFERENCES `programindicator` (`programindicatorid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `programstagesection_programindicators` */

/*Table structure for table `programusergroupaccesses` */

DROP TABLE IF EXISTS `programusergroupaccesses`;

CREATE TABLE `programusergroupaccesses` (
  `programid` int(11) NOT NULL,
  `usergroupaccessid` int(11) NOT NULL,
  PRIMARY KEY (`programid`,`usergroupaccessid`),
  UNIQUE KEY `UK_1naq88t24viefq6h7lcx3lbx4` (`usergroupaccessid`),
  KEY `FK_1naq88t24viefq6h7lcx3lbx4` (`usergroupaccessid`),
  KEY `FK_t9808m8vathj9dlbgfy3hlf29` (`programid`),
  CONSTRAINT `FK_t9808m8vathj9dlbgfy3hlf29` FOREIGN KEY (`programid`) REFERENCES `program` (`programid`),
  CONSTRAINT `FK_1naq88t24viefq6h7lcx3lbx4` FOREIGN KEY (`usergroupaccessid`) REFERENCES `usergroupaccess` (`usergroupaccessid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `programusergroupaccesses` */

/*Table structure for table `programvalidation` */

DROP TABLE IF EXISTS `programvalidation`;

CREATE TABLE `programvalidation` (
  `programvalidationid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `leftprogramexpressionid` int(11) DEFAULT NULL,
  `operator` varchar(255) DEFAULT NULL,
  `rightprogramexpressionid` int(11) DEFAULT NULL,
  `programid` int(11) NOT NULL,
  PRIMARY KEY (`programvalidationid`),
  UNIQUE KEY `UK_i8fi14r4cfuvmqhaai5w1x6fl` (`name`),
  UNIQUE KEY `UK_ji8e92141qdirt8ycldqfkkb9` (`uid`),
  UNIQUE KEY `UK_77crrlh4cbe91h32mnspu2bqx` (`code`),
  KEY `fk_programvalidation_leftprogramexpressionid` (`leftprogramexpressionid`),
  KEY `fk_programvalidation_rightprogramexpressionid` (`rightprogramexpressionid`),
  KEY `fk_programvalidation_programid` (`programid`),
  CONSTRAINT `fk_programvalidation_programid` FOREIGN KEY (`programid`) REFERENCES `program` (`programid`),
  CONSTRAINT `fk_programvalidation_leftprogramexpressionid` FOREIGN KEY (`leftprogramexpressionid`) REFERENCES `programexpression` (`programexpressionid`),
  CONSTRAINT `fk_programvalidation_rightprogramexpressionid` FOREIGN KEY (`rightprogramexpressionid`) REFERENCES `programexpression` (`programexpressionid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `programvalidation` */

/*Table structure for table `relationship` */

DROP TABLE IF EXISTS `relationship`;

CREATE TABLE `relationship` (
  `relationshipid` int(11) NOT NULL AUTO_INCREMENT,
  `trackedentityinstanceaid` int(11) NOT NULL,
  `relationshiptypeid` int(11) NOT NULL,
  `trackedentityinstancebid` int(11) NOT NULL,
  PRIMARY KEY (`relationshipid`),
  KEY `fk_relationship_trackedentityinstanceida` (`trackedentityinstanceaid`),
  KEY `fk_relationship_relationshiptypeid` (`relationshiptypeid`),
  KEY `fk_relationship_trackedentityinstanceidb` (`trackedentityinstancebid`),
  CONSTRAINT `fk_relationship_trackedentityinstanceidb` FOREIGN KEY (`trackedentityinstancebid`) REFERENCES `trackedentityinstance` (`trackedentityinstanceid`),
  CONSTRAINT `fk_relationship_relationshiptypeid` FOREIGN KEY (`relationshiptypeid`) REFERENCES `relationshiptype` (`relationshiptypeid`),
  CONSTRAINT `fk_relationship_trackedentityinstanceida` FOREIGN KEY (`trackedentityinstanceaid`) REFERENCES `trackedentityinstance` (`trackedentityinstanceid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `relationship` */

/*Table structure for table `relationshiptype` */

DROP TABLE IF EXISTS `relationshiptype`;

CREATE TABLE `relationshiptype` (
  `relationshiptypeid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `a_is_to_b` varchar(255) NOT NULL,
  `b_is_to_a` varchar(255) NOT NULL,
  PRIMARY KEY (`relationshiptypeid`),
  UNIQUE KEY `UK_8d4xrx2gygb4aivpcwrp613hj` (`name`),
  UNIQUE KEY `UK_7rnfvkitq6l0kr5ju2slxopfi` (`uid`),
  UNIQUE KEY `UK_gio4nn8l23jikmebud3jwql43` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `relationshiptype` */

/*Table structure for table `relativeperiods` */

DROP TABLE IF EXISTS `relativeperiods`;

CREATE TABLE `relativeperiods` (
  `relativeperiodsid` int(11) NOT NULL AUTO_INCREMENT,
  `thisMonth` tinyint(1) DEFAULT NULL,
  `lastMonth` tinyint(1) DEFAULT NULL,
  `thisBimonth` tinyint(1) DEFAULT NULL,
  `lastBimonth` tinyint(1) DEFAULT NULL,
  `thisQuarter` tinyint(1) DEFAULT NULL,
  `lastQuarter` tinyint(1) DEFAULT NULL,
  `thisSixMonth` tinyint(1) DEFAULT NULL,
  `lastSixMonth` tinyint(1) DEFAULT NULL,
  `monthsThisYear` tinyint(1) DEFAULT NULL,
  `quartersThisYear` tinyint(1) DEFAULT NULL,
  `thisYear` tinyint(1) DEFAULT NULL,
  `monthsLastYear` tinyint(1) DEFAULT NULL,
  `quartersLastYear` tinyint(1) DEFAULT NULL,
  `lastYear` tinyint(1) DEFAULT NULL,
  `last5Years` tinyint(1) DEFAULT NULL,
  `last12Months` tinyint(1) DEFAULT NULL,
  `last6Months` tinyint(1) DEFAULT NULL,
  `last3Months` tinyint(1) DEFAULT NULL,
  `last6BiMonths` tinyint(1) DEFAULT NULL,
  `last4Quarters` tinyint(1) DEFAULT NULL,
  `last2SixMonths` tinyint(1) DEFAULT NULL,
  `thisFinancialYear` tinyint(1) DEFAULT NULL,
  `lastFinancialYear` tinyint(1) DEFAULT NULL,
  `last5FinancialYears` tinyint(1) DEFAULT NULL,
  `thisWeek` tinyint(1) DEFAULT NULL,
  `lastWeek` tinyint(1) DEFAULT NULL,
  `last4Weeks` tinyint(1) DEFAULT NULL,
  `last12Weeks` tinyint(1) DEFAULT NULL,
  `last52Weeks` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`relativeperiodsid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `relativeperiods` */

/*Table structure for table `report` */

DROP TABLE IF EXISTS `report`;

CREATE TABLE `report` (
  `reportid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `type` varchar(50) DEFAULT NULL,
  `designContent` longtext,
  `reporttableid` int(11) DEFAULT NULL,
  `relativeperiodsid` int(11) DEFAULT NULL,
  `paramReportingMonth` tinyint(1) DEFAULT NULL,
  `paramOrganisationUnit` tinyint(1) DEFAULT NULL,
  `cacheStrategy` varchar(40) DEFAULT NULL,
  `externalAccess` tinyint(1) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `publicAccess` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`reportid`),
  UNIQUE KEY `UK_1ie06vhy3begtwuuvrv0f71se` (`uid`),
  UNIQUE KEY `UK_kc1wmcky1ooleovi36oqcqmqe` (`code`),
  UNIQUE KEY `UK_478bg522jkn8460hkeshlw1j1` (`relativeperiodsid`),
  KEY `fk_report_reporttableid` (`reporttableid`),
  KEY `fk_report_relativeperiodsid` (`relativeperiodsid`),
  KEY `fk_report_userid` (`userid`),
  CONSTRAINT `fk_report_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`),
  CONSTRAINT `fk_report_relativeperiodsid` FOREIGN KEY (`relativeperiodsid`) REFERENCES `relativeperiods` (`relativeperiodsid`),
  CONSTRAINT `fk_report_reporttableid` FOREIGN KEY (`reporttableid`) REFERENCES `reporttable` (`reporttableid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `report` */

/*Table structure for table `reporttable` */

DROP TABLE IF EXISTS `reporttable`;

CREATE TABLE `reporttable` (
  `reporttableid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `regression` tinyint(1) DEFAULT NULL,
  `cumulative` tinyint(1) DEFAULT NULL,
  `relativeperiodsid` int(11) DEFAULT NULL,
  `programid` int(11) DEFAULT NULL,
  `paramReportingMonth` tinyint(1) DEFAULT NULL,
  `paramGrandParentOrganisationUnit` tinyint(1) DEFAULT NULL,
  `paramParentOrganisationUnit` tinyint(1) DEFAULT NULL,
  `paramOrganisationUnit` tinyint(1) DEFAULT NULL,
  `sortOrder` int(11) DEFAULT NULL,
  `topLimit` int(11) DEFAULT NULL,
  `rowTotals` tinyint(1) DEFAULT NULL,
  `colTotals` tinyint(1) DEFAULT NULL,
  `rowSubTotals` tinyint(1) DEFAULT NULL,
  `colSubTotals` tinyint(1) DEFAULT NULL,
  `hideEmptyRows` tinyint(1) DEFAULT NULL,
  `aggregationType` varchar(40) DEFAULT NULL,
  `completedonly` tinyint(1) DEFAULT NULL,
  `digitGroupSeparator` varchar(40) DEFAULT NULL,
  `displayDensity` varchar(40) DEFAULT NULL,
  `fontSize` varchar(40) DEFAULT NULL,
  `userOrganisationUnit` tinyint(1) DEFAULT NULL,
  `userOrganisationUnitChildren` tinyint(1) DEFAULT NULL,
  `userOrganisationUnitGrandChildren` tinyint(1) DEFAULT NULL,
  `legendsetid` int(11) DEFAULT NULL,
  `showHierarchy` tinyint(1) DEFAULT NULL,
  `showDimensionLabels` tinyint(1) DEFAULT NULL,
  `skipRounding` tinyint(1) DEFAULT NULL,
  `externalAccess` tinyint(1) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `publicAccess` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`reporttableid`),
  UNIQUE KEY `UK_7if26yibpw5hn2gjsrn2xst0m` (`uid`),
  UNIQUE KEY `UK_lvk31hlxg4sl301nxyt1iupd6` (`code`),
  UNIQUE KEY `UK_b39cpkfasrbt96274tbaedtmp` (`relativeperiodsid`),
  KEY `fk_reporttable_relativeperiodsid` (`relativeperiodsid`),
  KEY `fk_reporttable_legendsetid` (`legendsetid`),
  KEY `fk_reporttable_userid` (`userid`),
  CONSTRAINT `fk_reporttable_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`),
  CONSTRAINT `fk_reporttable_legendsetid` FOREIGN KEY (`legendsetid`) REFERENCES `maplegendset` (`maplegendsetid`),
  CONSTRAINT `fk_reporttable_relativeperiodsid` FOREIGN KEY (`relativeperiodsid`) REFERENCES `relativeperiods` (`relativeperiodsid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `reporttable` */

/*Table structure for table `reporttable_categorydimensions` */

DROP TABLE IF EXISTS `reporttable_categorydimensions`;

CREATE TABLE `reporttable_categorydimensions` (
  `reporttableid` int(11) NOT NULL,
  `categorydimensionid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`reporttableid`,`sort_order`),
  KEY `fk_reporttable_categorydimensions_categorydimensionid` (`categorydimensionid`),
  KEY `fk_reporttable_categorydimensions_reporttableid` (`reporttableid`),
  CONSTRAINT `fk_reporttable_categorydimensions_reporttableid` FOREIGN KEY (`reporttableid`) REFERENCES `reporttable` (`reporttableid`),
  CONSTRAINT `fk_reporttable_categorydimensions_categorydimensionid` FOREIGN KEY (`categorydimensionid`) REFERENCES `categorydimension` (`categorydimensionid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `reporttable_categorydimensions` */

/*Table structure for table `reporttable_categoryoptiongroups` */

DROP TABLE IF EXISTS `reporttable_categoryoptiongroups`;

CREATE TABLE `reporttable_categoryoptiongroups` (
  `reporttableid` int(11) NOT NULL,
  `categoryoptiongroupid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`reporttableid`,`sort_order`),
  KEY `fk_reporttable_categoryoptiongroups_categoryoptiongroupid` (`categoryoptiongroupid`),
  KEY `fk_reporttable_categoryoptiongroups_reporttableid` (`reporttableid`),
  CONSTRAINT `fk_reporttable_categoryoptiongroups_reporttableid` FOREIGN KEY (`reporttableid`) REFERENCES `reporttable` (`reporttableid`),
  CONSTRAINT `fk_reporttable_categoryoptiongroups_categoryoptiongroupid` FOREIGN KEY (`categoryoptiongroupid`) REFERENCES `categoryoptiongroup` (`categoryoptiongroupid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `reporttable_categoryoptiongroups` */

/*Table structure for table `reporttable_columns` */

DROP TABLE IF EXISTS `reporttable_columns`;

CREATE TABLE `reporttable_columns` (
  `reporttableid` int(11) NOT NULL,
  `dimension` varchar(255) DEFAULT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`reporttableid`,`sort_order`),
  KEY `fk_reporttable_columns_reporttableid` (`reporttableid`),
  CONSTRAINT `fk_reporttable_columns_reporttableid` FOREIGN KEY (`reporttableid`) REFERENCES `reporttable` (`reporttableid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `reporttable_columns` */

/*Table structure for table `reporttable_datadimensionitems` */

DROP TABLE IF EXISTS `reporttable_datadimensionitems`;

CREATE TABLE `reporttable_datadimensionitems` (
  `reporttableid` int(11) NOT NULL,
  `datadimensionitemid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`reporttableid`,`sort_order`),
  KEY `fk_reporttable_datadimensionitems_datadimensionitemid` (`datadimensionitemid`),
  KEY `fk_reporttable_datadimensionitems_reporttableid` (`reporttableid`),
  CONSTRAINT `fk_reporttable_datadimensionitems_reporttableid` FOREIGN KEY (`reporttableid`) REFERENCES `reporttable` (`reporttableid`),
  CONSTRAINT `fk_reporttable_datadimensionitems_datadimensionitemid` FOREIGN KEY (`datadimensionitemid`) REFERENCES `datadimensionitem` (`datadimensionitemid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `reporttable_datadimensionitems` */

/*Table structure for table `reporttable_dataelementgroups` */

DROP TABLE IF EXISTS `reporttable_dataelementgroups`;

CREATE TABLE `reporttable_dataelementgroups` (
  `reporttableid` int(11) NOT NULL,
  `dataelementgroupid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`reporttableid`,`sort_order`),
  KEY `fk_reporttable_dataelementgroups_dataelementgroupid` (`dataelementgroupid`),
  KEY `fk_reporttable_dataelementgroups_reporttableid` (`reporttableid`),
  CONSTRAINT `fk_reporttable_dataelementgroups_reporttableid` FOREIGN KEY (`reporttableid`) REFERENCES `reporttable` (`reporttableid`),
  CONSTRAINT `fk_reporttable_dataelementgroups_dataelementgroupid` FOREIGN KEY (`dataelementgroupid`) REFERENCES `dataelementgroup` (`dataelementgroupid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `reporttable_dataelementgroups` */

/*Table structure for table `reporttable_filters` */

DROP TABLE IF EXISTS `reporttable_filters`;

CREATE TABLE `reporttable_filters` (
  `reporttableid` int(11) NOT NULL,
  `dimension` varchar(255) DEFAULT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`reporttableid`,`sort_order`),
  KEY `fk_reporttable_filters_reporttableid` (`reporttableid`),
  CONSTRAINT `fk_reporttable_filters_reporttableid` FOREIGN KEY (`reporttableid`) REFERENCES `reporttable` (`reporttableid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `reporttable_filters` */

/*Table structure for table `reporttable_itemorgunitgroups` */

DROP TABLE IF EXISTS `reporttable_itemorgunitgroups`;

CREATE TABLE `reporttable_itemorgunitgroups` (
  `reporttableid` int(11) NOT NULL,
  `orgunitgroupid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`reporttableid`,`sort_order`),
  KEY `fk_reporttable_itemorgunitgroups_orgunitgroupid` (`orgunitgroupid`),
  KEY `fk_reporttable_itemorgunitunitgroups_reporttableid` (`reporttableid`),
  CONSTRAINT `fk_reporttable_itemorgunitunitgroups_reporttableid` FOREIGN KEY (`reporttableid`) REFERENCES `reporttable` (`reporttableid`),
  CONSTRAINT `fk_reporttable_itemorgunitgroups_orgunitgroupid` FOREIGN KEY (`orgunitgroupid`) REFERENCES `orgunitgroup` (`orgunitgroupid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `reporttable_itemorgunitgroups` */

/*Table structure for table `reporttable_organisationunits` */

DROP TABLE IF EXISTS `reporttable_organisationunits`;

CREATE TABLE `reporttable_organisationunits` (
  `reporttableid` int(11) NOT NULL,
  `organisationunitid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`reporttableid`,`sort_order`),
  KEY `fk_reporttable_organisationunits_organisationunitid` (`organisationunitid`),
  KEY `fk_reporttable_organisationunits_reporttableid` (`reporttableid`),
  CONSTRAINT `fk_reporttable_organisationunits_reporttableid` FOREIGN KEY (`reporttableid`) REFERENCES `reporttable` (`reporttableid`),
  CONSTRAINT `fk_reporttable_organisationunits_organisationunitid` FOREIGN KEY (`organisationunitid`) REFERENCES `organisationunit` (`organisationunitid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `reporttable_organisationunits` */

/*Table structure for table `reporttable_orgunitgroups` */

DROP TABLE IF EXISTS `reporttable_orgunitgroups`;

CREATE TABLE `reporttable_orgunitgroups` (
  `reporttableid` int(11) NOT NULL,
  `orgunitgroupid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`reporttableid`,`sort_order`),
  KEY `fk_reporttable_orgunitgroups_orgunitgroupid` (`orgunitgroupid`),
  KEY `fk_reporttable_orgunitunitgroups_reporttableid` (`reporttableid`),
  CONSTRAINT `fk_reporttable_orgunitunitgroups_reporttableid` FOREIGN KEY (`reporttableid`) REFERENCES `reporttable` (`reporttableid`),
  CONSTRAINT `fk_reporttable_orgunitgroups_orgunitgroupid` FOREIGN KEY (`orgunitgroupid`) REFERENCES `orgunitgroup` (`orgunitgroupid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `reporttable_orgunitgroups` */

/*Table structure for table `reporttable_orgunitlevels` */

DROP TABLE IF EXISTS `reporttable_orgunitlevels`;

CREATE TABLE `reporttable_orgunitlevels` (
  `reporttableid` int(11) NOT NULL,
  `orgunitlevel` int(11) DEFAULT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`reporttableid`,`sort_order`),
  KEY `fk_reporttable_orgunitlevels_reporttableid` (`reporttableid`),
  CONSTRAINT `fk_reporttable_orgunitlevels_reporttableid` FOREIGN KEY (`reporttableid`) REFERENCES `reporttable` (`reporttableid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `reporttable_orgunitlevels` */

/*Table structure for table `reporttable_periods` */

DROP TABLE IF EXISTS `reporttable_periods`;

CREATE TABLE `reporttable_periods` (
  `reporttableid` int(11) NOT NULL,
  `periodid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`reporttableid`,`sort_order`),
  KEY `fk_reporttable_periods_periodid` (`periodid`),
  KEY `fk_reporttable_periods_reporttableid` (`reporttableid`),
  CONSTRAINT `fk_reporttable_periods_reporttableid` FOREIGN KEY (`reporttableid`) REFERENCES `reporttable` (`reporttableid`),
  CONSTRAINT `fk_reporttable_periods_periodid` FOREIGN KEY (`periodid`) REFERENCES `period` (`periodid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `reporttable_periods` */

/*Table structure for table `reporttable_rows` */

DROP TABLE IF EXISTS `reporttable_rows`;

CREATE TABLE `reporttable_rows` (
  `reporttableid` int(11) NOT NULL,
  `dimension` varchar(255) DEFAULT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`reporttableid`,`sort_order`),
  KEY `fk_reporttable_rows_reporttableid` (`reporttableid`),
  CONSTRAINT `fk_reporttable_rows_reporttableid` FOREIGN KEY (`reporttableid`) REFERENCES `reporttable` (`reporttableid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `reporttable_rows` */

/*Table structure for table `reporttableusergroupaccesses` */

DROP TABLE IF EXISTS `reporttableusergroupaccesses`;

CREATE TABLE `reporttableusergroupaccesses` (
  `reporttableid` int(11) NOT NULL,
  `usergroupaccessid` int(11) NOT NULL,
  PRIMARY KEY (`reporttableid`,`usergroupaccessid`),
  UNIQUE KEY `UK_tbro727eo15qmn3ghlhoyifih` (`usergroupaccessid`),
  KEY `FK_tbro727eo15qmn3ghlhoyifih` (`usergroupaccessid`),
  KEY `FK_pmqig9uf4d23pw9iin8t9aiqp` (`reporttableid`),
  CONSTRAINT `FK_pmqig9uf4d23pw9iin8t9aiqp` FOREIGN KEY (`reporttableid`) REFERENCES `reporttable` (`reporttableid`),
  CONSTRAINT `FK_tbro727eo15qmn3ghlhoyifih` FOREIGN KEY (`usergroupaccessid`) REFERENCES `usergroupaccess` (`usergroupaccessid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `reporttableusergroupaccesses` */

/*Table structure for table `reportusergroupaccesses` */

DROP TABLE IF EXISTS `reportusergroupaccesses`;

CREATE TABLE `reportusergroupaccesses` (
  `reportid` int(11) NOT NULL,
  `usergroupaccessid` int(11) NOT NULL,
  PRIMARY KEY (`reportid`,`usergroupaccessid`),
  UNIQUE KEY `UK_asp8ntgg2muwvqbs60qnm1vq7` (`usergroupaccessid`),
  KEY `FK_asp8ntgg2muwvqbs60qnm1vq7` (`usergroupaccessid`),
  KEY `FK_pskuus7k5pkg5vm1rkun0h7qy` (`reportid`),
  CONSTRAINT `FK_pskuus7k5pkg5vm1rkun0h7qy` FOREIGN KEY (`reportid`) REFERENCES `report` (`reportid`),
  CONSTRAINT `FK_asp8ntgg2muwvqbs60qnm1vq7` FOREIGN KEY (`usergroupaccessid`) REFERENCES `usergroupaccess` (`usergroupaccessid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `reportusergroupaccesses` */

/*Table structure for table `section` */

DROP TABLE IF EXISTS `section`;

CREATE TABLE `section` (
  `sectionid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `description` longtext,
  `datasetid` int(11) NOT NULL,
  `sortorder` int(11) NOT NULL,
  PRIMARY KEY (`sectionid`),
  UNIQUE KEY `key_sectionnamedataset` (`name`,`datasetid`),
  UNIQUE KEY `UK_a50otc0l2chm0heii6scpit4k` (`uid`),
  UNIQUE KEY `UK_9hvlbsw019hscf35xb5behfx9` (`code`),
  KEY `fk_section_datasetid` (`datasetid`),
  CONSTRAINT `fk_section_datasetid` FOREIGN KEY (`datasetid`) REFERENCES `dataset` (`datasetid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `section` */

/*Table structure for table `sectiondataelements` */

DROP TABLE IF EXISTS `sectiondataelements`;

CREATE TABLE `sectiondataelements` (
  `sectionid` int(11) NOT NULL,
  `dataelementid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`sectionid`,`sort_order`),
  KEY `fk_section_dataelementid` (`dataelementid`),
  KEY `fk_sectiondataelements_sectionid` (`sectionid`),
  CONSTRAINT `fk_sectiondataelements_sectionid` FOREIGN KEY (`sectionid`) REFERENCES `section` (`sectionid`),
  CONSTRAINT `fk_section_dataelementid` FOREIGN KEY (`dataelementid`) REFERENCES `dataelement` (`dataelementid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `sectiondataelements` */

/*Table structure for table `sectiongreyedfields` */

DROP TABLE IF EXISTS `sectiongreyedfields`;

CREATE TABLE `sectiongreyedfields` (
  `sectionid` int(11) NOT NULL,
  `dataelementoperandid` int(11) NOT NULL,
  PRIMARY KEY (`sectionid`,`dataelementoperandid`),
  KEY `fk_section_dataelementoperandid` (`dataelementoperandid`),
  KEY `fk_sectiongreyedfields_sectionid` (`sectionid`),
  CONSTRAINT `fk_sectiongreyedfields_sectionid` FOREIGN KEY (`sectionid`) REFERENCES `section` (`sectionid`),
  CONSTRAINT `fk_section_dataelementoperandid` FOREIGN KEY (`dataelementoperandid`) REFERENCES `dataelementoperand` (`dataelementoperandid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `sectiongreyedfields` */

/*Table structure for table `sectionindicators` */

DROP TABLE IF EXISTS `sectionindicators`;

CREATE TABLE `sectionindicators` (
  `sectionid` int(11) NOT NULL,
  `indicatorid` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`sectionid`,`sort_order`),
  KEY `fk_section_indicatorid` (`indicatorid`),
  KEY `fk_sectionindicators_sectionid` (`sectionid`),
  CONSTRAINT `fk_sectionindicators_sectionid` FOREIGN KEY (`sectionid`) REFERENCES `section` (`sectionid`),
  CONSTRAINT `fk_section_indicatorid` FOREIGN KEY (`indicatorid`) REFERENCES `indicator` (`indicatorid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `sectionindicators` */

/*Table structure for table `smscodes` */

DROP TABLE IF EXISTS `smscodes`;

CREATE TABLE `smscodes` (
  `smscodeid` int(11) NOT NULL,
  `code` longtext,
  `formula` longtext,
  `dataelementid` int(11) DEFAULT NULL,
  `trackedentityattributeid` int(11) DEFAULT NULL,
  `optionId` int(11) DEFAULT NULL,
  PRIMARY KEY (`smscodeid`),
  KEY `fk_dataelement_dataelementid` (`dataelementid`),
  KEY `fk_trackedentityattribute_trackedentityattributeid` (`trackedentityattributeid`),
  CONSTRAINT `fk_trackedentityattribute_trackedentityattributeid` FOREIGN KEY (`trackedentityattributeid`) REFERENCES `trackedentityattribute` (`trackedentityattributeid`),
  CONSTRAINT `fk_dataelement_dataelementid` FOREIGN KEY (`dataelementid`) REFERENCES `dataelement` (`dataelementid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `smscodes` */

/*Table structure for table `smscommandcodes` */

DROP TABLE IF EXISTS `smscommandcodes`;

CREATE TABLE `smscommandcodes` (
  `id` int(11) NOT NULL,
  `codeid` int(11) NOT NULL,
  PRIMARY KEY (`id`,`codeid`),
  UNIQUE KEY `UK_t9e1mnpydje0rsvinxq68q1i6` (`codeid`),
  KEY `FK_t9e1mnpydje0rsvinxq68q1i6` (`codeid`),
  KEY `FK_1orwihy96u0j2dmt01vhmgd59` (`id`),
  CONSTRAINT `FK_1orwihy96u0j2dmt01vhmgd59` FOREIGN KEY (`id`) REFERENCES `smscommands` (`smscommandid`),
  CONSTRAINT `FK_t9e1mnpydje0rsvinxq68q1i6` FOREIGN KEY (`codeid`) REFERENCES `smscodes` (`smscodeid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `smscommandcodes` */

/*Table structure for table `smscommands` */

DROP TABLE IF EXISTS `smscommands`;

CREATE TABLE `smscommands` (
  `smscommandid` int(11) NOT NULL,
  `name` longtext,
  `parser` longtext,
  `parserType` int(11) DEFAULT NULL,
  `separatorkey` longtext,
  `codeSeparator` longtext,
  `defaultMessage` longtext,
  `receivedMessage` longtext,
  `wrongFormatMessage` longtext,
  `noUserMessage` longtext,
  `moreThanOneOrgUnitMessage` longtext,
  `successMessage` longtext,
  `currentPeriodUsedForReporting` tinyint(1) DEFAULT NULL,
  `completenessMethod` int(11) DEFAULT NULL,
  `datasetid` int(11) DEFAULT NULL,
  `usergroupid` int(11) DEFAULT NULL,
  `programid` int(11) DEFAULT NULL,
  PRIMARY KEY (`smscommandid`),
  KEY `fk_dataset_datasetid` (`datasetid`),
  KEY `fk_smscommand_usergroup` (`usergroupid`),
  KEY `fk_smscommand_program` (`programid`),
  CONSTRAINT `fk_smscommand_program` FOREIGN KEY (`programid`) REFERENCES `program` (`programid`),
  CONSTRAINT `fk_dataset_datasetid` FOREIGN KEY (`datasetid`) REFERENCES `dataset` (`datasetid`),
  CONSTRAINT `fk_smscommand_usergroup` FOREIGN KEY (`usergroupid`) REFERENCES `usergroup` (`usergroupid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `smscommands` */

/*Table structure for table `smscommandspecialcharacters` */

DROP TABLE IF EXISTS `smscommandspecialcharacters`;

CREATE TABLE `smscommandspecialcharacters` (
  `smscommandid` int(11) NOT NULL,
  `specialcharacterid` int(11) NOT NULL,
  PRIMARY KEY (`smscommandid`,`specialcharacterid`),
  UNIQUE KEY `UK_etm1elt7pbwyia8e0kfnrvqo3` (`specialcharacterid`),
  KEY `FK_etm1elt7pbwyia8e0kfnrvqo3` (`specialcharacterid`),
  KEY `FK_654j6saj86sn3u2da87cpmr4n` (`smscommandid`),
  CONSTRAINT `FK_654j6saj86sn3u2da87cpmr4n` FOREIGN KEY (`smscommandid`) REFERENCES `smscommands` (`smscommandid`),
  CONSTRAINT `FK_etm1elt7pbwyia8e0kfnrvqo3` FOREIGN KEY (`specialcharacterid`) REFERENCES `smsspecialcharacter` (`specialcharacterid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `smscommandspecialcharacters` */

/*Table structure for table `smsspecialcharacter` */

DROP TABLE IF EXISTS `smsspecialcharacter`;

CREATE TABLE `smsspecialcharacter` (
  `specialcharacterid` int(11) NOT NULL,
  `name` longtext,
  `value` longtext,
  PRIMARY KEY (`specialcharacterid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `smsspecialcharacter` */

/*Table structure for table `sqlview` */

DROP TABLE IF EXISTS `sqlview`;

CREATE TABLE `sqlview` (
  `sqlviewid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `description` longtext,
  `sqlQuery` longtext NOT NULL,
  `type` varchar(40) DEFAULT NULL,
  `cacheStrategy` varchar(40) DEFAULT NULL,
  `externalAccess` tinyint(1) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `publicAccess` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`sqlviewid`),
  UNIQUE KEY `UK_iedy6hh42wl3gr3m87ntd6so8` (`name`),
  UNIQUE KEY `UK_fps2ja521pudngaitlp0805du` (`uid`),
  UNIQUE KEY `UK_50aqn6tun6lt4u3ablvdxgoi6` (`code`),
  KEY `fk_sqlview_userid` (`userid`),
  CONSTRAINT `fk_sqlview_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `sqlview` */

/*Table structure for table `sqlviewusergroupaccesses` */

DROP TABLE IF EXISTS `sqlviewusergroupaccesses`;

CREATE TABLE `sqlviewusergroupaccesses` (
  `sqlviewid` int(11) NOT NULL,
  `usergroupaccessid` int(11) NOT NULL,
  PRIMARY KEY (`sqlviewid`,`usergroupaccessid`),
  UNIQUE KEY `UK_og1fdqhhylbk69fxpoth4bd36` (`usergroupaccessid`),
  KEY `FK_og1fdqhhylbk69fxpoth4bd36` (`usergroupaccessid`),
  KEY `FK_ftn43gpevax8by169pld7dl5d` (`sqlviewid`),
  CONSTRAINT `FK_ftn43gpevax8by169pld7dl5d` FOREIGN KEY (`sqlviewid`) REFERENCES `sqlview` (`sqlviewid`),
  CONSTRAINT `FK_og1fdqhhylbk69fxpoth4bd36` FOREIGN KEY (`usergroupaccessid`) REFERENCES `usergroupaccess` (`usergroupaccessid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `sqlviewusergroupaccesses` */

/*Table structure for table `systemsetting` */

DROP TABLE IF EXISTS `systemsetting`;

CREATE TABLE `systemsetting` (
  `systemsettingid` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `value` blob,
  PRIMARY KEY (`systemsettingid`),
  UNIQUE KEY `UK_do99wgsyk5wflbhb937u5av8m` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `systemsetting` */

/*Table structure for table `trackedentity` */

DROP TABLE IF EXISTS `trackedentity`;

CREATE TABLE `trackedentity` (
  `trackedentityid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `description` longtext,
  PRIMARY KEY (`trackedentityid`),
  UNIQUE KEY `UK_b0aojuanxabfuylrbc2k6xk20` (`name`),
  UNIQUE KEY `UK_fymtho48lmccwmlag2amy7gc1` (`uid`),
  UNIQUE KEY `UK_r7hbkahkkbgfg9xtxlp9mhq3q` (`code`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

/*Data for the table `trackedentity` */

insert  into `trackedentity`(`trackedentityid`,`uid`,`code`,`created`,`lastUpdated`,`name`,`description`) values (1,'agfnu2z6Ng2',NULL,'2015-10-30 19:50:58','2015-10-30 19:50:58','Person','Person');

/*Table structure for table `trackedentityattribute` */

DROP TABLE IF EXISTS `trackedentityattribute`;

CREATE TABLE `trackedentityattribute` (
  `trackedentityattributeid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `shortname` varchar(50) DEFAULT NULL,
  `description` longtext,
  `valuetype` varchar(36) DEFAULT NULL,
  `aggregationType` varchar(40) DEFAULT NULL,
  `trackedentityattributegroupid` int(11) DEFAULT NULL,
  `optionsetid` int(11) DEFAULT NULL,
  `trackedentityid` int(11) DEFAULT NULL,
  `legendsetid` int(11) DEFAULT NULL,
  `inherit` tinyint(1) DEFAULT NULL,
  `expression` varchar(255) DEFAULT NULL,
  `displayOnVisitSchedule` tinyint(1) DEFAULT NULL,
  `sortOrderInVisitSchedule` int(11) DEFAULT NULL,
  `displayInListNoProgram` tinyint(1) DEFAULT NULL,
  `sortOrderInListNoProgram` int(11) DEFAULT NULL,
  `confidential` tinyint(1) DEFAULT NULL,
  `uniquefield` tinyint(1) DEFAULT NULL,
  `orgunitScope` tinyint(1) DEFAULT NULL,
  `programScope` tinyint(1) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `publicAccess` varchar(8) DEFAULT NULL,
  `sort_order` int(11) DEFAULT NULL,
  PRIMARY KEY (`trackedentityattributeid`),
  UNIQUE KEY `UK_evp7d8obarxt3kewepigkwahc` (`name`),
  UNIQUE KEY `UK_kbqnrdakcjfooofmti30d4p8x` (`uid`),
  UNIQUE KEY `UK_eh4c3whbwi94nhh772q6l5t7m` (`code`),
  UNIQUE KEY `UK_gg9gc0pyaqjuxi8mr4y93i03w` (`shortname`),
  KEY `fk_trackedentityattribute_attributegroupid` (`trackedentityattributegroupid`),
  KEY `fk_trackedentityattribute_optionsetid` (`optionsetid`),
  KEY `fk_trackedentityattribute_trackedentityid` (`trackedentityid`),
  KEY `fk_trackedentityattribute_legendset` (`legendsetid`),
  KEY `fk_trackedentityattribute_userid` (`userid`),
  CONSTRAINT `fk_trackedentityattribute_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`),
  CONSTRAINT `fk_trackedentityattribute_attributegroupid` FOREIGN KEY (`trackedentityattributegroupid`) REFERENCES `trackedentityattributegroup` (`trackedentityattributegroupid`),
  CONSTRAINT `fk_trackedentityattribute_legendset` FOREIGN KEY (`legendsetid`) REFERENCES `maplegendset` (`maplegendsetid`),
  CONSTRAINT `fk_trackedentityattribute_optionsetid` FOREIGN KEY (`optionsetid`) REFERENCES `optionset` (`optionsetid`),
  CONSTRAINT `fk_trackedentityattribute_trackedentityid` FOREIGN KEY (`trackedentityid`) REFERENCES `trackedentity` (`trackedentityid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `trackedentityattribute` */

/*Table structure for table `trackedentityattributeattributevalues` */

DROP TABLE IF EXISTS `trackedentityattributeattributevalues`;

CREATE TABLE `trackedentityattributeattributevalues` (
  `trackedentityattributeid` int(11) NOT NULL,
  `attributevalueid` int(11) NOT NULL,
  PRIMARY KEY (`trackedentityattributeid`,`attributevalueid`),
  UNIQUE KEY `UK_eb7jbyiwhse2kd64y3ufee977` (`attributevalueid`),
  KEY `FK_eb7jbyiwhse2kd64y3ufee977` (`attributevalueid`),
  KEY `FK_t89itqw8svb2wljyga2vxbpcq` (`trackedentityattributeid`),
  CONSTRAINT `FK_t89itqw8svb2wljyga2vxbpcq` FOREIGN KEY (`trackedentityattributeid`) REFERENCES `trackedentityattribute` (`trackedentityattributeid`),
  CONSTRAINT `FK_eb7jbyiwhse2kd64y3ufee977` FOREIGN KEY (`attributevalueid`) REFERENCES `attributevalue` (`attributevalueid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `trackedentityattributeattributevalues` */

/*Table structure for table `trackedentityattributedimension` */

DROP TABLE IF EXISTS `trackedentityattributedimension`;

CREATE TABLE `trackedentityattributedimension` (
  `trackedentityattributedimensionid` int(11) NOT NULL AUTO_INCREMENT,
  `trackedentityattributeid` int(11) DEFAULT NULL,
  `legendsetid` int(11) DEFAULT NULL,
  `filter` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`trackedentityattributedimensionid`),
  KEY `fk_attributedimension_attributeid` (`trackedentityattributeid`),
  KEY `fk_attributedimension_legendsetid` (`legendsetid`),
  CONSTRAINT `fk_attributedimension_legendsetid` FOREIGN KEY (`legendsetid`) REFERENCES `maplegendset` (`maplegendsetid`),
  CONSTRAINT `fk_attributedimension_attributeid` FOREIGN KEY (`trackedentityattributeid`) REFERENCES `trackedentityattribute` (`trackedentityattributeid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `trackedentityattributedimension` */

/*Table structure for table `trackedentityattributegroup` */

DROP TABLE IF EXISTS `trackedentityattributegroup`;

CREATE TABLE `trackedentityattributegroup` (
  `trackedentityattributegroupid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `description` longtext,
  `sortOrder` int(11) DEFAULT NULL,
  PRIMARY KEY (`trackedentityattributegroupid`),
  UNIQUE KEY `UK_nwomu20vyjce2jxwdjdfx29lx` (`name`),
  UNIQUE KEY `UK_8ua8n1965xfvefwmpl7xld6lf` (`uid`),
  UNIQUE KEY `UK_oaeinmk3jp70e5pkrffra5oak` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `trackedentityattributegroup` */

/*Table structure for table `trackedentityattributeusergroupaccesses` */

DROP TABLE IF EXISTS `trackedentityattributeusergroupaccesses`;

CREATE TABLE `trackedentityattributeusergroupaccesses` (
  `trackedentityattributeid` int(11) NOT NULL,
  `usergroupaccessid` int(11) NOT NULL,
  PRIMARY KEY (`trackedentityattributeid`,`usergroupaccessid`),
  UNIQUE KEY `UK_3va2lo93o5x8of9r244sb0ini` (`usergroupaccessid`),
  KEY `FK_3va2lo93o5x8of9r244sb0ini` (`usergroupaccessid`),
  KEY `FK_5hga5ipb51aylkoieppk5vcbq` (`trackedentityattributeid`),
  CONSTRAINT `FK_5hga5ipb51aylkoieppk5vcbq` FOREIGN KEY (`trackedentityattributeid`) REFERENCES `trackedentityattribute` (`trackedentityattributeid`),
  CONSTRAINT `FK_3va2lo93o5x8of9r244sb0ini` FOREIGN KEY (`usergroupaccessid`) REFERENCES `usergroupaccess` (`usergroupaccessid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `trackedentityattributeusergroupaccesses` */

/*Table structure for table `trackedentityattributevalue` */

DROP TABLE IF EXISTS `trackedentityattributevalue`;

CREATE TABLE `trackedentityattributevalue` (
  `trackedentityinstanceid` int(11) NOT NULL,
  `trackedentityattributeid` int(11) NOT NULL,
  `value` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`trackedentityinstanceid`,`trackedentityattributeid`),
  KEY `fk_attributevalue_trackedentityinstanceid` (`trackedentityinstanceid`),
  KEY `fk_attributevalue_trackedentityattributeid` (`trackedentityattributeid`),
  CONSTRAINT `fk_attributevalue_trackedentityattributeid` FOREIGN KEY (`trackedentityattributeid`) REFERENCES `trackedentityattribute` (`trackedentityattributeid`),
  CONSTRAINT `fk_attributevalue_trackedentityinstanceid` FOREIGN KEY (`trackedentityinstanceid`) REFERENCES `trackedentityinstance` (`trackedentityinstanceid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `trackedentityattributevalue` */

/*Table structure for table `trackedentityattributevalues` */

DROP TABLE IF EXISTS `trackedentityattributevalues`;

CREATE TABLE `trackedentityattributevalues` (
  `trackedentityid` int(11) NOT NULL,
  `attributevalueid` int(11) NOT NULL,
  PRIMARY KEY (`trackedentityid`,`attributevalueid`),
  UNIQUE KEY `UK_smv9qylxikotjgjc26t86ps4w` (`attributevalueid`),
  KEY `FK_smv9qylxikotjgjc26t86ps4w` (`attributevalueid`),
  KEY `FK_f6prdjqeirxsb3drx9a66sf8g` (`trackedentityid`),
  CONSTRAINT `FK_f6prdjqeirxsb3drx9a66sf8g` FOREIGN KEY (`trackedentityid`) REFERENCES `trackedentity` (`trackedentityid`),
  CONSTRAINT `FK_smv9qylxikotjgjc26t86ps4w` FOREIGN KEY (`attributevalueid`) REFERENCES `attributevalue` (`attributevalueid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `trackedentityattributevalues` */

/*Table structure for table `trackedentityaudit` */

DROP TABLE IF EXISTS `trackedentityaudit`;

CREATE TABLE `trackedentityaudit` (
  `trackedentityauditid` int(11) NOT NULL AUTO_INCREMENT,
  `trackedentityinstanceid` int(11) DEFAULT NULL,
  `date` datetime DEFAULT NULL,
  `visitor` varchar(255) DEFAULT NULL,
  `accessedModule` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`trackedentityauditid`),
  KEY `fk_trackedentityauditid_trackedentityinstanceid` (`trackedentityinstanceid`),
  CONSTRAINT `fk_trackedentityauditid_trackedentityinstanceid` FOREIGN KEY (`trackedentityinstanceid`) REFERENCES `trackedentityinstance` (`trackedentityinstanceid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `trackedentityaudit` */

/*Table structure for table `trackedentitycomment` */

DROP TABLE IF EXISTS `trackedentitycomment`;

CREATE TABLE `trackedentitycomment` (
  `trackedentitycommentid` int(11) NOT NULL AUTO_INCREMENT,
  `commenttext` varchar(255) DEFAULT NULL,
  `createddate` datetime DEFAULT NULL,
  `creator` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`trackedentitycommentid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `trackedentitycomment` */

/*Table structure for table `trackedentitydataelementdimension` */

DROP TABLE IF EXISTS `trackedentitydataelementdimension`;

CREATE TABLE `trackedentitydataelementdimension` (
  `trackedentitydataelementdimensionid` int(11) NOT NULL AUTO_INCREMENT,
  `dataelementid` int(11) DEFAULT NULL,
  `legendsetid` int(11) DEFAULT NULL,
  `filter` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`trackedentitydataelementdimensionid`),
  KEY `fk_dataelementdimension_dataelementid` (`dataelementid`),
  KEY `fk_dataelementdimension_legendsetid` (`legendsetid`),
  CONSTRAINT `fk_dataelementdimension_legendsetid` FOREIGN KEY (`legendsetid`) REFERENCES `maplegendset` (`maplegendsetid`),
  CONSTRAINT `fk_dataelementdimension_dataelementid` FOREIGN KEY (`dataelementid`) REFERENCES `dataelement` (`dataelementid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `trackedentitydataelementdimension` */

/*Table structure for table `trackedentitydatavalue` */

DROP TABLE IF EXISTS `trackedentitydatavalue`;

CREATE TABLE `trackedentitydatavalue` (
  `programstageinstanceid` int(11) NOT NULL,
  `dataelementid` int(11) NOT NULL,
  `value` varchar(255) DEFAULT NULL,
  `timestamp` datetime DEFAULT NULL,
  `providedElsewhere` tinyint(1) DEFAULT NULL,
  `storedby` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`programstageinstanceid`,`dataelementid`),
  KEY `fk_entityinstancedatavalue_programstageinstanceid` (`programstageinstanceid`),
  KEY `fk_entityinstancedatavalue_dataelementid` (`dataelementid`),
  CONSTRAINT `fk_entityinstancedatavalue_dataelementid` FOREIGN KEY (`dataelementid`) REFERENCES `dataelement` (`dataelementid`),
  CONSTRAINT `fk_entityinstancedatavalue_programstageinstanceid` FOREIGN KEY (`programstageinstanceid`) REFERENCES `programstageinstance` (`programstageinstanceid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `trackedentitydatavalue` */

/*Table structure for table `trackedentityinstance` */

DROP TABLE IF EXISTS `trackedentityinstance`;

CREATE TABLE `trackedentityinstance` (
  `trackedentityinstanceid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `inactive` tinyint(1) DEFAULT NULL,
  `representativeid` int(11) DEFAULT NULL,
  `organisationunitid` int(11) NOT NULL,
  `trackedentityid` int(11) DEFAULT NULL,
  PRIMARY KEY (`trackedentityinstanceid`),
  UNIQUE KEY `UK_rbr4kyuk4s0kb4jo1r77cuaq9` (`uid`),
  UNIQUE KEY `UK_orq3pwtro2yu9yydh046bn40j` (`code`),
  KEY `fk_trackedentityinstance_representativeid` (`representativeid`),
  KEY `fk_trackedentityinstance_organisationunitid` (`organisationunitid`),
  KEY `fk_trackedentityinstance_trackedentityid` (`trackedentityid`),
  CONSTRAINT `fk_trackedentityinstance_trackedentityid` FOREIGN KEY (`trackedentityid`) REFERENCES `trackedentity` (`trackedentityid`),
  CONSTRAINT `fk_trackedentityinstance_organisationunitid` FOREIGN KEY (`organisationunitid`) REFERENCES `organisationunit` (`organisationunitid`),
  CONSTRAINT `fk_trackedentityinstance_representativeid` FOREIGN KEY (`representativeid`) REFERENCES `trackedentityinstance` (`trackedentityinstanceid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `trackedentityinstance` */

/*Table structure for table `trackedentityinstancereminder` */

DROP TABLE IF EXISTS `trackedentityinstancereminder`;

CREATE TABLE `trackedentityinstancereminder` (
  `trackedentityinstancereminderid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) DEFAULT NULL,
  `daysAllowedSendMessage` int(11) DEFAULT NULL,
  `templateMessage` varchar(255) DEFAULT NULL,
  `dateToCompare` varchar(255) DEFAULT NULL,
  `sendTo` int(11) DEFAULT NULL,
  `whenToSend` int(11) DEFAULT NULL,
  `messageType` int(11) DEFAULT NULL,
  `usergroupid` int(11) DEFAULT NULL,
  `programid` int(11) DEFAULT NULL,
  `programStageid` int(11) DEFAULT NULL,
  PRIMARY KEY (`trackedentityinstancereminderid`),
  UNIQUE KEY `UK_i5fq2uvmldylk7kkwxhmap5d1` (`uid`),
  UNIQUE KEY `UK_scct22hvsdg7ulw7c1mlqivk4` (`code`),
  KEY `fk_reminder_usergroup` (`usergroupid`),
  KEY `FK_6buqtfb3b0shfir6yloutkhce` (`programid`),
  KEY `FK_n4ouxp9pgbnup2osglke1do81` (`programStageid`),
  CONSTRAINT `FK_n4ouxp9pgbnup2osglke1do81` FOREIGN KEY (`programStageid`) REFERENCES `programstage` (`programstageid`),
  CONSTRAINT `FK_6buqtfb3b0shfir6yloutkhce` FOREIGN KEY (`programid`) REFERENCES `program` (`programid`),
  CONSTRAINT `fk_reminder_usergroup` FOREIGN KEY (`usergroupid`) REFERENCES `usergroup` (`usergroupid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `trackedentityinstancereminder` */

/*Table structure for table `trackedentityprogramindicatordimension` */

DROP TABLE IF EXISTS `trackedentityprogramindicatordimension`;

CREATE TABLE `trackedentityprogramindicatordimension` (
  `trackedentityprogramindicatordimensionid` int(11) NOT NULL AUTO_INCREMENT,
  `programindicatorid` int(11) DEFAULT NULL,
  `legendsetid` int(11) DEFAULT NULL,
  `filter` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`trackedentityprogramindicatordimensionid`),
  KEY `fk_programindicatordimension_programindicatorid` (`programindicatorid`),
  CONSTRAINT `fk_programindicatordimension_programindicatorid` FOREIGN KEY (`programindicatorid`) REFERENCES `programindicator` (`programindicatorid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `trackedentityprogramindicatordimension` */

/*Table structure for table `translation` */

DROP TABLE IF EXISTS `translation`;

CREATE TABLE `translation` (
  `translationid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `objectclass` varchar(127) DEFAULT NULL,
  `objectUid` varchar(11) DEFAULT NULL,
  `locale` varchar(15) DEFAULT NULL,
  `objectproperty` varchar(63) DEFAULT NULL,
  `value` longtext NOT NULL,
  PRIMARY KEY (`translationid`),
  UNIQUE KEY `translation_composite_key` (`objectclass`,`objectUid`,`locale`,`objectproperty`),
  UNIQUE KEY `UK_4tswo711nejksm9k8cbmlkj77` (`uid`),
  UNIQUE KEY `UK_5ja97bh6qdr10ovrfgvyabaeq` (`code`),
  KEY `translation_objectproperty_key` (`objectproperty`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `translation` */

/*Table structure for table `userapps` */

DROP TABLE IF EXISTS `userapps`;

CREATE TABLE `userapps` (
  `userinfoid` int(11) NOT NULL,
  `app` varchar(255) DEFAULT NULL,
  `sort_order` int(11) NOT NULL,
  PRIMARY KEY (`userinfoid`,`sort_order`),
  KEY `fk_userapps_userinfoid` (`userinfoid`),
  CONSTRAINT `fk_userapps_userinfoid` FOREIGN KEY (`userinfoid`) REFERENCES `userinfo` (`userinfoid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `userapps` */

/*Table structure for table `userattributevalues` */

DROP TABLE IF EXISTS `userattributevalues`;

CREATE TABLE `userattributevalues` (
  `userinfoid` int(11) NOT NULL,
  `attributevalueid` int(11) NOT NULL,
  PRIMARY KEY (`userinfoid`,`attributevalueid`),
  UNIQUE KEY `UK_q2mhld3431cikld8ocnognnl3` (`attributevalueid`),
  KEY `FK_q2mhld3431cikld8ocnognnl3` (`attributevalueid`),
  KEY `FK_m5v0roik5uc954w547iejiar6` (`userinfoid`),
  CONSTRAINT `FK_m5v0roik5uc954w547iejiar6` FOREIGN KEY (`userinfoid`) REFERENCES `userinfo` (`userinfoid`),
  CONSTRAINT `FK_q2mhld3431cikld8ocnognnl3` FOREIGN KEY (`attributevalueid`) REFERENCES `attributevalue` (`attributevalueid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `userattributevalues` */

/*Table structure for table `userdatavieworgunits` */

DROP TABLE IF EXISTS `userdatavieworgunits`;

CREATE TABLE `userdatavieworgunits` (
  `userinfoid` int(11) NOT NULL,
  `organisationunitid` int(11) NOT NULL,
  PRIMARY KEY (`userinfoid`,`organisationunitid`),
  KEY `fk_userdatavieworgunits_organisationunitid` (`organisationunitid`),
  KEY `fk_userdatavieworgunits_userinfoid` (`userinfoid`),
  CONSTRAINT `fk_userdatavieworgunits_userinfoid` FOREIGN KEY (`userinfoid`) REFERENCES `userinfo` (`userinfoid`),
  CONSTRAINT `fk_userdatavieworgunits_organisationunitid` FOREIGN KEY (`organisationunitid`) REFERENCES `organisationunit` (`organisationunitid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `userdatavieworgunits` */

/*Table structure for table `usergroup` */

DROP TABLE IF EXISTS `usergroup`;

CREATE TABLE `usergroup` (
  `usergroupid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `userid` int(11) DEFAULT NULL,
  `publicAccess` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`usergroupid`),
  UNIQUE KEY `UK_ekb018cvmpvll5dgtn97leerj` (`uid`),
  UNIQUE KEY `UK_q20sh82vk885ooi7fekwtboej` (`code`),
  KEY `fk_usergroup_userid` (`userid`),
  CONSTRAINT `fk_usergroup_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `usergroup` */

/*Table structure for table `usergroupaccess` */

DROP TABLE IF EXISTS `usergroupaccess`;

CREATE TABLE `usergroupaccess` (
  `usergroupaccessid` int(11) NOT NULL AUTO_INCREMENT,
  `access` varchar(255) DEFAULT NULL,
  `usergroupid` int(11) DEFAULT NULL,
  PRIMARY KEY (`usergroupaccessid`),
  KEY `fk_usergroupaccess_usergroup` (`usergroupid`),
  CONSTRAINT `fk_usergroupaccess_usergroup` FOREIGN KEY (`usergroupid`) REFERENCES `usergroup` (`usergroupid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `usergroupaccess` */

/*Table structure for table `usergroupattributevalues` */

DROP TABLE IF EXISTS `usergroupattributevalues`;

CREATE TABLE `usergroupattributevalues` (
  `usergroupid` int(11) NOT NULL,
  `attributevalueid` int(11) NOT NULL,
  PRIMARY KEY (`usergroupid`,`attributevalueid`),
  UNIQUE KEY `UK_61yelmsucg67isxc2habccq57` (`attributevalueid`),
  KEY `FK_61yelmsucg67isxc2habccq57` (`attributevalueid`),
  KEY `FK_49cgmk9pl7bedp4lww585bbrx` (`usergroupid`),
  CONSTRAINT `FK_49cgmk9pl7bedp4lww585bbrx` FOREIGN KEY (`usergroupid`) REFERENCES `usergroup` (`usergroupid`),
  CONSTRAINT `FK_61yelmsucg67isxc2habccq57` FOREIGN KEY (`attributevalueid`) REFERENCES `attributevalue` (`attributevalueid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `usergroupattributevalues` */

/*Table structure for table `usergroupmanaged` */

DROP TABLE IF EXISTS `usergroupmanaged`;

CREATE TABLE `usergroupmanaged` (
  `managedbygroupid` int(11) NOT NULL,
  `managedgroupid` int(11) NOT NULL,
  PRIMARY KEY (`managedbygroupid`,`managedgroupid`),
  KEY `fk_usergroupmanaging_managedgroupid` (`managedgroupid`),
  KEY `fk_usergroupmanaging_managedbygroupid` (`managedbygroupid`),
  CONSTRAINT `fk_usergroupmanaging_managedbygroupid` FOREIGN KEY (`managedbygroupid`) REFERENCES `usergroup` (`usergroupid`),
  CONSTRAINT `fk_usergroupmanaging_managedgroupid` FOREIGN KEY (`managedgroupid`) REFERENCES `usergroup` (`usergroupid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `usergroupmanaged` */

/*Table structure for table `usergroupmembers` */

DROP TABLE IF EXISTS `usergroupmembers`;

CREATE TABLE `usergroupmembers` (
  `userid` int(11) NOT NULL,
  `usergroupid` int(11) NOT NULL,
  PRIMARY KEY (`usergroupid`,`userid`),
  KEY `fk_usergroupmembers_usergroupid` (`usergroupid`),
  KEY `fk_usergroupmembers_userid` (`userid`),
  CONSTRAINT `fk_usergroupmembers_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`),
  CONSTRAINT `fk_usergroupmembers_usergroupid` FOREIGN KEY (`usergroupid`) REFERENCES `usergroup` (`usergroupid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `usergroupmembers` */

/*Table structure for table `usergroupusergroupaccesses` */

DROP TABLE IF EXISTS `usergroupusergroupaccesses`;

CREATE TABLE `usergroupusergroupaccesses` (
  `usergroupid` int(11) NOT NULL,
  `usergroupaccessid` int(11) NOT NULL,
  PRIMARY KEY (`usergroupid`,`usergroupaccessid`),
  UNIQUE KEY `UK_qa5c4eva4rxafw5b7eyddp64m` (`usergroupaccessid`),
  KEY `FK_qa5c4eva4rxafw5b7eyddp64m` (`usergroupaccessid`),
  KEY `FK_fqdnl49a19dg94tj48etme0aj` (`usergroupid`),
  CONSTRAINT `FK_fqdnl49a19dg94tj48etme0aj` FOREIGN KEY (`usergroupid`) REFERENCES `usergroup` (`usergroupid`),
  CONSTRAINT `FK_qa5c4eva4rxafw5b7eyddp64m` FOREIGN KEY (`usergroupaccessid`) REFERENCES `usergroupaccess` (`usergroupaccessid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `usergroupusergroupaccesses` */

/*Table structure for table `userinfo` */

DROP TABLE IF EXISTS `userinfo`;

CREATE TABLE `userinfo` (
  `userinfoid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `surname` varchar(160) NOT NULL,
  `firstName` varchar(160) NOT NULL,
  `email` varchar(160) DEFAULT NULL,
  `phoneNumber` varchar(80) DEFAULT NULL,
  `jobTitle` varchar(160) DEFAULT NULL,
  `introduction` longtext,
  `gender` varchar(50) DEFAULT NULL,
  `birthday` date DEFAULT NULL,
  `nationality` varchar(160) DEFAULT NULL,
  `employer` varchar(160) DEFAULT NULL,
  `education` longtext,
  `interests` longtext,
  `languages` longtext,
  `lastCheckedInterpretations` datetime DEFAULT NULL,
  PRIMARY KEY (`userinfoid`),
  UNIQUE KEY `UK_gky85ptfkcumyuqhr5yvjxwsa` (`code`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

/*Data for the table `userinfo` */

insert  into `userinfo`(`userinfoid`,`uid`,`code`,`lastUpdated`,`created`,`surname`,`firstName`,`email`,`phoneNumber`,`jobTitle`,`introduction`,`gender`,`birthday`,`nationality`,`employer`,`education`,`interests`,`languages`,`lastCheckedInterpretations`) values (1,'CaY7iS8T86z',NULL,'2015-10-30 19:03:30','2015-10-30 19:03:30','admin','admin',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);

/*Table structure for table `usermembership` */

DROP TABLE IF EXISTS `usermembership`;

CREATE TABLE `usermembership` (
  `userinfoid` int(11) NOT NULL,
  `organisationunitid` int(11) NOT NULL,
  PRIMARY KEY (`userinfoid`,`organisationunitid`),
  KEY `fk_userinfo_organisationunitid` (`organisationunitid`),
  KEY `fk_usermembership_userinfoid` (`userinfoid`),
  CONSTRAINT `fk_usermembership_userinfoid` FOREIGN KEY (`userinfoid`) REFERENCES `userinfo` (`userinfoid`),
  CONSTRAINT `fk_userinfo_organisationunitid` FOREIGN KEY (`organisationunitid`) REFERENCES `organisationunit` (`organisationunitid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `usermembership` */

insert  into `usermembership`(`userinfoid`,`organisationunitid`) values (1,1);

/*Table structure for table `usermessage` */

DROP TABLE IF EXISTS `usermessage`;

CREATE TABLE `usermessage` (
  `usermessageid` int(11) NOT NULL AUTO_INCREMENT,
  `usermessagekey` varchar(255) DEFAULT NULL,
  `userid` int(11) NOT NULL,
  `isread` tinyint(1) NOT NULL,
  `isfollowup` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`usermessageid`),
  KEY `usermessage_userid` (`userid`),
  KEY `usermessage_isread` (`isread`),
  KEY `fk_usermessage_user` (`userid`),
  CONSTRAINT `fk_usermessage_user` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `usermessage` */

/*Table structure for table `userrole` */

DROP TABLE IF EXISTS `userrole`;

CREATE TABLE `userrole` (
  `userroleid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `publicAccess` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`userroleid`),
  UNIQUE KEY `UK_hjocbvo9fla04bgj7ku32vwsn` (`name`),
  UNIQUE KEY `UK_ff1da38in40mg91rlgqhw02ff` (`uid`),
  UNIQUE KEY `UK_hebhkhm8gpwg9xsp8q4f7wlx1` (`code`),
  KEY `fk_userrole_userid` (`userid`),
  CONSTRAINT `fk_userrole_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

/*Data for the table `userrole` */

insert  into `userrole`(`userroleid`,`uid`,`code`,`created`,`lastUpdated`,`name`,`description`,`userid`,`publicAccess`) values (1,'adTpi3Qnji5',NULL,'2015-10-30 19:03:30','2015-10-30 19:03:30','Superuser',NULL,NULL,'--------');

/*Table structure for table `userroleauthorities` */

DROP TABLE IF EXISTS `userroleauthorities`;

CREATE TABLE `userroleauthorities` (
  `userroleid` int(11) NOT NULL,
  `authority` varchar(255) DEFAULT NULL,
  KEY `fk_userroleauthorities_userroleid` (`userroleid`),
  CONSTRAINT `fk_userroleauthorities_userroleid` FOREIGN KEY (`userroleid`) REFERENCES `userrole` (`userroleid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `userroleauthorities` */

insert  into `userroleauthorities`(`userroleid`,`authority`) values (1,'ALL'),(1,'F_USERGROUP_MANAGING_RELATIONSHIPS_ADD'),(1,'F_REPORTTABLE_PUBLIC_ADD'),(1,'F_USER_GROUPS_READ_ONLY_ADD_MEMBERS'),(1,'F_MAP_PUBLIC_ADD'),(1,'F_USER_ADD_WITHIN_MANAGED_GROUP'),(1,'F_REPORTTABLE_EXTERNAL'),(1,'F_SQLVIEW_EXTERNAL'),(1,'F_GIS_ADMIN'),(1,'F_INSERT_CUSTOM_JS_CSS'),(1,'F_DASHBOARD_PUBLIC_ADD'),(1,'F_METADATA_IMPORT'),(1,'F_CHART_PUBLIC_ADD'),(1,'F_VIEW_UNAPPROVED_DATA'),(1,'F_CHART_EXTERNAL'),(1,'F_USERGROUP_MANAGING_RELATIONSHIPS_VIEW'),(1,'F_METADATA_EXPORT'),(1,'F_APPROVE_DATA'),(1,'F_ACCEPT_DATA_LOWER_LEVELS'),(1,'F_USERGROUP_PUBLIC_ADD'),(1,'F_OAUTH2_CLIENT_MANAGE'),(1,'F_PROGRAM_DASHBOARD_CONFIG_ADMIN'),(1,'F_MAP_EXTERNAL'),(1,'F_APPROVE_DATA_LOWER_LEVELS');

/*Table structure for table `userroledataset` */

DROP TABLE IF EXISTS `userroledataset`;

CREATE TABLE `userroledataset` (
  `userroleid` int(11) NOT NULL,
  `datasetid` int(11) NOT NULL,
  PRIMARY KEY (`userroleid`,`datasetid`),
  KEY `fk_userroledataset_datasetid` (`datasetid`),
  KEY `fk_userroledataset_userroleid` (`userroleid`),
  CONSTRAINT `fk_userroledataset_userroleid` FOREIGN KEY (`userroleid`) REFERENCES `userrole` (`userroleid`),
  CONSTRAINT `fk_userroledataset_datasetid` FOREIGN KEY (`datasetid`) REFERENCES `dataset` (`datasetid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `userroledataset` */

/*Table structure for table `userrolemembers` */

DROP TABLE IF EXISTS `userrolemembers`;

CREATE TABLE `userrolemembers` (
  `userroleid` int(11) NOT NULL,
  `userid` int(11) NOT NULL,
  PRIMARY KEY (`userid`,`userroleid`),
  KEY `fk_userrolemembers_userid` (`userid`),
  KEY `fk_userrolemembers_userroleid` (`userroleid`),
  CONSTRAINT `fk_userrolemembers_userroleid` FOREIGN KEY (`userroleid`) REFERENCES `userrole` (`userroleid`),
  CONSTRAINT `fk_userrolemembers_userid` FOREIGN KEY (`userid`) REFERENCES `users` (`userid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `userrolemembers` */

insert  into `userrolemembers`(`userroleid`,`userid`) values (1,1);

/*Table structure for table `userroleprogram` */

DROP TABLE IF EXISTS `userroleprogram`;

CREATE TABLE `userroleprogram` (
  `userroleid` int(11) NOT NULL,
  `programid` int(11) NOT NULL,
  PRIMARY KEY (`userroleid`,`programid`),
  KEY `fk_userroleprogram_programid` (`programid`),
  KEY `fk_userroleprogram_userroleid` (`userroleid`),
  CONSTRAINT `fk_userroleprogram_userroleid` FOREIGN KEY (`userroleid`) REFERENCES `userrole` (`userroleid`),
  CONSTRAINT `fk_userroleprogram_programid` FOREIGN KEY (`programid`) REFERENCES `program` (`programid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `userroleprogram` */

/*Table structure for table `userroleusergroupaccesses` */

DROP TABLE IF EXISTS `userroleusergroupaccesses`;

CREATE TABLE `userroleusergroupaccesses` (
  `userroleid` int(11) NOT NULL,
  `usergroupaccessid` int(11) NOT NULL,
  PRIMARY KEY (`userroleid`,`usergroupaccessid`),
  UNIQUE KEY `UK_h3qgkg0gvi3c0ohs07y00c96p` (`usergroupaccessid`),
  KEY `FK_h3qgkg0gvi3c0ohs07y00c96p` (`usergroupaccessid`),
  KEY `FK_i965sd1thc68mlv9i5366vl1d` (`userroleid`),
  CONSTRAINT `FK_i965sd1thc68mlv9i5366vl1d` FOREIGN KEY (`userroleid`) REFERENCES `userrole` (`userroleid`),
  CONSTRAINT `FK_h3qgkg0gvi3c0ohs07y00c96p` FOREIGN KEY (`usergroupaccessid`) REFERENCES `usergroupaccess` (`usergroupaccessid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `userroleusergroupaccesses` */

/*Table structure for table `users` */

DROP TABLE IF EXISTS `users`;

CREATE TABLE `users` (
  `userid` int(11) NOT NULL,
  `creatoruserid` int(11) DEFAULT NULL,
  `username` varchar(255) NOT NULL,
  `openid` longtext,
  `password` varchar(60) DEFAULT NULL,
  `passwordLastUpdated` datetime DEFAULT NULL,
  `lastLogin` datetime DEFAULT NULL,
  `restoreToken` varchar(255) DEFAULT NULL,
  `restoreCode` varchar(255) DEFAULT NULL,
  `restoreExpiry` datetime DEFAULT NULL,
  `selfRegistered` tinyint(1) DEFAULT NULL,
  `invitation` tinyint(1) DEFAULT NULL,
  `disabled` tinyint(1) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  PRIMARY KEY (`userid`),
  UNIQUE KEY `UK_r43af9ap4edm43mmtq01oddj6` (`username`),
  KEY `fk_user_userid` (`creatoruserid`),
  KEY `fk_user_userinfoid` (`userid`),
  CONSTRAINT `fk_user_userinfoid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`),
  CONSTRAINT `fk_user_userid` FOREIGN KEY (`creatoruserid`) REFERENCES `userinfo` (`userinfoid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `users` */

insert  into `users`(`userid`,`creatoruserid`,`username`,`openid`,`password`,`passwordLastUpdated`,`lastLogin`,`restoreToken`,`restoreCode`,`restoreExpiry`,`selfRegistered`,`invitation`,`disabled`,`created`) values (1,1,'admin',NULL,'$2a$10$ByAEJvUMxBIsRmn7t2y9r.D0u1KYjodtML4RGn2y3n0mFpk1VFGwu','2015-10-30 19:03:30','2015-10-30 19:51:33',NULL,NULL,NULL,0,0,0,'2015-10-30 19:03:30');

/*Table structure for table `users_catdimensionconstraints` */

DROP TABLE IF EXISTS `users_catdimensionconstraints`;

CREATE TABLE `users_catdimensionconstraints` (
  `userid` int(11) NOT NULL,
  `dataelementcategoryid` int(11) NOT NULL,
  PRIMARY KEY (`userid`,`dataelementcategoryid`),
  KEY `fk_fk_users_catconstraints_dataelementcategoryid` (`dataelementcategoryid`),
  KEY `fk_users_catconstraints_userid` (`userid`),
  CONSTRAINT `fk_users_catconstraints_userid` FOREIGN KEY (`userid`) REFERENCES `users` (`userid`),
  CONSTRAINT `fk_fk_users_catconstraints_dataelementcategoryid` FOREIGN KEY (`dataelementcategoryid`) REFERENCES `dataelementcategory` (`categoryid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `users_catdimensionconstraints` */

/*Table structure for table `users_cogsdimensionconstraints` */

DROP TABLE IF EXISTS `users_cogsdimensionconstraints`;

CREATE TABLE `users_cogsdimensionconstraints` (
  `userid` int(11) NOT NULL,
  `categoryoptiongroupsetid` int(11) NOT NULL,
  PRIMARY KEY (`userid`,`categoryoptiongroupsetid`),
  KEY `fk_fk_users_cogsconstraints_categoryoptiongroupsetid` (`categoryoptiongroupsetid`),
  KEY `fk_users_cogsconstraints_userid` (`userid`),
  CONSTRAINT `fk_users_cogsconstraints_userid` FOREIGN KEY (`userid`) REFERENCES `users` (`userid`),
  CONSTRAINT `fk_fk_users_cogsconstraints_categoryoptiongroupsetid` FOREIGN KEY (`categoryoptiongroupsetid`) REFERENCES `categoryoptiongroupset` (`categoryoptiongroupsetid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `users_cogsdimensionconstraints` */

/*Table structure for table `usersetting` */

DROP TABLE IF EXISTS `usersetting`;

CREATE TABLE `usersetting` (
  `userinfoid` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `value` blob,
  PRIMARY KEY (`userinfoid`,`name`),
  KEY `fk_usersetting_userinfoid` (`userinfoid`),
  CONSTRAINT `fk_usersetting_userinfoid` FOREIGN KEY (`userinfoid`) REFERENCES `userinfo` (`userinfoid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `usersetting` */

/*Table structure for table `validationcriteria` */

DROP TABLE IF EXISTS `validationcriteria`;

CREATE TABLE `validationcriteria` (
  `validationcriteriaid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  `property` varchar(255) DEFAULT NULL,
  `operator` int(11) NOT NULL,
  `value` blob,
  PRIMARY KEY (`validationcriteriaid`),
  UNIQUE KEY `UK_d4l5rkqnmc6qdfa6hh11g3h74` (`name`),
  UNIQUE KEY `UK_dvxv0mw5bonk4pb38o8rctku3` (`uid`),
  UNIQUE KEY `UK_skin40axv0jcme3bhsbb7156i` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `validationcriteria` */

/*Table structure for table `validationrule` */

DROP TABLE IF EXISTS `validationrule`;

CREATE TABLE `validationrule` (
  `validationruleid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `description` longtext,
  `instruction` longtext,
  `importance` varchar(50) DEFAULT NULL,
  `ruleType` varchar(50) DEFAULT NULL,
  `operator` varchar(255) NOT NULL,
  `leftexpressionid` int(11) DEFAULT NULL,
  `rightexpressionid` int(11) DEFAULT NULL,
  `organisationunitlevel` int(11) DEFAULT NULL,
  `periodtypeid` int(11) NOT NULL,
  `sequentialsamplecount` int(11) DEFAULT NULL,
  `annualsamplecount` int(11) DEFAULT NULL,
  `highoutliers` int(11) DEFAULT NULL,
  `lowoutliers` int(11) DEFAULT NULL,
  PRIMARY KEY (`validationruleid`),
  UNIQUE KEY `UK_9ut6k8m3216v5kjcryy7d2y9w` (`name`),
  UNIQUE KEY `UK_t0dg39dopew9f6y64ucsx7194` (`uid`),
  UNIQUE KEY `UK_13x63e3skbl5qj4mc1qgq2xex` (`code`),
  KEY `fk_validationrule_leftexpressionid` (`leftexpressionid`),
  KEY `fk_validationrule_rightexpressionid` (`rightexpressionid`),
  KEY `fk_validationrule_periodtypeid` (`periodtypeid`),
  CONSTRAINT `fk_validationrule_periodtypeid` FOREIGN KEY (`periodtypeid`) REFERENCES `periodtype` (`periodtypeid`),
  CONSTRAINT `fk_validationrule_leftexpressionid` FOREIGN KEY (`leftexpressionid`) REFERENCES `expression` (`expressionid`),
  CONSTRAINT `fk_validationrule_rightexpressionid` FOREIGN KEY (`rightexpressionid`) REFERENCES `expression` (`expressionid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `validationrule` */

/*Table structure for table `validationrulegroup` */

DROP TABLE IF EXISTS `validationrulegroup`;

CREATE TABLE `validationrulegroup` (
  `validationrulegroupid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` varchar(11) DEFAULT NULL,
  `code` varchar(50) DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `lastUpdated` datetime DEFAULT NULL,
  `name` varchar(230) NOT NULL,
  `description` longtext,
  `alertbyorgunits` tinyint(1) DEFAULT NULL,
  `userid` int(11) DEFAULT NULL,
  `publicAccess` varchar(8) DEFAULT NULL,
  PRIMARY KEY (`validationrulegroupid`),
  UNIQUE KEY `UK_3cl2o6ha8naw5w6my3q4el6gk` (`name`),
  UNIQUE KEY `UK_8alvmsgu0onl4i0a0sqb6mqx` (`uid`),
  UNIQUE KEY `UK_1lvk8ftq028jrr28qouou9q3c` (`code`),
  KEY `fk_validationrulegroup_userid` (`userid`),
  CONSTRAINT `fk_validationrulegroup_userid` FOREIGN KEY (`userid`) REFERENCES `userinfo` (`userinfoid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `validationrulegroup` */

/*Table structure for table `validationrulegroupmembers` */

DROP TABLE IF EXISTS `validationrulegroupmembers`;

CREATE TABLE `validationrulegroupmembers` (
  `validationruleid` int(11) NOT NULL,
  `validationgroupid` int(11) NOT NULL,
  PRIMARY KEY (`validationgroupid`,`validationruleid`),
  KEY `fk_validationrulegroupmembers_validationrulegroupid` (`validationgroupid`),
  KEY `fk_validationrulegroup_validationruleid` (`validationruleid`),
  CONSTRAINT `fk_validationrulegroup_validationruleid` FOREIGN KEY (`validationruleid`) REFERENCES `validationrule` (`validationruleid`),
  CONSTRAINT `fk_validationrulegroupmembers_validationrulegroupid` FOREIGN KEY (`validationgroupid`) REFERENCES `validationrulegroup` (`validationrulegroupid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `validationrulegroupmembers` */

/*Table structure for table `validationrulegroupusergroupaccesses` */

DROP TABLE IF EXISTS `validationrulegroupusergroupaccesses`;

CREATE TABLE `validationrulegroupusergroupaccesses` (
  `validationrulegroupid` int(11) NOT NULL,
  `usergroupaccessid` int(11) NOT NULL,
  PRIMARY KEY (`validationrulegroupid`,`usergroupaccessid`),
  UNIQUE KEY `UK_klp41jyfuo6kfe8akt58fk1am` (`usergroupaccessid`),
  KEY `FK_klp41jyfuo6kfe8akt58fk1am` (`usergroupaccessid`),
  KEY `FK_932w5l8vbyvybhsrwwadjd3cp` (`validationrulegroupid`),
  CONSTRAINT `FK_932w5l8vbyvybhsrwwadjd3cp` FOREIGN KEY (`validationrulegroupid`) REFERENCES `validationrulegroup` (`validationrulegroupid`),
  CONSTRAINT `FK_klp41jyfuo6kfe8akt58fk1am` FOREIGN KEY (`usergroupaccessid`) REFERENCES `usergroupaccess` (`usergroupaccessid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `validationrulegroupusergroupaccesses` */

/*Table structure for table `validationrulegroupusergroupstoalert` */

DROP TABLE IF EXISTS `validationrulegroupusergroupstoalert`;

CREATE TABLE `validationrulegroupusergroupstoalert` (
  `validationgroupid` int(11) NOT NULL,
  `usergroupid` int(11) NOT NULL,
  PRIMARY KEY (`validationgroupid`,`usergroupid`),
  KEY `fk_validationrulegroupusergroupstoalert_usergroupid` (`usergroupid`),
  KEY `fk_validationrulegroupusergroupstoalert_validationgroupid` (`validationgroupid`),
  CONSTRAINT `fk_validationrulegroupusergroupstoalert_validationgroupid` FOREIGN KEY (`validationgroupid`) REFERENCES `validationrulegroup` (`validationrulegroupid`),
  CONSTRAINT `fk_validationrulegroupusergroupstoalert_usergroupid` FOREIGN KEY (`usergroupid`) REFERENCES `usergroup` (`usergroupid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `validationrulegroupusergroupstoalert` */

/*Table structure for table `version` */

DROP TABLE IF EXISTS `version`;

CREATE TABLE `version` (
  `versionid` int(11) NOT NULL AUTO_INCREMENT,
  `versionkey` varchar(230) NOT NULL,
  `versionvalue` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`versionid`),
  UNIQUE KEY `UK_emoyyyy114ofh6cwo6do8xsi0` (`versionkey`),
  UNIQUE KEY `version_versionkey_key` (`versionkey`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

/*Data for the table `version` */

insert  into `version`(`versionid`,`versionkey`,`versionvalue`) values (1,'organisationUnit','6998c41d-b424-429f-8881-18ac1334347a');

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
